export interface testTemplateParam {
    bundleName: string;
    moduleName: string;
    modulePath: string;
    coverage?: boolean;
    scope?: string;
}
export interface testPreviewerParam {
    modulePath: string;
    projectPath: string;
    sdkApiPath: string;
    coverage: boolean;
    logger: Logger;
}
export interface Logger {
    info: (message: unknown, ...args: unknown[]) => void;
    debug: (message: unknown, ...args: unknown[]) => void;
    error: (message: unknown, ...args: unknown[]) => void;
}
export interface testInstrumentParam {
    toolchainsPath: string;
    projectPath: string;
    modulePath: string;
    bundleName: string;
    coverage: boolean;
    logger: Logger;
    scope: string;
    testModuleName: string;
    targetHapPath: string;
    testHapPath: string;
    dependenciesPaths: string[];
}
export interface coverageParserParam {
    modulePath: string;
    projectPath: string;
    hdcPath: string;
    coverage: boolean;
    logger: Logger;
    isLocalTest: boolean;
}
export interface logStackParams {
    line: string;
    logger: Logger;
    filePath: string;
    modulePath: string;
    coverageType: string;
    idx: number;
    isCoverage: boolean;
}
