/// <reference types="node" />
import { RollupWatcher, SerializedTimings } from 'rollup';
import { MessagePort } from 'worker_threads';
import { LogEvent } from './log/arkts-base-log.js';
import { HvigorOptions } from './options/hvigor-options.js';
import { CacheStoreManager } from './util/cache-store-type.js';
export declare function writeWatchCache(): void;
export interface BuildResult {
    timing?: SerializedTimings;
    callback?: () => void;
}
export declare function build(options: HvigorOptions, handleLogs?: (logs: LogEvent[], lastReUsedFiles?: Set<string>) => void, parentPort?: MessagePort, initServerOnce?: () => void, setWatcher?: (w: RollupWatcher) => void, printError?: (error: unknown) => void, cacheStoreManager?: CacheStoreManager): Promise<BuildResult>;
