import { Obfuscation } from '@ohos/hvigor-arkts-compose';
import { AotCompileModeEnum } from '../../enum/aot-compile-mode-enum.js';
import { RuntimeOnlyObj } from './build-opt.js';
export declare type ModuleOhosConfig = {
    overrides?: Overrides;
};
export declare type HapOhosConfig = ModuleOhosConfig;
export declare type HspOhosConfig = ModuleOhosConfig;
export declare type HarOhosConfig = ModuleOhosConfig;
export declare type Overrides = {
    buildOption?: BuildOption;
};
export declare type BuildOption = {
    resOptions?: ResOptions;
    externalNativeOptions?: ExternalNativeOptions;
    sourceOption?: SourceOption;
    napiLibFilterOption?: NapiLibFilterOption;
    arkOptions?: ArkOptionsOpt;
    nativeLib?: NativeLib;
};
export declare type ResOptions = {
    [name: string]: [value: any];
};
export declare type ExternalNativeOptions = {
    path?: string;
    arguments?: string;
    abiFilters?: string[];
    cppFlags?: string;
    cFlags?: string;
    targets?: string[];
};
export declare type SourceOption = {
    workers?: string[];
};
export declare type NapiLibFilterOption = {
    excludes?: string[];
    pickFirsts?: string[];
    pickLasts?: string[];
    enableOverride?: boolean;
};
export declare type ArkOptionsOpt = {
    aotCompileMode?: AotCompileModeEnum;
    apPath?: string;
    hostPGO?: boolean;
    types?: string[];
    compilePluginFile?: string;
    obfuscation?: Obfuscation;
    buildProfileFields?: object;
    runtimeOnly?: RuntimeOnlyObj;
};
export declare type NativeLib = {
    packOptions?: PackOpt;
};
export declare type PackOpt = {
    buildAppSkipSignHap?: boolean;
};
