import { Module } from '@ohos/hvigor';
import { PackageJson } from 'type-fest';
import { DefaultModuleDependency } from './default-module-dependency.js';
import { DefaultNpmDependency } from './default-npm-dependency.js';
import { DependencyEnum, DependencyType } from './dependency-interface.js';
export declare class DependencyBuilder {
    private _module;
    private _dependencyName;
    private _lastDependencyName;
    private _dependencyVersion;
    private _dependencyRootPath;
    private _dependencies;
    private _pkgJsonPath;
    private _pkgJsonObj;
    private _dependencyType;
    private _dependencyEnum;
    private _isLocal;
    buildDefaultNpmDependency(): DefaultNpmDependency;
    buildDefaultModuleDependency(): DefaultModuleDependency;
    setModule(module: Module): this;
    setDependencyName(dependencyName: string): this;
    setDependencyRootPath(dependencyRootPath: string): this;
    setPkgJsonPath(pkgJsonPath: string): this;
    setPkgJsonObj(pkgJsonObj: PackageJson): this;
    setDependencyType(dependencyType: DependencyType): this;
    setDependencyEnum(dependencyEnum: DependencyEnum): this;
    setIsLocal(isLocal: boolean): this;
    setLastDependencyName(lastDependencyName: string): this;
    getModule(): Module;
    getDependencyName(): string;
    getDependencyVersion(): string;
    getDependencyRootPath(): string;
    getPkgJsonPath(): string;
    getPkgJsonObj(): PackageJson;
    getDependencies(): Partial<Record<string, string>>;
    getDependencyType(): DependencyType;
    getDependencyEnum(): DependencyEnum;
    getLastDependencyName(): string | undefined;
    isLocal(): boolean;
}
