import { CoreModuleModelImpl } from '../model/module/core-module-model-impl.js';
import { Dependency } from '../project/dependency/core/dependency-interface.js';
import { TargetTaskService } from '../tasks/service/target-task-service.js';
export declare class HarTargetUtil {
    private static _log;
    /**
     * 获取指定har target
     * 规则：命令行指定 > 引用方 target > default
     * 指定ohosTest模块除外
     *
     * @param targetService
     * @param harModuleName
     */
    static getHarTargetName(targetService: TargetTaskService, harModuleName: string): string;
    static calDepHarTargets(targetService: TargetTaskService): Map<string, string>;
    static getHarTargetData(harDependency: [string, Dependency], moduleModel: CoreModuleModelImpl, curTarget: string, moduleName: string, targetService: TargetTaskService): string;
    static getHarDependencyTargetName(targetService: TargetTaskService, harDependency: [string, Dependency]): string;
}
