import { DycManager, SdkConfigRequest } from 'gtcLibrary'; import Domains from "../i/j"; import GsRuntime from "../i/k"; import DebugLog from "../l/m"; class DYCCommon { } DYCCommon.DB_SIZE = { key: 'sdk.ido.event.db.size', value: 10 }; DYCCommon.PRESENT_EVENT_BLACKLIST = { key: 'sdk.ido.b.events_inner', value: '' }; DYCCommon.ACTIVE_REFRESH_INTERVAL = { key: 'sdk.ido.active.refresh.interval', value: 1 }; DYCCommon.LOG_REFRESH_INTERVAL = { key: 'sdk.ido.log.refresh.interval', value: 1 }; class DYCBind { } DYCBind.ENCRYPT_ENABLE = { key: 'sdk.ido.bind.encrypt.enable', value: true }; DYCBind.INTERVAL = { key: 'sdk.ido.bind.interval', value: 24 * 60 * 60 }; DYCBind.INTERVAL_MIN = { key: 'sdk.ido.bind.min', value: 60 }; DYCBind.DAY_BOUNDARY = { key: 'sdk.ido.bind.day.boundary', value: '600,3600' }; class DYCType8 { } DYCType8.ENABLE = { key: 'sdk.ido.type8.enable', value: true }; DYCType8.ENCRYPT_ENABLE = { key: 'sdk.ido.type8.encrypt.enable', value: true }; DYCType8.GENERATE_INTERVAL = { key: 'sdk.ido.type8.interval.generate', value: 5 }; DYCType8.INTERVAL_STRATEGY = { key: 'sdk.ido.type8.interval.strategy', value: 0 }; DYCType8.SESSION_TIMEOUT = { key: 'sdk.ido.type8.timeout', value: 30 }; DYCType8.UPLOAD_INTERVAL = { key: 'sdk.ido.type8.upload.interval', value: 10 }; DYCType8.UPLOAD_PATCH_SIZE = { key: 'sdk.ido.type8.patch.size', value: 5 }; class DYCType11 { } DYCType11.ENABLE = { key: 'sdk.ido.type11.enable', value: true }; DYCType11.ENCRYPT_ENABLE = { key: 'sdk.ido.type11.encrypt.enable', value: true }; DYCType11.GENERATE_INTERVAL = { key: 'sdk.ido.type11.interval.generate', value: 5 }; DYCType11.INTERVAL_STRATEGY = { key: 'sdk.ido.type11.interval.strategy', value: 0 }; DYCType11.UPLOAD_INTERVAL = { key: 'sdk.ido.type11.upload.interval', value: 10 }; DYCType11.UPLOAD_PATCH_SIZE = { key: 'sdk.ido.type11.patch.size', value: 5 }; class DYCType13 { } DYCType13.ENABLE = { key: 'sdk.ido.type13.enable', value: true }; DYCType13.ENCRYPT_ENABLE = { key: 'sdk.ido.type13.encrypt.enable', value: true }; DYCType13.UPLOAD_INTERVAL = { key: 'sdk.ido.type13.upload.interval', value: 10 }; DYCType13.UPLOAD_PATCH_SIZE = { key: 'sdk.ido.type13.patch.size', value: 20 }; DYCType13.UPLOAD_FORCE_SIZE = { key: 'sdk.ido.type13.forceUpload.size', value: 30 }; class DYCType14 { } DYCType14.ENABLE = { key: 'sdk.ido.type14.enable', value: true }; DYCType14.ENCRYPT_ENABLE = { key: 'sdk.ido.type14.encrypt.enable', value: true }; DYCType14.UPLOAD_INTERVAL = { key: 'sdk.ido.type14.upload.interval', value: 5 }; DYCType14.UPLOAD_PATCH_SIZE = { key: 'sdk.ido.type14.patch.size', value: 20 }; DYCType14.UPLOAD_FORCE_SIZE = { key: 'sdk.ido.type14.forceUpload.size', value: 5 }; export default class GsDynamicConfig { static async update() { let request = new SdkConfigRequest.Builder().url(`${Domains.getInstance().serverInfo.configUrl}/api.php?format=json&t=1`) .moduleName("GS-IDO") .appid(GsRuntime.appId) .version(GsRuntime.sdkVersion) .cid(GsRuntime.gtcId) .frequency(100000) .updateListener({ onUpdate: function (g1, newConfig) { GsDynamicConfig.parseConfig(newConfig, 'onUpdate'); }, onError: function (error) { DebugLog.e("GsDynamicConfig", "update", "dynamicConfig update onError", error); } }) .build(); DebugLog.d("GsDynamicConfig", "update", "load config"); const f1 = await DycManager.getInstance().getAndUpdateConfig(request); GsDynamicConfig.parseConfig(f1, 'localConfig'); } static parseConfig(config, from) { if (!config) { DebugLog.d("GsDynamicConfig", "parseConfig", `parseConfig(${from}) config is empty`); return; } for (let key in config) { let value = config[key]; if (typeof value === 'object') { continue; } else { this.configMap[key] = value; } } DebugLog.d("GsDynamicConfig", "parseConfig", `parseConfig(${from})`); } static get(key, defaultValue) { try { let value = this.configMap[key]; if (!value) { return defaultValue; } switch (typeof defaultValue) { case 'number': return parseFloat(value); case 'boolean': return (value.toLowerCase() === 'true'); case 'string': default: return value; } } catch (error) { DebugLog.e("GsDynamicConfig", "get", "dynamicConfig get error", error); } return defaultValue; } static getByPair(e1) { return this.get(e1.key, e1.value); } } GsDynamicConfig.configMap = {}; export { DYCCommon, DYCBind, DYCType8, DYCType11, DYCType13, DYCType14 }; 