import { Caller, CommonUtil, GtcManager } from 'gtcLibrary'; import GsEventLogicManager from "../t/u"; import GsConstants from "../e/h"; import GsDynamicConfig from "../e/f"; import GsLifecycle from "./s"; import GsRuntime from "./k"; import Singleton from "../l/p"; import { EventType, PresetEvent } from "../t/v"; import Store from "../w/x"; import GsTask from "../y/z"; import ConfigTable from "../w/a1"; import uiObserver from "@ohos.arkui.observer"; import DebugLog from "../l/m"; import IdoConfig from "../e/IdoConfig"; import GsConfigWrapper from "../e/g"; import BuildProfile from "../../../../../../../a"; var e2; (function (l3) { l3[l3["NONE"] = 0] = "NONE"; l3[l3["PRE_INITIALIZATION"] = 1] = "PRE_INITIALIZATION"; l3[l3["CLOSED"] = 2] = "CLOSED"; l3[l3["INITIALIZING"] = 3] = "INITIALIZING"; l3[l3["INITIALIZATION_SUCCESS"] = 4] = "INITIALIZATION_SUCCESS"; l3[l3["INITIALIZATION_FAIL"] = 5] = "INITIALIZATION_FAIL"; })(e2 || (e2 = {})); export default class GsLogic extends Singleton { constructor() { super(...arguments); this.INTERVAL_TIME_MS = 5000; this.initState = e2.NONE; this.taskCacheList = []; this.timerId = null; this.isTargetForegroundPresetEvent = false; } preInit(context) { DebugLog.d("GsLogic", "preInit", "preInit start"); this.launchBuildProfile(); if (!context) { throw new Error("context cannot be null"); } if (this.initState > e2.NONE) { DebugLog.w("GsLogic", "preInit", "preInit has already been invoked"); } this.onAbilityLifecycle(context); this.updateState(e2.PRE_INITIALIZATION); DebugLog.d("GsLogic", "preInit", "preInit end"); } init(context) { DebugLog.d("GsLogic", "init", "init start"); this.launchBuildProfile(); const c3 = this; return new Promise((e3, f3) => { DebugLog.i("GsLogic", "init", `version:sdk(${GsConstants.VERSION_NAME})`); DebugLog.i("GsLogic", "init", `version:gtc(${GtcManager.getInstance().getVersion()})`); let g3 = c3.checkInit(context); if (g3) { DebugLog.error("GsLogic", "init", "init failed", g3); c3.updateState(e2.INITIALIZATION_FAIL); f3(g3); return; } let appId = IdoConfig.getAppId(); if (!appId) { const k3 = CommonUtil.getMetadata('GETUI_APPID'); if (!k3) { g3 = new Error("please configure GETUI_APPID in the metadata of module.json5"); DebugLog.error("GsLogic", "init", "init failed", g3); c3.updateState(e2.INITIALIZATION_FAIL); throw g3; } appId = k3.value; } DebugLog.i("GsLogic", "init", `init appId:${appId}`); this.updateState(e2.INITIALIZING); GtcManager.getInstance().initialize(context, Caller.IDO, null) .then(async (j3) => { await Store.getInstance().create(context); await GsRuntime.init(context, j3, appId); await GsDynamicConfig.update(); Store.getInstance().logEventTable.maxSize = GsConfigWrapper.databaseSize; Store.getInstance().activeEventTable.maxSize = GsConfigWrapper.databaseSize; c3.startTimer(); c3.updateState(e2.INITIALIZATION_SUCCESS); DebugLog.i("GsLogic", "init", `init success:gtcId(${j3})`); GsEventLogicManager.getInstance().init(); c3.handleCachedTask(); e3(j3); }) .catch((error) => { c3.stopTimer(); c3.updateState(e2.INITIALIZATION_FAIL); DebugLog.error("GsLogic", "init", "init failed", error); f3(error); }); }); } launchBuildProfile() { GsRuntime.launchBuildProfile({ HAR_VERSION: BuildProfile.HAR_VERSION, BUILD_MODE_NAME: BuildProfile.BUILD_MODE_NAME, DEBUG: BuildProfile.DEBUG, TARGET_NAME: BuildProfile.TARGET_NAME }); } async testActiveEvent() { } checkInit(context) { if (!context) { return new Error("context cannot be null"); } if (this.initState < e2.PRE_INITIALIZATION) { return new Error("preInit method must be invoked before init"); } if (this.initState === e2.INITIALIZING) { return new Error("initializing, don't call again"); } if (this.initState === e2.INITIALIZATION_SUCCESS) { return new Error("already init success, don't call again"); } return null; } updateState(state) { this.initState = state; } handleCachedTask() { if (this.taskCacheList.length === 0) { return; } DebugLog.d("GsLogic", "handleCachedTask", `handleCachedTask ${this.taskCacheList.length}`); for (let callback of this.taskCacheList) { this.handleTask(callback); } } handleTask(task) { const b3 = this.initState; switch (b3) { case e2.NONE: case e2.INITIALIZATION_FAIL: DebugLog.error("GsLogic", "handleTask", `sdk not init${b3}`); break; case e2.CLOSED: DebugLog.error("GsLogic", "handleTask", "sdk is closed"); break; case e2.PRE_INITIALIZATION: case e2.INITIALIZING: this.taskCacheList.push(task); break; case e2.INITIALIZATION_SUCCESS: this.asyncAction(task); break; } } asyncAction(callback) { return GsTask.asyncAction(callback); } onAbilityLifecycle(context) { const s2 = this; GsLifecycle.getInstance().addApplicationStateChangeCallback((foreground) => { if (foreground) { DebugLog.d("GsLogic", "ApplicationStateChange", "onApplicationForeground"); } else { DebugLog.d("GsLogic", "ApplicationStateChange", "onApplicationBackground"); } s2.handleTask(() => { if (foreground && !s2.isTargetForegroundPresetEvent) { s2.isTargetForegroundPresetEvent = true; GsEventLogicManager.getInstance().onEvent(PresetEvent.FOREGROUND_START); } GsEventLogicManager.getInstance().onApplicationStateChange(foreground); }); }); GsLifecycle.getInstance().addPageRouterListener((info) => { const v2 = GsLifecycle.getInstance().getRouterPageInfoShortString(info); DebugLog.d("GsLogic", "RouterPageUpdate", v2); if (info.state === uiObserver.RouterPageState.ON_PAGE_SHOW) { s2.handleTask(() => { GsEventLogicManager.getInstance().onEvent(PresetEvent.PAGE_VIEW); GsEventLogicManager.getInstance().refresh(EventType.ACTIVE_8); }); } else if (info.state === uiObserver.RouterPageState.ON_PAGE_HIDE) { s2.handleTask(() => { GsEventLogicManager.getInstance().onEvent(PresetEvent.PAGE_LEAVE); GsEventLogicManager.getInstance().refresh(EventType.ACTIVE_8); }); } }); GsLifecycle.getInstance().on(context); } startTimer() { this.stopTimer(); const o2 = this; DebugLog.d("GsLogic", "startTimer", "startTimer"); this.timerId = setInterval(() => { o2.handleTask(() => { GsEventLogicManager.getInstance().refreshAll(); }); }, this.INTERVAL_TIME_MS); } stopTimer() { if (this.timerId) { clearInterval(this.timerId); this.timerId = null; } } onEvent(eventId, attrs, m2 = '') { this.handleTask(() => { GsEventLogicManager.getInstance().onEvent(eventId, attrs, m2); }); } onBeginEvent(eventId) { this.handleTask(() => { GsEventLogicManager.getInstance().onBeginEvent(eventId); }); } onEndEvent(eventId, attrs, j2 = '') { this.handleTask(() => { GsEventLogicManager.getInstance().onEndEvent(eventId, attrs, j2); }); } onProfile(attrs, h2 = '') { this.handleTask(() => { GsEventLogicManager.getInstance().onProfile(attrs, h2); }); } setUserId(userId) { if (!userId || userId.length === 0) { throw new Error('setUserId : invalid userId'); } GsRuntime.setUserId(userId); this.handleTask(() => { Store.getInstance().configTable.setValue(ConfigTable.KEY_UID, userId); }); } } 