import DIM from "../c1/d1"; import GsConstants from "../e/h"; import GsRuntime from "../i/k"; import GsLifecycle from "../i/s"; import { EventType } from "./v"; import GsDynamicConfig, { DYCCommon } from "../e/f"; import Store from "../w/x"; import GsReport from "../y/i1"; import DebugLog from "../l/m"; import IdoConfig from "../e/IdoConfig"; export default class ActiveEventLogic { constructor() { this.lastRefreshTime = 0; this.isFirst = true; } updateRefreshTime(p4) { this.lastRefreshTime = p4; } getType() { throw new Error('Method not implemented.'); } onInit() { } onRefresh() { const now = Date.now(); if (now - this.lastRefreshTime < GsDynamicConfig.getByPair(DYCCommon.ACTIVE_REFRESH_INTERVAL) * 1000) { return false; } this.updateRefreshTime(now); return true; } onEvent(attrs) { } pushInArray(data, array) { if (data) { array.push(data); } } generateActiveTime(type, startTime, endTime) { return { type: type, startTime: startTime, endTime: endTime }; } async generateActiveEventData(...m4) { const now = Date.now(); const installTime = GsRuntime.isFirst && this.isFirst ? GsRuntime.installTime : 0; if (this.isFirst) { this.isFirst = false; } const n4 = []; for (let o4 of m4) { if (!o4) { continue; } if (o4.type == EventType.ACTIVE_8) { const duration = o4.endTime - o4.startTime; if (duration < IdoConfig.getMinAppActiveDuration() || duration > IdoConfig.getMaxAppActiveDuration()) { DebugLog.w("ActiveEventLogic", "generateActiveEventData", `activeEvent8 duration(${duration}) is invalid, must be the area of [${IdoConfig.getMinAppActiveDuration()},${IdoConfig.getMaxAppActiveDuration()}]`); continue; } } const sessionId = await GsRuntime.generateSessionId(o4.startTime); const item = { id: 0, time: now, data: `${now}|${installTime}|${o4.startTime}#${o4.endTime}`, sessionId: sessionId, versionName: DIM.versionName, channelId: GsRuntime.channel, systemVersion: DIM.osFullName, sdkVersion: GsConstants.VERSION_NAME, os: DIM.os, gtcid: GsRuntime.gtcId, appid: GsRuntime.appId, action: 'upload', type: o4.type, foreground: GsLifecycle.getInstance().appForegroundStr }; n4.push(item); } return n4; } _onEvent(task, ...h4) { if (!h4 || h4.length === 0) { return; } const i4 = this; this.generateActiveEventData(...h4) .then((l4) => { i4.publishEvent(task, ...l4); }) .catch((error) => { DebugLog.e("ActiveEventLogic", "_onEvent", `ActiveEvent(${this.getType}) error`, error); }); } publishEvent(task, ...event) { if (!event || event.length === 0) { return; } const e4 = Store.getInstance().activeEventTable; if (e4) { const f4 = []; for (let data of event) { if (!data) { continue; } f4.push(e4.insertEventData(data)); } if (f4 && f4.length > 0) { Promise.all(f4).then(() => { GsReport.publish(task); }); } } } } 