import GsRuntime from "../i/k"; import GsLifecycle from "../i/s"; import { EventType } from "./v"; import Store from "../w/x"; import ConfigTable from "../w/a1"; import ActiveEventReportTask from "../y/e1"; import GsConfigWrapper from "../e/g"; import ActiveEventLogic from "./f1"; import DebugLog from "../l/m"; export default class ActiveEvent8Logic extends ActiveEventLogic { constructor() { super(); this.startTime = 0; this.endTime = 0; this.reportTask = new ActiveEventReportTask(this.getType()); } getType() { return EventType.ACTIVE_8; } onInit() { Store.getInstance().activeEventTable.maxSize = GsConfigWrapper.databaseSize; const b4 = []; const c4 = this.getLastAppForeStartTime(); const d4 = this.getLastAppForeEndTime(); if (c4 > 0 && d4 > c4) { this.pushInArray(this.generateActiveTime(this.getType(), c4, d4), b4); } const now = GsRuntime.sdkStartTime; if (GsLifecycle.getInstance().isAppForeground) { this.pushInArray(this.generateActiveTime(this.getType(), now, now), b4); this.updateRefreshTime(now); } this._onEvent(this.reportTask, ...b4); this.setLastAppForeStartTime(now); this.setLastAppForeEndTime(now); } onRefresh() { if (GsLifecycle.getInstance().isAppForeground && super.onRefresh()) { const now = Date.now(); this._onEvent(this.reportTask, this.generateActiveTime(EventType.ACTIVE_8, this.startTime, now)); return true; } return false; } onEvent(attrs) { if (!attrs.has(GsLifecycle.LIFECYCLE_APPLICATION_STATE)) { return; } try { if (!super.onRefresh()) { return; } const now = Date.now(); const foreground = attrs.get(GsLifecycle.LIFECYCLE_APPLICATION_STATE); if (foreground) { const a4 = GsLifecycle.getInstance().lastBackgroundTime; if (a4 > 0 && now - a4 > GsConfigWrapper.sessionTimeoutMillis) { this.setLastAppForeStartTime(now); } } this.setLastAppForeEndTime(now); this._onEvent(this.reportTask, this.generateActiveTime(EventType.ACTIVE_8, this.startTime, now)); } catch (error) { DebugLog.e("ActiveEvent8Logic", "onEvent", `active${this.getType()} onEvent error`, error); } } getLastAppForeStartTime() { return Store.getInstance().configTable.getNumberValue(ConfigTable.KEY_LAST_APP_FORE_START_TIME); } getLastAppForeEndTime() { return Store.getInstance().configTable.getNumberValue(ConfigTable.KEY_LAST_APP_FORE_END_TIME); } setLastAppForeStartTime(time) { this.startTime = time; Store.getInstance().configTable.setValue(ConfigTable.KEY_LAST_APP_FORE_START_TIME, time.toString()); } setLastAppForeEndTime(time) { this.endTime = time; Store.getInstance().configTable.setValue(ConfigTable.KEY_LAST_APP_FORE_END_TIME, time.toString()); } } 