import { EventType } from "./v"; import Utils from "../l/r"; import GsReport from "../y/i1"; import Store from "../w/x"; import GsRuntime from "../i/k"; import ConfigTable from "../w/a1"; import GsConfigWrapper from "../e/g"; import DIM from "../c1/d1"; import GsLifecycle from "../i/s"; import Domains from "../i/j"; import DebugLog from "../l/m"; class BindEventLogic { constructor() { this.isBinding = false; this.lastBindTime = 0; this.lastStartBindTime = 0; this.bindState = null; this.url = `${Domains.getInstance().serverInfo.url}/sdk/v2/bd`; this.tag = 'bind action'; this.logTag = 'bind'; this.interceptor = Domains.getInstance().getCryptoInterceptor(GsConfigWrapper.bindEncryptEnable); } onInit() { DebugLog.d("BindEventLogic", "onInit", "bind init"); this.lastBindTime = Store.getInstance().configTable.getNumberValue(ConfigTable.KEY_LAST_BIND_TIME, 0); this.startBindTask(); } onRefresh() { this.startBindTask(); return true; } onEvent(attrs) { } async generateRequestBody() { DebugLog.d("BindEventLogic", "generateRequestBody", "bind collect"); const f5 = await this.collectData(); return JSON.stringify(f5); } finish(flag) { this.isBinding = false; if (flag) { this.lastBindTime = Date.now(); Store.getInstance().configTable.setValue(ConfigTable.KEY_LAST_BIND_TIME, this.lastBindTime.toString()); } } getType() { return EventType.BIND; } startBindTask() { GsReport.publish(this) .then((e5) => { if (e5) { this.bindState = true; } else { this.bindState = false; } }) .catch((error) => { this.bindState = false; }); } isGtcIdChanged() { const oldValue = Store.getInstance().configTable.getValue(ConfigTable.KEY_GTC_ID); const newValue = GsRuntime.gtcId; DebugLog.d("BindEventLogic", "isGtcIdChanged", `bind task check gtcId oldValue(${oldValue}), newValue(${newValue})`); if (this.checkChange(oldValue, newValue)) { Store.getInstance().configTable.setValue(ConfigTable.KEY_GTC_ID, newValue); return true; } return false; } isOaIdChanged() { const oldValue = Store.getInstance().configTable.getValue(ConfigTable.KEY_OA_ID); const newValue = GsRuntime.oaId; DebugLog.d("BindEventLogic", "isOaIdChanged", `bind task check oaid oldValue(${oldValue}), newValue(${newValue})`); if (this.checkChange(oldValue, newValue)) { Store.getInstance().configTable.setValue(ConfigTable.KEY_OA_ID, newValue); return true; } return false; } async checkCondition() { if (this.innerCheckCondition()) { this.lastStartBindTime = Date.now(); return true; } return false; } innerCheckCondition() { if (this.isBinding) { DebugLog.d("BindEventLogic", "innerCheckCondition", "bind task is already running"); return false; } this.isBinding = true; const now = Date.now(); if (this.bindState === false && now - this.lastStartBindTime < GsConfigWrapper.bindMinInterval) { DebugLog.w("BindEventLogic", "innerCheckCondition", `bind task check failed: waiting for min_interval(${GsConfigWrapper.bindMinInterval})`); this.isBinding = false; return false; } const y4 = this.isGtcIdChanged(); const z4 = this.isOaIdChanged(); if (y4 || z4) { DebugLog.d("BindEventLogic", "innerCheckCondition", "bind task check passed: id changed"); return true; } const a5 = GsConfigWrapper.bindInterval; const b5 = GsConfigWrapper.bindDayBoundary; return this.checkBindTime(now, this.lastBindTime, a5, b5[0], b5[1]); } checkBindTime(currentTime, q4, r4, min, max) { if (q4 === 0) { DebugLog.d("BindEventLogic", "innerCheckCondition", "bind task check passed: first bind"); return true; } if (currentTime - q4 > r4) { DebugLog.d("BindEventLogic", "innerCheckCondition", `bind task check passed: last bind has been greater than interval(${r4})`); return true; } const s4 = Utils.getZeroClockTime(currentTime); const t4 = Utils.getZeroClockTime(q4); const u4 = s4.getTime(); const v4 = t4.getTime(); if (u4 === v4) { DebugLog.w("BindEventLogic", "innerCheckCondition", `bind task check failed: bind has been complteted with today`); return false; } const w4 = Math.floor(Math.random() * (max - min)) + min; const x4 = u4 + w4; if (currentTime >= x4) { DebugLog.d("BindEventLogic", "innerCheckCondition", ` bind task check passed: cross day, time(${min}|${max}|${w4}|${currentTime}|${x4})`); return true; } else { DebugLog.w("BindEventLogic", "innerCheckCondition", `bind task check failed: cross day trigger time not yet arrived, time(${min}|${max}|${w4}|${currentTime}|${x4})`); return false; } } checkChange(oldValue, newValue) { return !Utils.isNullOrUndefined(newValue) && oldValue !== newValue; } async collectData() { return { uid: GsRuntime.userId, userType: GsRuntime.userType, oneId: '', appType: 'app', pkgName: GsRuntime.pkgName, versionName: DIM.versionName, versionCode: DIM.versionCode.toString(), channelId: GsRuntime.channel, isFirst: GsRuntime.isFirst ? 1 : 0, imei: '', imsi: '', mac: '', extended: await DIM.isNotificationEnabled() ? '1' : '0', phoneBrand: DIM.brand, phoneModel: DIM.productModel, systemVersion: DIM.osFullName, sdkVersion: GsRuntime.sdkVersion, oaid: GsRuntime.oaId, cid: '', isForeground: GsLifecycle.getInstance().appForegroundStr, androidId: '', aid: '', idfa: '', os: DIM.os, gtcid: GsRuntime.gtcId, appid: GsRuntime.appId, action: 'bind', type: EventType.BIND }; } } export default BindEventLogic; 