import HashMap from '@ohos.util.HashMap'; import GsRuntime from "../i/k"; import Utils from "../l/r"; import { EventType, LogEventConstants, PresetEvent } from "./v"; import Store from "../w/x"; import GsReport from "../y/i1"; import LogEventReportTask from "../y/o1"; import LogEventLogic from "./p1"; import DIM from "../c1/d1"; import DebugLog from "../l/m"; export default class LogEvent13Logic extends LogEventLogic { constructor() { super(); this.cacheEvents = new HashMap(); const task = new LogEventReportTask(EventType.LOG_13); this.logTag = task.logTag; this.reportTask = task; } getType() { return EventType.LOG_13; } onInit() { this._onEvent(PresetEvent.APP_START); } onRefresh() { if (super.onRefresh()) { GsReport.publish(this.reportTask); return true; } return false; } onEvent(attrs) { const eventType = this.getType(); try { const v5 = attrs.get(LogEventConstants.KEY_ACTION); if (!v5) { DebugLog.e("LogEvent13Logic", "publicEvent", `${this.logTag} action is undefined or null`); return; } const eventId = attrs.get(LogEventConstants.KEY_EVENT_ID); const w5 = attrs.get(LogEventConstants.KEY_EXT); attrs.delete(LogEventConstants.KEY_ACTION); attrs.delete(LogEventConstants.KEY_TYPE); attrs.delete(LogEventConstants.KEY_EVENT_ID); attrs.delete(LogEventConstants.KEY_EXT); DebugLog.d("LogEvent13Logic", "onEvent", `${this.logTag} onEvent ---> ${eventId}`); switch (v5) { case LogEventConstants.onEvent: this._onEvent(eventId, attrs, w5); break; case LogEventConstants.onBeginEvent: this._onBeginEvent(eventId); break; case LogEventConstants.onEndEvent: this._onEndEvent(eventId, attrs, w5); break; default: DebugLog.w("LogEvent13Logic", "onEvent", `${this.logTag} Unknown log action ${v5}`); return; } this.updateRefreshTime(Date.now()); } catch (e) { DebugLog.e("LogEvent13Logic", "onEvent", `${this.logTag} onEvent error`, e); } } async generateEventData(eventId, attrs, u5) { const networkType = await GsRuntime.getNetworkType(); attrs.set("$wifi", 'wifi' === networkType.toLowerCase()); attrs.set("$network_type", networkType); return super.generateEventData(eventId, attrs, u5); } _onEvent(eventId, attrs = this.generateEmptyEventAttributes, s5 = '') { this.checkEventId(eventId); this.checkAttributes(attrs); this.fillPresentAttributes(attrs); this.generateEventData(eventId, attrs, s5) .then((data) => { this.publicEvent(data); }); } _onBeginEvent(eventId) { this.checkEventId(eventId); this.cacheEvents.set(eventId, Date.now()); } _onEndEvent(eventId, attrs = this.generateEmptyEventAttributes, q5 = '') { this.checkEventId(eventId); if (!this.cacheEvents.hasKey(eventId)) { throw new Error(`eventId=${eventId} not begin or end already`); } this.checkAttributes(attrs); const duration = Date.now() - this.cacheEvents.get(eventId); this.cacheEvents.remove(eventId); attrs.set('$duration', duration); this.fillPresentAttributes(attrs); this.generateEventData(eventId, attrs, q5) .then((data) => { this.publicEvent(data); }); } publicEvent(event) { if (Utils.isNullOrUndefined(event)) { DebugLog.e("LogEvent13Logic", "publicEvent", `${this.logTag} is null or undefined`); return; } DebugLog.d("LogEvent13Logic", "publicEvent", `${this.logTag} ->  datetime(${event.datetime}), eventId(${event.eventId}), sessionId(${event.sessionId}), gtcid(${event.gtcid}), isForeground(${event.isForeground})`); Store.getInstance().logEventTable.insertEventData(event).then(() => { GsReport.publish(this.reportTask); }); } fillPresentAttributes(attrs) { super.fillPresentAttributes(attrs); attrs.set("$carrier", DIM.carrier); } } 