import GsLifecycle from "../i/s"; import GsRuntime from "../i/k"; import DIM from "../c1/d1"; import Utils from "../l/r"; import GsConstants from "../e/h"; import GsDynamicConfig, { DYCCommon } from "../e/f"; export default class LogEventLogic { constructor() { this.lastRefreshTime = 0; } updateRefreshTime(c6) { this.lastRefreshTime = c6; } getType() { throw new Error('Method not implemented.'); } onInit() { } onRefresh() { const now = Date.now(); if (now - this.lastRefreshTime < GsDynamicConfig.getByPair(DYCCommon.LOG_REFRESH_INTERVAL) * 1000) { return false; } this.updateRefreshTime(now); return true; } onEvent(attrs) { } checkEventId(eventId) { if (!eventId) { throw new Error(`eventId is undefined or null`); } if (eventId.length === 0 || eventId.length > 128) { throw new Error(`The length of eventId must be > 0 && <= 128, ${eventId}`); } } checkAttributes(attrs) { for (let item of attrs) { const key = item[0]; if (Utils.isStringEmpty(key)) { throw new Error(`the key of  the event attributes can't be empty`); } else if (key.startsWith('$')) { throw new Error(`the key of the event attributes key can't start with $, ${key}`); } else if (key.length === 0 || key.length > 128) { throw new Error(`The length of key must be > 0 && <= 128, ${key}}`); } const value = item[1]; if (Utils.isNullOrUndefined(value)) { throw new Error(`the value of the event attributes key can't null or undefined, ${key}`); } if (value instanceof Date) { attrs.set(key, Utils.formatDate2(value)); } } } fillPresentAttributes(attrs) { attrs.set('$app_version', DIM.versionName); attrs.set('$manufacturer', DIM.manufacture); attrs.set('$model', DIM.productModel); attrs.set('$os_version', DIM.osFullName); attrs.set('$os', GsRuntime.os); attrs.set('$package_name', GsRuntime.pkgName); attrs.set('$lib_version', GsConstants.VERSION_NAME); attrs.set('$channelId', GsRuntime.channel); attrs.set('$app_type', GsRuntime.appType); attrs.set('$uid', GsRuntime.userId); attrs.set('$user_type', GsRuntime.userType); attrs.set('$one_id', ''); } async generateEventData(eventId, attrs, b6) { return { id: -1, datetime: Date.now(), eventId: eventId, sessionId: GsRuntime.sessionId11, isForeground: GsLifecycle.getInstance().appForegroundStr, ext: b6, os: DIM.os, gtcid: GsRuntime.gtcId, appid: GsRuntime.appId, action: 'upload', type: this.getType(), properties: attrs }; } get generateEmptyEventAttributes() { return Utils.emptyMap(); } } 