import Singleton from "../l/p"; import { EventType, LogEventConstants } from "./v"; import Utils from "../l/r"; import GsConfigWrapper from "../e/g"; import GsLifecycle from "../i/s"; import BindEventLogic from "./j1"; import ActiveEvent8Logic from "./h1"; import ActiveEvent11Logic from "./g1"; import LogEvent13Logic from "./l1"; import h5 from "./m1"; import DebugLog from "../l/m"; export default class GsEventLogicManager extends Singleton { constructor() { super(); const map = new Map(); map.set(EventType.BIND, new BindEventLogic()); map.set(EventType.ACTIVE_11, new ActiveEvent11Logic()); map.set(EventType.ACTIVE_8, new ActiveEvent8Logic()); map.set(EventType.LOG_13, new LogEvent13Logic()); map.set(EventType.LOG_14, new h5()); this.eventLogicMap = new Map(); for (let item of map.entries()) { const type = item[0]; const o5 = item[1]; if (this.getTypeEnable(type)) { this.eventLogicMap.set(type, o5); } else { DebugLog.w("GsEventLogicManager", "constructor", `event(${type}) is closed`); } } } init() { DebugLog.d("GsEventLogicManager", "init", "event logic init"); for (let n5 of this.eventLogicMap.values()) { n5.onInit(); } } onApplicationStateChange(foreground) { const attrs = this.generateEmptyEventAttributes; attrs.set(GsLifecycle.LIFECYCLE_APPLICATION_STATE, foreground); this.eventLogicMap.get(EventType.ACTIVE_8)?.onEvent(attrs); this.eventLogicMap.get(EventType.ACTIVE_11)?.onEvent(attrs); } refreshAll() { this.refresh(EventType.BIND, EventType.ACTIVE_8, EventType.ACTIVE_11, EventType.LOG_13, EventType.LOG_14); } refresh(...types) { DebugLog.d("GsEventLogicManager", "init", `refresh ${types}`); for (let m5 of this.eventLogicMap) { const key = m5[0]; const value = m5[1]; if (types.indexOf(key) === -1) { continue; } value.onRefresh(); } } onEvent(eventId, attrs = this.generateEmptyEventAttributes, l5 = '') { attrs.set(LogEventConstants.KEY_ACTION, LogEventConstants.onEvent); attrs.set(LogEventConstants.KEY_EVENT_ID, eventId); attrs.set(LogEventConstants.KEY_EXT, l5); this.eventLogicMap.get(EventType.LOG_13)?.onEvent(attrs); } onBeginEvent(eventId, attrs = this.generateEmptyEventAttributes, k5 = '') { attrs.set(LogEventConstants.KEY_ACTION, LogEventConstants.onBeginEvent); attrs.set(LogEventConstants.KEY_EVENT_ID, eventId); attrs.set(LogEventConstants.KEY_EXT, k5); this.eventLogicMap.get(EventType.LOG_13)?.onEvent(attrs); } onEndEvent(eventId, attrs = this.generateEmptyEventAttributes, j5 = '') { attrs.set(LogEventConstants.KEY_ACTION, LogEventConstants.onEndEvent); attrs.set(LogEventConstants.KEY_EVENT_ID, eventId); attrs.set(LogEventConstants.KEY_EXT, j5); this.eventLogicMap.get(EventType.LOG_13)?.onEvent(attrs); } onProfile(attrs = this.generateEmptyEventAttributes, i5 = '') { attrs.set(LogEventConstants.KEY_ACTION, LogEventConstants.onProfile); attrs.set(LogEventConstants.KEY_EXT, i5); this.eventLogicMap.get(EventType.LOG_14)?.onEvent(attrs); } onPopupEvent() { } get generateEmptyEventAttributes() { return Utils.emptyMap(); } getTypeEnable(type) { switch (type) { case EventType.BIND: return true; case EventType.ACTIVE_8: return GsConfigWrapper.type8Enable; case EventType.ACTIVE_11: return GsConfigWrapper.type11Enable; case EventType.LOG_13: return GsConfigWrapper.type13Enable; case EventType.LOG_14: return GsConfigWrapper.type14Enable; } return false; } } 