interface EventData { os: string; gtcid: string; appid: string; action: string; type: number; } interface BindEventData extends EventData { uid: string; userType: string; oneId: string; appType: string; pkgName: string; versionName: string; versionCode: string; channelId: string; isFirst: number; imei: string; imsi: string; mac: string; extended: string; phoneBrand: string; phoneModel: string; systemVersion: string; sdkVersion: string; oaid: string; cid: string; isForeground: string; androidId: string; aid: string; idfa: string; } interface ActiveEventData extends EventData { id: number; time: number; data: string; sessionId: string; versionName: string; foreground: string; channelId: string; systemVersion: string; sdkVersion: string; } interface LogEventData extends EventData { id: number; eventId: string; datetime: number; sessionId: string; ext: string; isForeground: string; properties: EventAttributes; } declare enum EventType { BIND = 0, ACTIVE_8 = 8, ACTIVE_11 = 11, LOG_13 = 13, LOG_14 = 14 } declare class PresetEvent { static readonly APP_START = "$app_start"; static readonly FOREGROUND_START = "$foreground_start"; static readonly PAGE_VIEW = "$pageview"; static readonly PAGE_LEAVE = "$pageleave"; static readonly COLLECT: string[]; static has(eventId: string): boolean; } declare class LogEventConstants { static readonly KEY_ACTION = "$GETUI_LOG_ACTION"; static readonly KEY_EVENT_ID = "$GETUI_LOG_EVENT_ID"; static readonly KEY_EXT = "$GETUI_LOG_EXT"; static readonly KEY_TYPE = "$GETUI_LOG_TYPE"; static readonly onEvent = "onEvent"; static readonly onBeginEvent = "onBeginEvent"; static readonly onEndEvent = "onEndEvent"; static readonly onPopupEvent = "onPopupEvent"; static readonly onProfile = "onProfile"; } export interface IEventLogicConfig { getTypeEnable(type: number): boolean; } type EventAttributes = Map<string, string | number | Date | boolean>; export { EventAttributes, PresetEvent, EventType, EventData, BindEventData, ActiveEventData, LogEventData, LogEventConstants }; 