import { AbstractTable } from 'gtcLibrary'; import relationalStore from "@ohos.data.relationalStore"; import DebugLog from "../l/m"; export default class ConfigTable extends AbstractTable { constructor(s7) { super(s7); this.cache = new Map(); } createSql() { return `CREATE TABLE IF NOT EXISTS ${ConfigTable.TABLE_NAME} (${ConfigTable.COLUMN_KEY} INTEGER PRIMARY KEY, ${ConfigTable.COLUMN_VALUE} TEXT)`; } getTableName() { return ConfigTable.TABLE_NAME; } async initCache() { const r7 = this.rdbStore; const table = ConfigTable.TABLE_NAME; let resultSet; try { const predicates = new relationalStore.RdbPredicates(table); const resultSet = await r7.query(predicates); while (resultSet.goToNextRow()) { const key = resultSet.getLong(0); const value = resultSet.getString(1); this.cache.set(key, value); } } catch (error) { DebugLog.e("ConfigTable", "initCache", 'init config error', error); } finally { resultSet?.close(); } } getNumberValue(key, defaultValue = 0) { try { const value = this.getValue(key); if (value) { return parseInt(value); } } catch (error) { DebugLog.e("ConfigTable", "getNumberValue", 'init config error', error); } return defaultValue; } getValue(key) { if (!this.cache.has(key)) { return null; } return this.cache.get(key); } setValue(key, value) { this._setValue(key, value) .then(() => { this.cache.set(key, value); }) .catch((error) => { DebugLog.e("ConfigTable", "setValue", 'config setValue error', error); }); } async _setValue(key, value) { const n7 = this.rdbStore; try { const table = ConfigTable.TABLE_NAME; const valueBucket = { [ConfigTable.COLUMN_KEY]: key, [ConfigTable.COLUMN_VALUE]: value }; n7.beginTransaction(); const o7 = await n7.insert(table, valueBucket, relationalStore.ConflictResolution.ON_CONFLICT_REPLACE); if (o7 === -1) { n7.rollBack(); Promise.reject(new Error('insert failed')); } else { n7.commit(); } } catch (error) { DebugLog.e("ConfigTable", "_setValue", 'config _setValue error', error); n7.rollBack(); } } } ConfigTable.TABLE_NAME = "c"; ConfigTable.COLUMN_KEY = "a"; ConfigTable.COLUMN_VALUE = "b"; ConfigTable.KEY_PUSH_CID = 1; ConfigTable.KEY_LAST_BIND_TIME = 2; ConfigTable.KEY_INSTALL_TIME = 3; ConfigTable.KEY_LAST_APP_FORE_START_TIME = 4; ConfigTable.KEY_LAST_APP_FORE_END_TIME = 5; ConfigTable.KEY_LAST_APP_START_TIME = 6; ConfigTable.KEY_LAST_APP_END_TIME = 7; ConfigTable.KEY_TOTAL_TYPE11_SESSION_ALL = 8; ConfigTable.KEY_TOTAL_BIND = 9; ConfigTable.KEY_TOTAL_BIND_SUCCESS = 10; ConfigTable.KEY_TOTAL_BIND_FAILED = 11; ConfigTable.KEY_TOTAL_TYPE11_SESSION_BIND = 12; ConfigTable.KEY_TOTAL_TYPE8 = 13; ConfigTable.KEY_TOTAL_TYPE8_SUCCESS = 14; ConfigTable.KEY_TOTAL_TYPE8_FAILED = 15; ConfigTable.KEY_TOTAL_TYPE11_SESSION_8 = 16; ConfigTable.KEY_TOTAL_TYPE11 = 17; ConfigTable.KEY_TOTAL_TYPE11_SUCCESS = 18; ConfigTable.KEY_TOTAL_TYPE11_FAILED = 19; ConfigTable.KEY_TOTAL_TYPE11_SESSION_11 = 20; ConfigTable.KEY_TOTAL_TYPE13 = 21; ConfigTable.KEY_TOTAL_TYPE13_SUCCESS = 22; ConfigTable.KEY_TOTAL_TYPE13_FAILED = 23; ConfigTable.KEY_TOTAL_TYPE11_SESSION_13 = 24; ConfigTable.KEY_TOTAL_TYPE14 = 25; ConfigTable.KEY_TOTAL_TYPE14_SUCCESS = 26; ConfigTable.KEY_TOTAL_TYPE14_FAILED = 27; ConfigTable.KEY_TOTAL_TYPE11_SESSION_14 = 28; ConfigTable.KEY_LAST_INTERVAL8 = 29; ConfigTable.KEY_LAST_INTERVAL11 = 30; ConfigTable.KEY_1410_INSTALL_TIME = 31; ConfigTable.KEY_GTC_ID = 32; ConfigTable.KEY_OA_ID = 33; ConfigTable.KEY_UID = 34; ConfigTable.KEY_ONE_AID = 35; 