import { AbstractTable } from 'gtcLibrary'; import relationalStore from '@ohos.data.relationalStore'; import DebugLog from "../l/m"; export default class ActiveEventTable extends AbstractTable { constructor() { super(...arguments); this._maxSize = 0; } set maxSize(value) { this._maxSize = value; } createSql() { return "CREATE TABLE IF NOT EXISTS " + ActiveEventTable.TABLE_NAME + " (" + ActiveEventTable.COLUMN_ID + " INTEGER PRIMARY KEY AUTOINCREMENT, " + ActiveEventTable.COLUMN_TYPE + " TEXT, " + ActiveEventTable.COLUMN_TIME + " TEXT, " + ActiveEventTable.COLUMN_SESSION_ID + " TEXT, " + ActiveEventTable.COLUMN_VERSION_NAME + " TEXT, " + ActiveEventTable.COLUMN_FOREGROUND + " TEXT, " + ActiveEventTable.COLUMN_CHANNEL_ID + " TEXT, " + ActiveEventTable.COLUMN_SYSTEM_VERSION + " TEXT, " + ActiveEventTable.COLUMN_SDK_VERSION + " TEXT, " + ActiveEventTable.COLUMN_TEST + " TEXT, " + ActiveEventTable.COLUMN_OS + " TEXT, " + ActiveEventTable.COLUMN_APP_ID + " TEXT, " + ActiveEventTable.COLUMN_GTC_ID + " TEXT, " + ActiveEventTable.COLUMN_INNER + " TEXT, " + ActiveEventTable.COLUMN_DATA + " TEXT)"; } getTableName() { return ActiveEventTable.TABLE_NAME; } async initCache() { } insert(data) { const m7 = this.rdbStore; const table = ActiveEventTable.TABLE_NAME; const valuesBucket = { [ActiveEventTable.COLUMN_TYPE]: data.type.toString(), [ActiveEventTable.COLUMN_TIME]: data.time.toString(), [ActiveEventTable.COLUMN_SESSION_ID]: data.sessionId, [ActiveEventTable.COLUMN_VERSION_NAME]: data.versionName.toString(), [ActiveEventTable.COLUMN_FOREGROUND]: data.foreground, [ActiveEventTable.COLUMN_CHANNEL_ID]: data.channelId, [ActiveEventTable.COLUMN_SYSTEM_VERSION]: data.systemVersion, [ActiveEventTable.COLUMN_SDK_VERSION]: data.sdkVersion, [ActiveEventTable.COLUMN_OS]: data.os, [ActiveEventTable.COLUMN_GTC_ID]: data.gtcid, [ActiveEventTable.COLUMN_APP_ID]: data.appid, [ActiveEventTable.COLUMN_DATA]: data.data }; return m7.insert(table, valuesBucket, relationalStore.ConflictResolution.ON_CONFLICT_NONE); } update(data) { const l7 = this.rdbStore; const table = ActiveEventTable.TABLE_NAME; const valuesBucket = { [ActiveEventTable.COLUMN_TYPE]: data.type.toString(), [ActiveEventTable.COLUMN_TIME]: data.time.toString(), [ActiveEventTable.COLUMN_SESSION_ID]: data.sessionId, [ActiveEventTable.COLUMN_VERSION_NAME]: data.versionName.toString(), [ActiveEventTable.COLUMN_FOREGROUND]: data.foreground, [ActiveEventTable.COLUMN_CHANNEL_ID]: data.channelId, [ActiveEventTable.COLUMN_SYSTEM_VERSION]: data.systemVersion, [ActiveEventTable.COLUMN_SDK_VERSION]: data.sdkVersion, [ActiveEventTable.COLUMN_OS]: data.os, [ActiveEventTable.COLUMN_GTC_ID]: data.gtcid, [ActiveEventTable.COLUMN_APP_ID]: data.appid, [ActiveEventTable.COLUMN_DATA]: data.data }; const predicates = new relationalStore.RdbPredicates(table); predicates .equalTo(ActiveEventTable.COLUMN_SESSION_ID, data.sessionId) .and() .equalTo(ActiveEventTable.COLUMN_TYPE, data.type.toString()); return l7.update(valuesBucket, predicates, relationalStore.ConflictResolution.ON_CONFLICT_REPLACE); } async deleteOldExpired() { if (this._maxSize <= 0) { return; } const i7 = this.rdbStore; const table = ActiveEventTable.TABLE_NAME; const resultSet = await i7.querySql(`SELECT COUNT(*) from ${table}`); const j7 = resultSet.goToFirstRow(); if (!j7) { resultSet.close(); return; } const rowCount = resultSet.getLong(0); resultSet.close(); const count = rowCount - this._maxSize; if (count <= 0) { return; } const predicates = new relationalStore.RdbPredicates(table); predicates.orderByAsc(ActiveEventTable.COLUMN_ID).limitAs(count); const k7 = await i7.query(predicates); const ids = []; while (k7.goToNextRow()) { const id = k7.getLong(0); ids.push(id); } return this.deleteByIds(...ids); } async insertEventData(data) { const d7 = this.rdbStore; try { d7.beginTransaction(); const e7 = await this.findActiveEventData(data); if (e7) { const f7 = e7.data.split('|'); const g7 = data.data.split('|'); const h7 = `${g7[0]}|${f7[1]}|${g7[2]}`; data.data = h7; const rows = await this.update(data); if (rows === 0) { DebugLog.w("ActiveEventTable", "insertEventData", `updateActiveEventData failed, ${data.type}`); } } else { const row = await this.insert(data); if (row === -1) { DebugLog.e("ActiveEventTable", "insertEventData", `insertActiveEventData failed, ${data.type}`); } else { DebugLog.d("ActiveEventTable", "insertEventData", `[GS-IDO] insertActiveEventData success, ${data.type}-row(${row})`); } await this.deleteOldExpired(); } d7.commit(); } catch (error) { DebugLog.e("ActiveEventTable", "insertEventData", 'insertActiveEventData error', error); d7.rollBack(); } } getActiveEventDataByResultSet(resultSet) { try { const id = resultSet.getLong(resultSet.getColumnIndex(ActiveEventTable.COLUMN_ID)); const type = resultSet.getString(resultSet.getColumnIndex(ActiveEventTable.COLUMN_TYPE)); const time = resultSet.getString(resultSet.getColumnIndex(ActiveEventTable.COLUMN_TIME)); const sessionId = resultSet.getString(resultSet.getColumnIndex(ActiveEventTable.COLUMN_SESSION_ID)); const versionName = resultSet.getString(resultSet.getColumnIndex(ActiveEventTable.COLUMN_VERSION_NAME)); const foreground = resultSet.getString(resultSet.getColumnIndex(ActiveEventTable.COLUMN_FOREGROUND)); const z6 = resultSet.getString(resultSet.getColumnIndex(ActiveEventTable.COLUMN_CHANNEL_ID)); const a7 = resultSet.getString(resultSet.getColumnIndex(ActiveEventTable.COLUMN_SYSTEM_VERSION)); const b7 = resultSet.getString(resultSet.getColumnIndex(ActiveEventTable.COLUMN_SDK_VERSION)); const data = resultSet.getString(resultSet.getColumnIndex(ActiveEventTable.COLUMN_DATA)); const os = resultSet.getString(resultSet.getColumnIndex(ActiveEventTable.COLUMN_OS)); const c7 = resultSet.getString(resultSet.getColumnIndex(ActiveEventTable.COLUMN_GTC_ID)); const appId = resultSet.getString(resultSet.getColumnIndex(ActiveEventTable.COLUMN_APP_ID)); const result = { id: id, type: Number.parseInt(type), time: Number.parseInt(time), data: data, sessionId: sessionId, versionName: versionName, foreground: foreground, channelId: z6, systemVersion: a7, sdkVersion: b7, os: os, gtcid: c7, appid: appId, action: 'upload' }; return result; } catch (error) { DebugLog.e("ActiveEventTable", "getActiveEventDataByResultSet", 'getActiveEventDataByResultSet error', error); } return null; } async findActiveEventData(data) { let resultSet; try { const y6 = this.rdbStore; const table = ActiveEventTable.TABLE_NAME; const predicates = new relationalStore.RdbPredicates(table); predicates .equalTo(ActiveEventTable.COLUMN_SESSION_ID, data.sessionId) .and() .equalTo(ActiveEventTable.COLUMN_TYPE, data.type.toString()); resultSet = await y6.query(predicates); if (resultSet.goToNextRow()) { return this.getActiveEventDataByResultSet(resultSet); } } finally { resultSet?.close(); } return null; } deleteByIds(...ids) { const x6 = this.rdbStore; const table = ActiveEventTable.TABLE_NAME; const predicates = new relationalStore.RdbPredicates(table); predicates.in(ActiveEventTable.COLUMN_ID, ids); return x6.delete(predicates); } async queryData(type, limit) { let resultSet; try { const v6 = this.rdbStore; const table = ActiveEventTable.TABLE_NAME; const predicates = new relationalStore.RdbPredicates(table); predicates.equalTo(ActiveEventTable.COLUMN_TYPE, type.toString()).orderByAsc(ActiveEventTable.COLUMN_ID) .limitAs(limit); resultSet = await v6.query(predicates); const result = []; while (resultSet.goToNextRow()) { const w6 = this.getActiveEventDataByResultSet(resultSet); if (w6) { result.push(w6); } } return result; } finally { resultSet?.close(); } } deleteById(id) { const u6 = this.rdbStore; const table = ActiveEventTable.TABLE_NAME; const predicates = new relationalStore.RdbPredicates(table); predicates.equalTo(ActiveEventTable.COLUMN_ID, id); u6.delete(predicates); } } ActiveEventTable.TABLE_NAME = "t"; ActiveEventTable.COLUMN_ID = "a"; ActiveEventTable.COLUMN_TYPE = "b"; ActiveEventTable.COLUMN_TIME = "c"; ActiveEventTable.COLUMN_DATA = "d"; ActiveEventTable.COLUMN_VERSION_NAME = "e"; ActiveEventTable.COLUMN_FOREGROUND = "f"; ActiveEventTable.COLUMN_CHANNEL_ID = "g"; ActiveEventTable.COLUMN_SYSTEM_VERSION = "h"; ActiveEventTable.COLUMN_SDK_VERSION = "i"; ActiveEventTable.COLUMN_TEST = "j"; ActiveEventTable.COLUMN_INNER = "k"; ActiveEventTable.COLUMN_OS = "l"; ActiveEventTable.COLUMN_APP_ID = "m"; ActiveEventTable.COLUMN_GTC_ID = "n"; ActiveEventTable.COLUMN_SESSION_ID = "s"; 