import { AbstractTable } from 'gtcLibrary'; import relationalStore from "@ohos.data.relationalStore"; import Utils from "../l/r"; import DebugLog from "../l/m"; export default class LogEventTable extends AbstractTable { constructor() { super(...arguments); this._maxSize = 0; } set maxSize(value) { this._maxSize = value; } createSql() { return "CREATE TABLE IF NOT EXISTS " + LogEventTable.TABLE_NAME + " (" + LogEventTable.COLUMN_ID + " INTEGER PRIMARY KEY AUTOINCREMENT, " + LogEventTable.COLUMN_EVENT_ID + " TEXT, " + LogEventTable.COLUMN_EVENT_TIME + " TEXT, " + LogEventTable.COLUMN_EVENT_TYPE + " TEXT, " + LogEventTable.COLUMN_SESSION_ID + " TEXT, " + LogEventTable.COLUMN_EXT + " TEXT, " + LogEventTable.COLUMN_FOREGROUND + " TEXT, " + LogEventTable.COLUMN_OS + " TEXT, " + LogEventTable.COLUMN_APP_ID + " TEXT, " + LogEventTable.COLUMN_GTC_ID + " TEXT, " + LogEventTable.COLUMN_INNER + " TEXT, " + LogEventTable.COLUMN_EVENT_PROPERTIES + " TEXT)"; } getTableName() { return LogEventTable.TABLE_NAME; } async insertEventData(data) { const f8 = this.rdbStore; try { f8.beginTransaction(); await this.insert(data); await this.deleteOldExpired(); f8.commit(); } catch (error) { DebugLog.e("LogEventTable", "insertEventData", 'insert log event data error', error); f8.rollBack(); } } insert(data) { const e8 = this.rdbStore; const table = LogEventTable.TABLE_NAME; const properties = Utils.serializeMap(data.properties); const valuesBucket = { [LogEventTable.COLUMN_EVENT_ID]: data.eventId, [LogEventTable.COLUMN_EVENT_TIME]: data.datetime.toString(), [LogEventTable.COLUMN_EVENT_TYPE]: data.type.toString(), [LogEventTable.COLUMN_SESSION_ID]: data.sessionId, [LogEventTable.COLUMN_FOREGROUND]: data.isForeground, [LogEventTable.COLUMN_EXT]: data.ext, [LogEventTable.COLUMN_OS]: data.os, [LogEventTable.COLUMN_GTC_ID]: data.gtcid, [LogEventTable.COLUMN_APP_ID]: data.appid, [LogEventTable.COLUMN_EVENT_PROPERTIES]: properties, }; return e8.insert(table, valuesBucket, relationalStore.ConflictResolution.ON_CONFLICT_NONE); } async deleteOldExpired() { if (this._maxSize <= 0) { return; } const rowCount = await this.countStar(); const count = rowCount - this._maxSize; if (count <= 0) { return; } const c8 = this.rdbStore; const table = LogEventTable.TABLE_NAME; const predicates = new relationalStore.RdbPredicates(table); predicates.orderByAsc(LogEventTable.COLUMN_ID).limitAs(count); const d8 = await c8.query(predicates); const ids = []; while (d8.goToNextRow()) { const id = d8.getLong(0); ids.push(id); } return this.deleteByIds(...ids); } deleteByIds(...ids) { const b8 = this.rdbStore; const table = LogEventTable.TABLE_NAME; const predicates = new relationalStore.RdbPredicates(table); predicates.in(LogEventTable.COLUMN_ID, ids); return b8.delete(predicates); } async countStar() { const z7 = this.rdbStore; const table = LogEventTable.TABLE_NAME; let resultSet; try { resultSet = await z7.querySql(`SELECT COUNT(*) from ${table}`); const a8 = resultSet.goToFirstRow(); if (a8) { return resultSet.getLong(0); } else { return 0; } } finally { resultSet?.close(); } } async countByType(type) { const x7 = this.rdbStore; const table = LogEventTable.TABLE_NAME; let resultSet; try { const sql = `SELECT COUNT(*) from ${table} WHERE ${LogEventTable.COLUMN_EVENT_TYPE} = ${type}`; resultSet = await x7.querySql(sql); const y7 = resultSet.goToFirstRow(); if (y7) { return resultSet.getLong(0); } else { return 0; } } finally { resultSet?.close(); } } async queryData(type, limit) { const v7 = this.rdbStore; const table = LogEventTable.TABLE_NAME; const predicates = new relationalStore.RdbPredicates(table); predicates.equalTo(LogEventTable.COLUMN_EVENT_TYPE, type.toString()).limitAs(limit); const resultSet = await v7.query(predicates); const result = []; while (resultSet.goToNextRow()) { const w7 = this.getDataByResultSet(resultSet); if (w7) { result.push(w7); } } return result; } getDataByResultSet(resultSet) { try { const id = resultSet.getLong(resultSet.getColumnIndex(LogEventTable.COLUMN_ID)); const eventId = resultSet.getString(resultSet.getColumnIndex(LogEventTable.COLUMN_EVENT_ID)); const type = resultSet.getString(resultSet.getColumnIndex(LogEventTable.COLUMN_EVENT_TYPE)); const time = resultSet.getString(resultSet.getColumnIndex(LogEventTable.COLUMN_EVENT_TIME)); const sessionId = resultSet.getString(resultSet.getColumnIndex(LogEventTable.COLUMN_SESSION_ID)); const foreground = resultSet.getString(resultSet.getColumnIndex(LogEventTable.COLUMN_FOREGROUND)); const t7 = resultSet.getString(resultSet.getColumnIndex(LogEventTable.COLUMN_EXT)); const properties = resultSet.getString(resultSet.getColumnIndex(LogEventTable.COLUMN_EVENT_PROPERTIES)); const os = resultSet.getString(resultSet.getColumnIndex(LogEventTable.COLUMN_OS)); const u7 = resultSet.getString(resultSet.getColumnIndex(LogEventTable.COLUMN_GTC_ID)); const appId = resultSet.getString(resultSet.getColumnIndex(LogEventTable.COLUMN_APP_ID)); const result = { id: id, eventId: eventId, type: parseInt(type), datetime: parseInt(time), sessionId: sessionId, isForeground: foreground, os: os, gtcid: u7, appid: appId, action: 'upload', ext: t7, properties: Utils.deserializeMap(properties) }; return result; } catch (error) { DebugLog.e("LogEventTable", "getDataByResultSet", 'getDataByResultSet error', error); } return null; } } LogEventTable.TABLE_NAME = "e"; LogEventTable.COLUMN_ID = "id"; LogEventTable.COLUMN_EVENT_ID = "i"; LogEventTable.COLUMN_EVENT_TIME = "t"; LogEventTable.COLUMN_EVENT_TYPE = "y"; LogEventTable.COLUMN_SESSION_ID = "s"; LogEventTable.COLUMN_EXT = "e"; LogEventTable.COLUMN_EVENT_PROPERTIES = "p"; LogEventTable.COLUMN_FOREGROUND = "f"; LogEventTable.COLUMN_OS = "l"; LogEventTable.COLUMN_APP_ID = "m"; LogEventTable.COLUMN_GTC_ID = "n"; LogEventTable.COLUMN_INNER = "inn"; 