import DIM from "../c1/d1"; import { EventType } from "../t/v"; import GsRuntime from "../i/k"; import Store from "../w/x"; import buffer from "@ohos.buffer"; import HashSet from "@ohos.util.HashSet"; import GsConfigWrapper from "../e/g"; import Domains from "../i/j"; import DebugLog from "../l/m"; export default class ActiveEventReportTask { constructor(type) { this.running = false; this.type = type; this.ids = new HashSet(); this.url = `${Domains.getInstance().serverInfo.url}${this.urlSuffix()}`; this.tag = `upload type${this.type}`; this.logTag = `active${this.type}`; this.interceptor = Domains.getInstance().getCryptoInterceptor(this.encryptEnable()); this.lastUploadTime = 0; } encryptEnable() { return this.type === EventType.ACTIVE_11 ? GsConfigWrapper.type11EncryptEnable : GsConfigWrapper.type8EncryptEnable; } urlSuffix() { return this.type === EventType.ACTIVE_11 ? '/sdk/v2/bgbt' : '/sdk/v2/bbt'; } limit() { return this.type === EventType.ACTIVE_11 ? GsConfigWrapper.type11UploadPatchSize : GsConfigWrapper.type8UploadPatchSize; } interval() { return this.type === EventType.ACTIVE_11 ? GsConfigWrapper.type11UploadInterval : GsConfigWrapper.type8UploadInterval; } async checkCondition() { if (this.running) { DebugLog.d("ActiveEventReportTask", "checkCondition", `${this.logTag} task is already running`); return false; } const now = Date.now(); if (now - this.lastUploadTime < this.interval()) { DebugLog.d("ActiveEventReportTask", "checkCondition", `${this.logTag} task is waiting for interval(${this.interval()})`); return false; } this.lastUploadTime = now; this.running = true; return true; } finish(flag) { DebugLog.d("ActiveEventReportTask", "finish", `${this.logTag} finish(${flag})`); if (flag && this.ids && this.ids.length > 0) { const j8 = Store.getInstance().activeEventTable; if (j8) { j8.deleteByIds(...this.ids).finally(() => { DebugLog.d("ActiveEventReportTask", "finish", `${this.logTag} deleteByIds(${[...this.ids]})`); this.ids.clear(); this.running = false; }); } } else { this.ids.clear(); this.running = false; } } async generateRequestBody() { const h8 = Store.getInstance().activeEventTable; if (h8) { const limit = this.limit(); const list = await h8.queryData(this.type, limit); if (list && list.length > 0) { const i8 = this.convertRequestBody(list); for (let id of i8.ids) { this.ids.add(id); } DebugLog.d("ActiveEventReportTask", "generateRequestBody", `${this.logTag} patch size->  ${list.length} ---> ${[...this.ids]}`); delete i8.ids; return JSON.stringify(i8); } } return Promise.reject(`no data to report`); } convertRequestBody(array) { const g8 = { action: 'upload', os: GsRuntime.os, gtcid: GsRuntime.gtcId, appid: GsRuntime.appId, manufacturer: DIM.manufacture, pkgName: GsRuntime.pkgName, phoneModel: DIM.productModel, appType: 'app', data: [], ids: [] }; for (let data of array) { const item = { type: data.type, isForeground: data.foreground, systemVersion: data.systemVersion, sdkVersion: data.sdkVersion, sessionId: data.sessionId, channelId: data.channelId, versionName: data.versionName, o: buffer.from(data.data).toString("base64"), uid: GsRuntime.userId, userType: GsRuntime.userType, oneId: '', }; g8.data.push(item); g8.ids.push(data.id); } return g8; } } 