import { MediaType, Request, RequestBody } from 'gtcLibrary'; import l8 from "../n/r1"; import Domains from "../i/j"; import { EventType } from "../t/v"; import DebugLog from "../l/m"; export default class GsReport { static getReportUrl(type) { const host = Domains.getInstance().serverInfo.url; let path = ''; switch (type) { case EventType.BIND: path = '/sdk/v2/bd'; break; case EventType.ACTIVE_8: path = '/sdk/v2/bbt'; break; case EventType.ACTIVE_11: path = '/sdk/v2/bgbt'; break; case EventType.LOG_13: path = '/sdk/v2/ued'; break; case EventType.LOG_14: path = '/sdk/v2/uud'; break; } return `${host}${path}`; } static getReportTag(type) { switch (type) { case EventType.BIND: return 'bind action'; case EventType.ACTIVE_8: return 'upload type8'; case EventType.ACTIVE_11: return 'upload type11'; case EventType.LOG_13: return 'upload event'; case EventType.LOG_14: return 'upload profile'; } return ''; } static async publish(task) { DebugLog.d("GsReport", "publish", `${task.logTag} report task launch`); if (!task) { task.finish(false); return "Invalid task"; } const condition = await task.checkCondition(); if (!condition) { task.finish(false); return "task check condition not passed"; } try { const url = task.url; const tag = task.tag; const o8 = task.interceptor; const p8 = await task.generateRequestBody(); const response = await GsReport.report(url, o8, tag, p8); const result = response.body.parse(); if (response.code === 200) { DebugLog.d("GsReport", "publish", `${task.logTag} report task execute success ${JSON.stringify(result)}`); task.finish(true); return result; } else { task.finish(false); DebugLog.w("GsReport", "publish", `${task.logTag} report task execute failed ${JSON.stringify(result)}`); throw new Error(JSON.stringify(result)); } } catch (error) { task.finish(false); DebugLog.e("GsReport", "publish", `${task.logTag} report task execute error`, error); throw error; } } static report(url, m8, tag, n8) { const request = new Request.Builder() .url(url) .method("POST") .body(RequestBody.create(MediaType.JSON_TYPE, n8)) .interceptor(m8) .tag(tag) .build(); return l8.get() .newCall(request) .execute(); } } 