import HashSet from "@ohos.util.HashSet"; import { EventType } from "../t/v"; import GsConfigWrapper from "../e/g"; import Store from "../w/x"; import GsRuntime from "../i/k"; import Utils from "../l/r"; import Domains from "../i/j"; import DebugLog from "../l/m"; export default class LogEventReportTask { constructor(type) { this.running = false; this.type = type; this.ids = new HashSet(); this.url = `${Domains.getInstance().serverInfo.url}${this.urlSuffix()}`; this.tag = `upload type${this.type}`; this.logTag = `log${this.type}`; this.interceptor = Domains.getInstance().getCryptoInterceptor(this.encryptEnable()); this.lastUploadTime = 0; } encryptEnable() { return this.type === EventType.LOG_13 ? GsConfigWrapper.type13EncryptEnable : GsConfigWrapper.type14EncryptEnable; } urlSuffix() { return this.type === EventType.LOG_13 ? '/sdk/v2/ued' : '/sdk/v2/uud'; } limit() { return this.type === EventType.LOG_13 ? GsConfigWrapper.type13UploadPatchSize : GsConfigWrapper.type14UploadPatchSize; } interval() { return this.type === EventType.LOG_13 ? GsConfigWrapper.type13UploadInterval : GsConfigWrapper.type14UploadInterval; } forceSize() { return this.type === EventType.LOG_13 ? GsConfigWrapper.type13UploadForceSize : GsConfigWrapper.type14UploadForceSize; } async checkCondition() { if (this.running) { DebugLog.d("LogEventReportTask", "checkCondition", `${this.logTag} task is already running`); return false; } this.running = true; const total = await Store.getInstance().logEventTable.countByType(this.type); if (total === 0) { DebugLog.d("LogEventReportTask", "checkCondition", `${this.logTag} query total(${total}), db is empty`); return false; } const w8 = this.forceSize(); if (total >= this.forceSize()) { DebugLog.d("LogEventReportTask", "checkCondition", `${this.logTag} query total(${total}) forceSize(${w8})`); this.lastUploadTime = Date.now(); return true; } const now = Date.now(); if (now - this.lastUploadTime < this.interval()) { DebugLog.d("LogEventReportTask", "checkCondition", `${this.logTag} task is waiting for interval(${this.interval()})`); return false; } else { DebugLog.d("LogEventReportTask", "checkCondition", `${this.logTag} task last uploadTime(${this.lastUploadTime}) diff(${now - this.lastUploadTime})`); } this.lastUploadTime = now; return true; } async generateRequestBody() { const list = await Store.getInstance().logEventTable.queryData(this.type, this.limit()); if (list && list.length > 0) { const v8 = this.convertRequestBody(list); for (let id of v8.ids) { this.ids.add(id); } DebugLog.d("LogEventReportTask", "generateRequestBody", `${this.logTag} patch size ${list.length} ---> ${[...this.ids]}`); delete v8.ids; return JSON.stringify(v8); } return Promise.reject(`no data to report`); } convertRequestBody(array) { const u8 = { action: 'upload', os: GsRuntime.os, gtcid: GsRuntime.gtcId, appid: GsRuntime.appId, appType: 'app', data: [], ids: [] }; for (let data of array) { const item = { eventId: data.eventId, datetime: data.datetime, sessionId: data.sessionId, ext: data.ext, isForeground: data.isForeground, properties: Utils.mapToObj(data.properties) }; if (data.type === EventType.LOG_14) { delete item.eventId; } u8.data.push(item); u8.ids.push(data.id); } return u8; } finish(flag) { DebugLog.d("LogEventReportTask", "finish", `${this.logTag} finish(${flag})`); if (flag && this.ids && this.ids.length > 0) { const s8 = Store.getInstance().logEventTable; if (s8) { s8.deleteByIds(...this.ids).finally(() => { DebugLog.d("LogEventReportTask", "finish", `${this.logTag} deleteByIds(${[...this.ids]})`); this.ids.clear(); this.running = false; }); } } else { this.ids.clear(); this.running = false; } } } 