import { BridgeInterceptor } from "./o1"; import { CallServerInterceptor } from "./q1"; import { ConnectInterceptor } from "./r1"; import RealInterceptorChain from "./t1"; class HttpCall { constructor(w6, request) { this.executed = false; this.canceled = false; this.client = w6; this.originalRequest = request; } static newCall(v6, request) { return new HttpCall(v6, request); } getHost() { return this.originalRequest.url.host; } request() { return this.originalRequest; } execute() { if (this.executed) { throw new Error("Already Executed"); } this.executed = true; return this.getResponseWithInterceptorChain(); } cancel() { this.canceled = true; } isCanceled() { return this.canceled; } isExecuted() { return this.executed; } getResponseWithInterceptorChain() { const interceptors = new Array(); const s6 = this.client.interceptors; if (s6 && s6.length > 0) { interceptors.push(...s6); } const t6 = this.originalRequest.interceptor; if (t6) { interceptors.push(t6); } interceptors.push(new BridgeInterceptor()); interceptors.push(new ConnectInterceptor()); interceptors.push(new CallServerInterceptor(this.client)); const u6 = new RealInterceptorChain(interceptors, 0, this.originalRequest, this); return u6.proceed(this.originalRequest); } } export default HttpCall; 