import buffer from '@ohos.buffer'; import StringBuilder from "../utils/f1"; import MediaType from "./l"; export class LoggerInterceptor { constructor(f7, flags = LoggerInterceptor.BASIC | LoggerInterceptor.BODY) { this.logger = f7; this.flags = flags; } async intercept(x6) { const request = x6.request(); const y6 = request.logFlags; const flags = y6 != -1 ? y6 : this.flags; const z6 = new StringBuilder(); if ((flags & LoggerInterceptor.BASIC) == LoggerInterceptor.BASIC) { z6.append(request.method + " " + request.url + " " + request.tag + "\n"); } if ((flags & LoggerInterceptor.HEADER) == LoggerInterceptor.HEADER) { const headers = request.headers; if (headers) { for (let key in headers) { if (headers.hasOwnProperty(key)) { z6.append(key + ": " + headers[key] + "\n"); } } } } if ((flags & LoggerInterceptor.BODY) == LoggerInterceptor.BODY) { const body = request.body; if (body) { let e7 = MediaType.UTF_8; if (body.contentType) { e7 = body.contentType.charset(); } if (body.contentLength > 2147483647) { z6.append("request body content length: " + body.contentLength + "\n"); } else { const value = buffer.from(body.content).toString(e7); z6.append(value + "\n"); } } } this.logger.debug(z6.toString()); const a7 = Date.now(); const response = await x6.proceed(request); const b7 = Date.now() - a7; const c7 = new StringBuilder(); if ((flags & LoggerInterceptor.BASIC) == LoggerInterceptor.BASIC) { c7.append(response.code + " " + response.message + " " + request.url + " " + request.tag + " (" + b7 + "ms)\n"); } if ((flags & LoggerInterceptor.HEADER) == LoggerInterceptor.HEADER) { const headers = response.headers; if (headers) { for (let key in headers) { if (headers.hasOwnProperty(key)) { c7.append(key + ": " + headers[key] + "\n"); } } } } if ((flags & LoggerInterceptor.BODY) == LoggerInterceptor.BODY) { const body = response.body; if (body) { let d7 = MediaType.UTF_8; if (body.contentType()) { d7 = body.contentType().charset(); } if (body.contentLength() > 2147483647) { c7.append("response body content length: " + body.contentLength() + "\n"); } else { const value = buffer.from(body.source()).toString(d7); c7.append(value + "\n"); } } } this.logger.debug(c7.toString()); return response; } } LoggerInterceptor.BASIC = 1; LoggerInterceptor.HEADER = 2; LoggerInterceptor.BODY = 4; 