import buffer from '@ohos.buffer'; import CryptTools from "../../o/k1"; import Pako from "../../utils/a1/b1"; import ResponseBody from "../k"; import RequestBody from "../j"; import BuildProfile from "../../../s1"; class GtRASCryptoInterceptor { constructor(keyId = BuildProfile.KEY_ID, t5 = BuildProfile.PUBLIC_KEY) { this.keyId = keyId; this.publicKeyStr = t5; } async intercept(x4) { const y4 = x4.request(); const z4 = y4.newBuilder(); const body = y4.body; if (!body) throw new Error("GtRASCryptoInterceptor Error: request body is null"); z4.addHeader("GT_C_T", "1") .addHeader("GT_C_K", this.keyId); const a5 = String(new Date().getTime()); z4.addHeader("GT_T", a5); const nonce = this.secureRandom(0, 255); const b5 = await CryptTools.parsePublicKey(CryptTools.RSA512_2, this.publicKeyStr); const c5 = await CryptTools.generateSymKey(CryptTools.AES_128); const d5 = await CryptTools.encrypt(CryptTools.TRANSFORMATION_RSA512, b5, null, c5.getEncoded().data); const e5 = buffer.concat([nonce, d5]).toString("base64"); z4.addHeader("GT_C_V", e5); const f5 = buffer.concat([ new Uint8Array(buffer.from(a5).buffer), Pako.gzip(body.content) ]); const g5 = buffer.from(await CryptTools.digest("SHA1", new Uint8Array(f5.buffer))).toString("base64"); z4.addHeader("GT_C_S", g5); const h5 = await CryptTools.digest("MD5", new Uint8Array(buffer.from(g5).buffer)); const i5 = Pako.gzip(body.content); const j5 = await CryptTools.encryptIv(c5, h5, i5); z4.body(RequestBody.create(body.contentType, j5.buffer)); const response = await x4.proceed(z4.build()); if (response.code != 200) { return Promise.resolve(response); } const k5 = response.newBuilder().request(y4); const l5 = response.header('GT_ERR'); if (a5 == null) { throw new Error("GT_ERR header not found"); } else if ("0" != l5) { throw new Error("GT_ERR header is " + l5); } k5.removeHeader("GT_ERR"); const m5 = response.header("GT_T"); if (m5 == null) { throw new Error("GT_T header not found"); } const timeStamp = buffer.from(m5); const n5 = await CryptTools.digest("MD5", new Uint8Array(timeStamp.buffer)); k5.removeHeader("GT_T"); const o5 = response.header("GT_C_S"); if (o5 == null) { throw new Error("GT_C_S header not found"); } const sign = buffer.from(o5, "base64"); const p5 = response.body.source(); const q5 = await CryptTools.decryptIv(c5, n5, new Uint8Array(p5)); const r5 = buffer.concat([ new Uint8Array(timeStamp.buffer), new Uint8Array(q5.buffer) ]); const s5 = await CryptTools.digest("SHA1", new Uint8Array(r5.buffer)); if (s5.byteLength != sign.length) { throw new Error("response body sign check failed"); } k5.removeHeader("GT_C_S"); k5.body(ResponseBody.create(response.body.contentType(), q5)); return k5.build(); } secureRandom(min, max) { const array = new Array(16); for (let index = 0; index < 16; index++) { const w4 = Math.floor(Math.random() * (max - min + 1)) + min; array[index] = w4; } return Uint8Array.from(array); } } export default GtRASCryptoInterceptor; 