class Response { constructor(request, code, message, headers, body) { this.request = request; this.code = code; this.message = message; this.headers = headers; this.body = body; } isSuccessful() { return this.code >= 200 && this.code < 300; } header(name, y7 = true) { if (!y7) { return this.headers[name]; } else { const z7 = Response.getPropertyIgnoreCase(this.headers, name); return z7 ? z7[1] : undefined; } } static getPropertyIgnoreCase(obj, w7) { if (!w7 || !obj) return undefined; w7 = w7.toLowerCase(); const value = obj[w7]; if (value) return [w7, value]; const key = Object.keys(obj).find(k => k.toLowerCase() == w7); return key ? [w7, obj[key]] : undefined; } newBuilder() { return new Response.Builder(this); } static get Builder() { return Builder; } toString() { return "Response{code=" + this.code + ", message=" + this.message + ", url=" + this.request.url + '}'; } } export class Builder { constructor(response) { if (response) { this._request = response.request; this._code = response.code; this._message = response.message; this._headers = response.headers; this._body = response.body; } else { this._request = null; this._code = -1; this._message = null; this._headers = {}; this._body = null; } } body(body) { this._body = body; return this; } request(request) { this._request = request; return this; } code(code) { this._code = code; return this; } message(message) { this._message = message; return this; } headers(value) { this._headers = value; return this; } removeHeader(name, u7 = true) { const headers = this._headers; if (!u7) { delete headers[name]; } else if (name) { const v7 = Response.getPropertyIgnoreCase(headers, name); if (v7) { delete headers[v7[0]]; } } return this; } addHeader(name, value) { this._headers[name] = value; return this; } build() { if (this._request == null) { throw Error("request == null"); } if (this._code < 0) { throw Error("responseCode < 0: " + this._code); } if (this._message == null) { throw Error("message == null"); } return new Response(this._request, this._code, this._message, this._headers, this._body); } } export default Response; 