import crypto from "@ohos.security.cryptoFramework"; import buffer from '@ohos.buffer'; class CryptTools { static async parsePublicKey(algorithm, publicKey) { const e1 = buffer.from(publicKey, 'base64'); const f1 = { data: new Uint8Array(e1.buffer, 0, e1.length) }; return (await CryptTools.convertAsyKey(algorithm, f1, null)).pubKey; } static async encryptIv(c1, iv, data) { let d1 = { iv: { data: iv }, algName: "IvParamsSpec" }; return CryptTools.encrypt(this.TRANSFORMATION_AES128, c1, d1, data); } static async decryptIv(a1, iv, data) { let b1 = { iv: { data: iv }, algName: "IvParamsSpec" }; return CryptTools.decrypt(this.TRANSFORMATION_AES128, a1, b1, data); } static async encrypt(transformation, key, params, data) { let u = crypto.createCipher(transformation); await u.init(crypto.CryptoMode.ENCRYPT_MODE, key, params); return (await u.doFinal({ data: data })).data; } static async decrypt(transformation, key, params, data) { let t = crypto.createCipher(transformation); await t.init(crypto.CryptoMode.DECRYPT_MODE, key, params); return (await t.doFinal({ data: data })).data; } static async digest(algorithm, data) { let o = crypto.createMd(algorithm); await o.update({ data: data }); let s = await o.digest(); return s.data; } static async digestToHexString(i, content) { const array = await CryptTools.digest(i, content); let j = ""; array.forEach((value) => { if (value < 0) value += 256; if (value < 16) j += 0; j += value.toString(16); }); return j; } static generateSymKey(algorithm) { return crypto .createSymKeyGenerator(algorithm) .generateSymKey(); } static convertSymKey(algorithm, data) { return crypto .createSymKeyGenerator(algorithm) .convertKey({ data: data }); } static convertAsyKey(algorithm, pubKey, priKey) { return crypto .createAsyKeyGenerator(algorithm) .convertKey(pubKey, priKey); } } CryptTools.AES_128 = "AES128"; CryptTools.RSA512_2 = "RSA512|PRIMES_2"; CryptTools.SHA_1 = "SHA1"; CryptTools.MD5 = "MD5"; CryptTools.TRANSFORMATION_RSA512 = "RSA512|PKCS1_OAEP|SHA1|MGF1_SHA1"; CryptTools.TRANSFORMATION_AES128 = "AES|CFB|NoPadding"; export default CryptTools; 