import process from '@ohos.process'; import buffer from '@ohos.buffer'; import StringUtil from "./l1"; import CryptTools from "./k1"; import IOUtils from "./m1"; class EncryptUtils { static testInit() { this.httpId = new Uint8Array([-85, 127, 83, 7, 109, 55, -64, -20, 25, 68, 97, -36, -63, 48, -104, -51]); this.socketId = new Uint8Array([-46, 98, -79, 6, -12, 102, -10, 123, 117, -57, -71, 31, -45, 8, 49, -41]); this.rsaKeyId = '69d747c4b9f641baf4004be4297e9f3b'; this.rsaPublicKey = 'MHwwDQYJKoZIhvcNAQEBBQADawAwaAJhAJp1rROuvBF7sBSnvLaesj2iFhMcY8aXyLvpnNLKs2wjL3JmEnyr++SlVa35liUlzi83tnAFkn3A9GB7pHBNzawyUkBh8WUhq5bnFIkk2RaDa6+5MpG84DEv52p7RR+aWwIDAQAB'; this.loadSuccess = true; } static init(i3, j3, k3) { this.rsaKeyId = i3; this.rsaPublicKey = j3; this.redirectAes = k3; return this.resetKey(); } static setRedirectAes(h3) { this.redirectAes = h3; } static getRSAKeyIdBuffer() { return StringUtil.stringToUint8Array(this.rsaKeyId); } static getPacketId() { return this.packetId++; } static getIV(data) { return this.md5(data); } static async getHttpSignature(timeStamp, data) { const c3 = buffer.from(timeStamp); const d3 = buffer.from(data); const e3 = buffer.concat([c3, d3]); const f3 = new Uint8Array(e3.buffer, 0, e3.length); let g3 = await this.sha1(f3); return buffer.from(g3).toString('base64'); } static async getSocketSignature(b3) { return this.sha1(b3); } static async getHttpGTCV() { const v2 = StringUtil.getRandomString(16); const w2 = await this.getHttpAESKey(); const z2 = buffer.from(v2); const a3 = buffer.from(w2); const buf = buffer.concat([z2, a3]); return buf.toString('base64'); } static getHttpAESKey() { if (!this.isLoadSuccess()) { return new Promise((u2) => { u2(new Uint8Array(0)); }); } return this.getAESKey(this.httpId, this.rsaPublicKey); } static getSocketAESKey() { if (!this.isLoadSuccess()) { return new Promise((s2) => { s2(new Uint8Array(0)); }); } return this.getAESKey(this.socketId, this.rsaPublicKey); } static aesEncryptHttp(data, iv) { if (!this.isLoadSuccess()) { return new Promise((q2) => { q2(new Uint8Array(0)); }); } return this.innerAesEncrypt(this.httpId, data, iv); } static aesDecryptHttp(data, iv) { if (!this.isLoadSuccess()) { return new Promise((n2) => { n2(new Uint8Array(0)); }); } return this.innerAesDecrypt(this.httpId, data, iv); } static aesEncryptSocket(data, iv) { if (!this.isLoadSuccess()) { return new Promise((l2) => { l2(new Uint8Array(0)); }); } return this.innerAesEncrypt(this.socketId, data, iv); } static aesDecryptSocket(data, iv) { if (!this.isLoadSuccess()) { return new Promise((j2) => { j2(new Uint8Array(0)); }); } return this.innerAesDecrypt(this.socketId, data, iv); } static async altAesEncryptSocket(data, iv) { const result = await this.generatorKeyAndIv(iv); if (result === null) { return new Promise((h2) => { h2(new Uint8Array(0)); }); } const e2 = result[0]; const f2 = result[1]; return this.innerAesEncrypt(e2, data, f2); } static async altAesDecryptSocket(data, iv) { const result = await this.generatorKeyAndIv(iv); if (result === null) { return new Promise((d2) => { d2(new Uint8Array(0)); }); } const a2 = result[0]; const b2 = result[1]; return this.innerAesDecrypt(a2, data, b2); } static async generatorKeyAndIv(iv) { if (this.redirectAes === null) { return new Promise((z1) => { z1(null); }); } const s1 = StringUtil.stringToUint8Array(this.redirectAes); const t1 = new Uint8Array(s1.length); for (let u1 = 0; u1 < s1.length; u1++) { const v1 = s1[s1.length - u1 - 1]; t1[u1] = ~(v1 & 0xFF); } return Promise.all([this.md5(t1), this.md5(iv)]); } static async innerAesEncrypt(keyId, data, iv) { let p1 = (await CryptTools.convertSymKey(this.AES_128, keyId)); let q1 = { iv: { data: iv }, algName: "IvParamsSpec" }; return CryptTools.encrypt(this.TRANSFORMATION_AES128, p1, q1, data); } static async innerAesDecrypt(keyId, data, iv) { let n1 = (await CryptTools.convertSymKey(this.AES_128, keyId)); let o1 = { iv: { data: iv }, algName: "IvParamsSpec" }; return CryptTools.decrypt(this.TRANSFORMATION_AES128, n1, o1, data); } static async resetKey() { try { this.loadSuccess = false; let keys = await Promise.all([CryptTools.generateSymKey(this.AES_128), CryptTools.generateSymKey(this.AES_128)]); this.socketId = keys[0].getEncoded().data; this.httpId = keys[1].getEncoded().data; this.loadSuccess = this.getRSAKeyIdBuffer() != null; } catch (error) { this.httpId = new Uint8Array(0); this.socketId = new Uint8Array(0); } finally { this.printUInt8Array(this.socketId); this.printUInt8Array(this.httpId); } } static async getAESKey(keyId, k1) { if (keyId === null || keyId.length === 0) { return new Promise((m1) => { m1(new Uint8Array(0)); }); } let data = keyId.slice(); let publicKey = await this.parsePublicKey(this.RSA512_2, k1); return CryptTools.encrypt(this.TRANSFORMATION_RSA512, publicKey, null, data); } static md5(data) { return CryptTools.digest(this.MD5, data); } static sha1(data) { return CryptTools.digest(this.SHA_1, data); } static isLoadSuccess() { return this.loadSuccess; } static async parsePublicKey(algorithm, publicKey) { const i1 = buffer.from(publicKey, 'base64'); const j1 = { data: new Uint8Array(i1.buffer, 0, i1.length) }; return (await CryptTools.convertAsyKey(algorithm, j1, null)).pubKey; } static printUInt8Array(data, tag = "") { } static test() { const data = new Uint8Array([86, 49, 178, 45, 151, 148, 83, 124, 100, 80, 83, 206, 228, 115, 16, 178, 72, 161, 94, 95, 76, 93, 30, 117, 99, 131, 225, 18, 119, 81, 162, 71, 254, 230, 136, 245, 190, 117, 175, 97, 40, 10, 139, 135, 23, 12, 172, 166, 45, 243, 187, 70, 126, 83, 128, 65, 254, 234, 194, 247, 189, 171, 158, 208, 57, 48, 66, 95, 221, 134, 196, 248, 22, 186, 107, 206, 206, 251, 39, 79, 158, 24, 148, 71, 47, 136, 66, 159, 73, 205, 228, 170, 0, 123, 98, 208, 242, 77, 241, 131, 61, 100, 27, 25, 114, 170, 150, 171, 62, 246, 181, 6, 254, 0, 242, 76, 211, 106, 69, 160, 111, 35, 189, 91, 2, 181, 101, 111, 213, 198, 193, 173, 151, 113, 12, 149, 42, 255, 144, 63, 57, 41, 146, 204, 161, 121, 74, 58, 225, 32, 136, 125, 212, 2, 227, 204, 161, 54, 241, 73, 173, 118, 138, 253, 47, 95, 207, 26, 63, 50, 173, 118, 204, 250, 110, 43, 41, 247, 11, 253, 160, 228, 110, 158, 22, 121, 7, 218, 63, 7, 168, 177, 181, 192, 47, 54, 0, 213, 114, 77, 56, 199, 90, 221, 161, 124, 97, 102, 31, 251, 38, 13, 86, 165, 164, 220, 130, 142, 227, 179]); const timestamp = 1700747518; EncryptUtils.altAesDecryptSocket(data, IOUtils.int2U8Array(timestamp)).then((value) => { }).catch((err) => { }); } } EncryptUtils.AES_128 = "AES128"; EncryptUtils.RSA512_2 = "RSA512|PRIMES_2"; EncryptUtils.SHA_1 = "SHA1"; EncryptUtils.MD5 = "MD5"; EncryptUtils.TRANSFORMATION_RSA512 = "RSA512|PKCS1_OAEP|SHA1|MGF1_SHA1"; EncryptUtils.TRANSFORMATION_AES128 = "AES|CFB|NoPadding"; EncryptUtils.loadSuccess = false; EncryptUtils.packetId = 0; export default EncryptUtils; 