'use strict';  var y9 = require('./zlib/deflate'); var utils = require('./zlib/common'); var z9 = require('./zlib/strings'); var msg = require('./zlib/messages'); var a10 = require('./zlib/zstream'); var toString = Object.prototype.toString; var Z_NO_FLUSH = 0; var Z_FINISH = 4; var Z_OK = 0; var Z_STREAM_END = 1; var Z_SYNC_FLUSH = 2; var Z_DEFAULT_COMPRESSION = -1; var Z_DEFAULT_STRATEGY = 0; var Z_DEFLATED = 8; function Deflate(options) { if (!(this instanceof Deflate)) return new Deflate(options); this.options = utils.assign({ level: Z_DEFAULT_COMPRESSION, method: Z_DEFLATED, l1: 16384, m1: 15, memLevel: 8, strategy: Z_DEFAULT_STRATEGY, to: '' }, options || {}); var i10 = this.options; if (i10.raw && (i10.m1 > 0)) { i10.m1 = -i10.m1; } else if (i10.gzip && (i10.m1 > 0) && (i10.m1 < 16)) { i10.m1 += 16; } this.err = 0; this.msg = ''; this.ended = false; this.n1 = []; this.o1 = new a10(); this.o1.q1 = 0; var status = y9.deflateInit2(this.o1, i10.level, i10.method, i10.m1, i10.memLevel, i10.strategy); if (status !== Z_OK) { throw new Error(msg[status]); } if (i10.header) { y9.deflateSetHeader(this.o1, i10.header); } if (i10.s1) { var j10; if (typeof i10.s1 === 'string') { j10 = z9.string2buf(i10.s1); } else if (toString.call(i10.s1) === '[object ArrayBuffer]') { j10 = new Uint8Array(i10.s1); } else { j10 = i10.s1; } status = y9.deflateSetDictionary(this.o1, j10); if (status !== Z_OK) { throw new Error(msg[status]); } this.t1 = true; } } Deflate.prototype.push = function (data, mode) { var f10 = this.o1; var g10 = this.options.l1; var status, h10; if (this.ended) { return false; } h10 = (mode === ~~mode) ? mode : ((mode === true) ? Z_FINISH : Z_NO_FLUSH); if (typeof data === 'string') { f10.input = z9.string2buf(data); } else if (toString.call(data) === '[object ArrayBuffer]') { f10.input = new Uint8Array(data); } else { f10.input = data; } f10.u1 = 0; f10.v1 = f10.input.length; do { if (f10.q1 === 0) { f10.w1 = new utils.Buf8(g10); f10.z1 = 0; f10.q1 = g10; } status = y9.deflate(f10, h10); if (status !== Z_STREAM_END && status !== Z_OK) { this.a2(status); this.ended = true; return false; } if (f10.q1 === 0 || (f10.v1 === 0 && (h10 === Z_FINISH || h10 === Z_SYNC_FLUSH))) { if (this.options.to === 'string') { this.onData(z9.buf2binstring(utils.shrinkBuf(f10.w1, f10.z1))); } else { this.onData(utils.shrinkBuf(f10.w1, f10.z1)); } } } while ((f10.v1 > 0 || f10.q1 === 0) && status !== Z_STREAM_END); if (h10 === Z_FINISH) { status = y9.deflateEnd(this.o1); this.a2(status); this.ended = true; return status === Z_OK; } if (h10 === Z_SYNC_FLUSH) { this.a2(Z_OK); f10.q1 = 0; return true; } return true; }; Deflate.prototype.onData = function (chunk) { this.n1.push(chunk); }; Deflate.prototype.a2 = function (status) { if (status === Z_OK) { if (this.options.to === 'string') { this.result = this.n1.join(''); } else { this.result = utils.b2(this.n1); } } this.n1 = []; this.err = status; this.msg = this.o1.msg; }; function deflate(input, options) { var e10 = new Deflate(options); e10.push(input, true); if (e10.err) { throw e10.msg; } return e10.result; } function deflateRaw(input, options) { options = options || {}; options.raw = true; return deflate(input, options); } function gzip(input, options) { options = options || {}; options.gzip = true; return deflate(input, options); } exports.Deflate = Deflate; exports.deflate = deflate; exports.deflateRaw = deflateRaw; exports.gzip = gzip; 