'use strict';  var k10 = require('./zlib/inflate'); var utils = require('./zlib/common'); var z9 = require('./zlib/strings'); var c = require('./zlib/constants'); var msg = require('./zlib/messages'); var a10 = require('./zlib/zstream'); var l10 = require('./zlib/gzheader'); var toString = Object.prototype.toString; function Inflate(options) { if (!(this instanceof Inflate)) return new Inflate(options); this.options = utils.assign({ l1: 16384, m1: 0, to: '' }, options || {}); var z10 = this.options; if (z10.raw && (z10.m1 >= 0) && (z10.m1 < 16)) { z10.m1 = -z10.m1; if (z10.m1 === 0) { z10.m1 = -15; } } if ((z10.m1 >= 0) && (z10.m1 < 16) && !(options && options.m1)) { z10.m1 += 32; } if ((z10.m1 > 15) && (z10.m1 < 48)) { if ((z10.m1 & 15) === 0) { z10.m1 |= 15; } } this.err = 0; this.msg = ''; this.ended = false; this.n1 = []; this.o1 = new a10(); this.o1.q1 = 0; var status = k10.inflateInit2(this.o1, z10.m1); if (status !== c.Z_OK) { throw new Error(msg[status]); } this.header = new l10(); k10.inflateGetHeader(this.o1, this.header); } Inflate.prototype.push = function (data, mode) { var q10 = this.o1; var r10 = this.options.l1; var s10 = this.options.s1; var status, t10; var u10, v10, w10; var x10; var y10 = false; if (this.ended) { return false; } t10 = (mode === ~~mode) ? mode : ((mode === true) ? c.Z_FINISH : c.Z_NO_FLUSH); if (typeof data === 'string') { q10.input = z9.binstring2buf(data); } else if (toString.call(data) === '[object ArrayBuffer]') { q10.input = new Uint8Array(data); } else { q10.input = data; } q10.u1 = 0; q10.v1 = q10.input.length; do { if (q10.q1 === 0) { q10.w1 = new utils.Buf8(r10); q10.z1 = 0; q10.q1 = r10; } status = k10.inflate(q10, c.Z_NO_FLUSH); if (status === c.Z_NEED_DICT && s10) { if (typeof s10 === 'string') { x10 = z9.string2buf(s10); } else if (toString.call(s10) === '[object ArrayBuffer]') { x10 = new Uint8Array(s10); } else { x10 = s10; } status = k10.inflateSetDictionary(this.o1, x10); } if (status === c.Z_BUF_ERROR && y10 === true) { status = c.Z_OK; y10 = false; } if (status !== c.Z_STREAM_END && status !== c.Z_OK) { this.a2(status); this.ended = true; return false; } if (q10.z1) { if (q10.q1 === 0 || status === c.Z_STREAM_END || (q10.v1 === 0 && (t10 === c.Z_FINISH || t10 === c.Z_SYNC_FLUSH))) { if (this.options.to === 'string') { u10 = z9.utf8border(q10.w1, q10.z1); v10 = q10.z1 - u10; w10 = z9.buf2string(q10.w1, u10); q10.z1 = v10; q10.q1 = r10 - v10; if (v10) { utils.c2(q10.w1, q10.w1, u10, v10, 0); } this.onData(w10); } else { this.onData(utils.shrinkBuf(q10.w1, q10.z1)); } } } if (q10.v1 === 0 && q10.q1 === 0) { y10 = true; } } while ((q10.v1 > 0 || q10.q1 === 0) && status !== c.Z_STREAM_END); if (status === c.Z_STREAM_END) { t10 = c.Z_FINISH; } if (t10 === c.Z_FINISH) { status = k10.inflateEnd(this.o1); this.a2(status); this.ended = true; return status === c.Z_OK; } if (t10 === c.Z_SYNC_FLUSH) { this.a2(c.Z_OK); q10.q1 = 0; return true; } return true; }; Inflate.prototype.onData = function (chunk) { this.n1.push(chunk); }; Inflate.prototype.a2 = function (status) { if (status === c.Z_OK) { if (this.options.to === 'string') { this.result = this.n1.join(''); } else { this.result = utils.b2(this.n1); } } this.n1 = []; this.err = status; this.msg = this.o1.msg; }; function inflate(input, options) { var p10 = new Inflate(options); p10.push(input, true); if (p10.err) { throw p10.msg; } return p10.result; } function inflateRaw(input, options) { options = options || {}; options.raw = true; return inflate(input, options); } exports.Inflate = Inflate; exports.inflate = inflate; exports.inflateRaw = inflateRaw; exports.ungzip = inflate; 