'use strict';  var utils = require('./common'); var l12 = require('./trees'); var adler32 = require('./adler32'); var crc32 = require('./crc32'); var msg = require('./messages'); var Z_NO_FLUSH = 0; var Z_PARTIAL_FLUSH = 1; var Z_FULL_FLUSH = 3; var Z_FINISH = 4; var Z_BLOCK = 5; var Z_OK = 0; var Z_STREAM_END = 1; var Z_STREAM_ERROR = -2; var Z_DATA_ERROR = -3; var Z_BUF_ERROR = -5; var Z_DEFAULT_COMPRESSION = -1; var Z_FILTERED = 1; var Z_HUFFMAN_ONLY = 2; var Z_RLE = 3; var Z_FIXED = 4; var Z_DEFAULT_STRATEGY = 0; var Z_UNKNOWN = 2; var Z_DEFLATED = 8; var n12 = 9; var o12 = 15; var p12 = 8; var q12 = 29; var r12 = 256; var s12 = r12 + 1 + q12; var t12 = 30; var u12 = 19; var v12 = 2 * s12 + 1; var w12 = 15; var x12 = 3; var y12 = 258; var z12 = (y12 + x12 + 1); var a13 = 0x20; var b13 = 42; var c13 = 69; var d13 = 73; var e13 = 91; var f13 = 103; var g13 = 113; var h13 = 666; var i13 = 1; var j13 = 2; var k13 = 3; var l13 = 4; var n13 = 0x03; function err(c16, errorCode) { c16.msg = msg[errorCode]; return errorCode; } function v11(f) { return ((f) << 1) - ((f) > 4 ? 9 : 0); } function w11(buf) { var len = buf.length; while (--len >= 0) { buf[len] = 0; } } function x11(a16) { var b16 = a16.state; var len = b16.pending; if (len > a16.q1) { len = a16.q1; } if (len === 0) { return; } utils.c2(a16.w1, b16.d2, b16.e2, len, a16.z1); a16.z1 += len; b16.e2 += len; a16.f2 += len; a16.q1 -= len; b16.pending -= len; if (b16.pending === 0) { b16.e2 = 0; } } function y11(z15, last) { l12._tr_flush_block(z15, (z15.g2 >= 0 ? z15.g2 : -1), z15.h2 - z15.g2, last); z15.g2 = z15.h2; x11(z15.o1); } function z11(y15, b) { y15.d2[y15.pending++] = b; } function a12(x15, b) { x15.d2[x15.pending++] = (b >>> 8) & 0xff; x15.d2[x15.pending++] = b & 0xff; } function b12(w15, buf, start, size) { var len = w15.v1; if (len > size) { len = size; } if (len === 0) { return 0; } w15.v1 -= len; utils.c2(buf, w15.input, w15.u1, len, start); if (w15.state.wrap === 1) { w15.adler = adler32(w15.adler, buf, len, start); } else if (w15.state.wrap === 2) { w15.adler = crc32(w15.adler, buf, len, start); } w15.u1 += len; w15.i2 += len; return len; } function c12(l15, m15) { var n15 = l15.j2; var scan = l15.h2; var match; var len; var o15 = l15.l2; var p15 = l15.m2; var limit = (l15.h2 > (l15.n2 - z12)) ? l15.h2 - (l15.n2 - z12) : 0; var q15 = l15.window; var r15 = l15.o2; var s15 = l15.q2; var t15 = l15.h2 + y12; var u15 = q15[scan + o15 - 1]; var v15 = q15[scan + o15]; if (l15.l2 >= l15.s2) { n15 >>= 2; } if (p15 > l15.t2) { p15 = l15.t2; } do { match = m15; if (q15[match + o15] !== v15 || q15[match + o15 - 1] !== u15 || q15[match] !== q15[scan] || q15[++match] !== q15[scan + 1]) { continue; } scan += 2; match++; do { } while (q15[++scan] === q15[++match] && q15[++scan] === q15[++match] && q15[++scan] === q15[++match] && q15[++scan] === q15[++match] && q15[++scan] === q15[++match] && q15[++scan] === q15[++match] && q15[++scan] === q15[++match] && q15[++scan] === q15[++match] && scan < t15); len = y12 - (t15 - scan); scan = t15 - y12; if (len > o15) { l15.u2 = m15; o15 = len; if (len >= p15) { break; } u15 = q15[scan + o15 - 1]; v15 = q15[scan + o15]; } } while ((m15 = s15[m15 & r15]) > limit && --n15 !== 0); if (o15 <= l15.t2) { return o15; } return l15.t2; } function d12(h15) { var i15 = h15.n2; var p, n, j15, k15, str; do { k15 = h15.v2 - h15.t2 - h15.h2; if (h15.h2 >= i15 + (i15 - z12)) { utils.c2(h15.window, h15.window, i15, i15, 0); h15.u2 -= i15; h15.h2 -= i15; h15.g2 -= i15; n = h15.w2; p = n; do { j15 = h15.head[--p]; h15.head[p] = (j15 >= i15 ? j15 - i15 : 0); } while (--n); n = i15; p = n; do { j15 = h15.q2[--p]; h15.q2[p] = (j15 >= i15 ? j15 - i15 : 0); } while (--n); k15 += i15; } if (h15.o1.v1 === 0) { break; } n = b12(h15.o1, h15.window, h15.h2 + h15.t2, k15); h15.t2 += n; if (h15.t2 + h15.insert >= x12) { str = h15.h2 - h15.insert; h15.z2 = h15.window[str]; h15.z2 = ((h15.z2 << h15.a3) ^ h15.window[str + 1]) & h15.b3; while (h15.insert) { h15.z2 = ((h15.z2 << h15.a3) ^ h15.window[str + x12 - 1]) & h15.b3; h15.q2[str & h15.o2] = h15.head[h15.z2]; h15.head[h15.z2] = str; str++; h15.insert--; if (h15.t2 + h15.insert < x12) { break; } } } } while (h15.t2 < z12 && h15.o1.v1 !== 0); } function e12(e15, flush) { var f15 = 0xffff; if (f15 > e15.c3 - 5) { f15 = e15.c3 - 5; } for (;;) { if (e15.t2 <= 1) { d12(e15); if (e15.t2 === 0 && flush === Z_NO_FLUSH) { return i13; } if (e15.t2 === 0) { break; } } e15.h2 += e15.t2; e15.t2 = 0; var g15 = e15.g2 + f15; if (e15.h2 === 0 || e15.h2 >= g15) { e15.t2 = e15.h2 - g15; e15.h2 = g15; y11(e15, false); if (e15.o1.q1 === 0) { return i13; } } if (e15.h2 - e15.g2 >= (e15.n2 - z12)) { y11(e15, false); if (e15.o1.q1 === 0) { return i13; } } } e15.insert = 0; if (flush === Z_FINISH) { y11(e15, true); if (e15.o1.q1 === 0) { return k13; } return l13; } if (e15.h2 > e15.g2) { y11(e15, false); if (e15.o1.q1 === 0) { return i13; } } return i13; } function f12(b15, flush) { var c15; var d15; for (;;) { if (b15.t2 < z12) { d12(b15); if (b15.t2 < z12 && flush === Z_NO_FLUSH) { return i13; } if (b15.t2 === 0) { break; } } c15 = 0; if (b15.t2 >= x12) { b15.z2 = ((b15.z2 << b15.a3) ^ b15.window[b15.h2 + x12 - 1]) & b15.b3; c15 = b15.q2[b15.h2 & b15.o2] = b15.head[b15.z2]; b15.head[b15.z2] = b15.h2; } if (c15 !== 0 && ((b15.h2 - c15) <= (b15.n2 - z12))) { b15.d3 = c12(b15, c15); } if (b15.d3 >= x12) { d15 = l12._tr_tally(b15, b15.h2 - b15.u2, b15.d3 - x12); b15.t2 -= b15.d3; if (b15.d3 <= b15.e3 && b15.t2 >= x12) { b15.d3--; do { b15.h2++; b15.z2 = ((b15.z2 << b15.a3) ^ b15.window[b15.h2 + x12 - 1]) & b15.b3; c15 = b15.q2[b15.h2 & b15.o2] = b15.head[b15.z2]; b15.head[b15.z2] = b15.h2; } while (--b15.d3 !== 0); b15.h2++; } else { b15.h2 += b15.d3; b15.d3 = 0; b15.z2 = b15.window[b15.h2]; b15.z2 = ((b15.z2 << b15.a3) ^ b15.window[b15.h2 + 1]) & b15.b3; } } else { d15 = l12._tr_tally(b15, 0, b15.window[b15.h2]); b15.t2--; b15.h2++; } if (d15) { y11(b15, false); if (b15.o1.q1 === 0) { return i13; } } } b15.insert = ((b15.h2 < (x12 - 1)) ? b15.h2 : x12 - 1); if (flush === Z_FINISH) { y11(b15, true); if (b15.o1.q1 === 0) { return k13; } return l13; } if (b15.f3) { y11(b15, false); if (b15.o1.q1 === 0) { return i13; } } return j13; } function g12(x14, flush) { var y14; var z14; var a15; for (;;) { if (x14.t2 < z12) { d12(x14); if (x14.t2 < z12 && flush === Z_NO_FLUSH) { return i13; } if (x14.t2 === 0) { break; } } y14 = 0; if (x14.t2 >= x12) { x14.z2 = ((x14.z2 << x14.a3) ^ x14.window[x14.h2 + x12 - 1]) & x14.b3; y14 = x14.q2[x14.h2 & x14.o2] = x14.head[x14.z2]; x14.head[x14.z2] = x14.h2; } x14.l2 = x14.d3; x14.g3 = x14.u2; x14.d3 = x12 - 1; if (y14 !== 0 && x14.l2 < x14.e3 && x14.h2 - y14 <= (x14.n2 - z12)) { x14.d3 = c12(x14, y14); if (x14.d3 <= 5 && (x14.strategy === Z_FILTERED || (x14.d3 === x12 && x14.h2 - x14.u2 > 4096))) { x14.d3 = x12 - 1; } } if (x14.l2 >= x12 && x14.d3 <= x14.l2) { a15 = x14.h2 + x14.t2 - x12; z14 = l12._tr_tally(x14, x14.h2 - 1 - x14.g3, x14.l2 - x12); x14.t2 -= x14.l2 - 1; x14.l2 -= 2; do { if (++x14.h2 <= a15) { x14.z2 = ((x14.z2 << x14.a3) ^ x14.window[x14.h2 + x12 - 1]) & x14.b3; y14 = x14.q2[x14.h2 & x14.o2] = x14.head[x14.z2]; x14.head[x14.z2] = x14.h2; } } while (--x14.l2 !== 0); x14.h3 = 0; x14.d3 = x12 - 1; x14.h2++; if (z14) { y11(x14, false); if (x14.o1.q1 === 0) { return i13; } } } else if (x14.h3) { z14 = l12._tr_tally(x14, 0, x14.window[x14.h2 - 1]); if (z14) { y11(x14, false); } x14.h2++; x14.t2--; if (x14.o1.q1 === 0) { return i13; } } else { x14.h3 = 1; x14.h2++; x14.t2--; } } if (x14.h3) { z14 = l12._tr_tally(x14, 0, x14.window[x14.h2 - 1]); x14.h3 = 0; } x14.insert = x14.h2 < x12 - 1 ? x14.h2 : x12 - 1; if (flush === Z_FINISH) { y11(x14, true); if (x14.o1.q1 === 0) { return k13; } return l13; } if (x14.f3) { y11(x14, false); if (x14.o1.q1 === 0) { return i13; } } return j13; } function h12(s14, flush) { var t14; var u14; var scan, v14; var w14 = s14.window; for (;;) { if (s14.t2 <= y12) { d12(s14); if (s14.t2 <= y12 && flush === Z_NO_FLUSH) { return i13; } if (s14.t2 === 0) { break; } } s14.d3 = 0; if (s14.t2 >= x12 && s14.h2 > 0) { scan = s14.h2 - 1; u14 = w14[scan]; if (u14 === w14[++scan] && u14 === w14[++scan] && u14 === w14[++scan]) { v14 = s14.h2 + y12; do { } while (u14 === w14[++scan] && u14 === w14[++scan] && u14 === w14[++scan] && u14 === w14[++scan] && u14 === w14[++scan] && u14 === w14[++scan] && u14 === w14[++scan] && u14 === w14[++scan] && scan < v14); s14.d3 = y12 - (v14 - scan); if (s14.d3 > s14.t2) { s14.d3 = s14.t2; } } } if (s14.d3 >= x12) { t14 = l12._tr_tally(s14, 1, s14.d3 - x12); s14.t2 -= s14.d3; s14.h2 += s14.d3; s14.d3 = 0; } else { t14 = l12._tr_tally(s14, 0, s14.window[s14.h2]); s14.t2--; s14.h2++; } if (t14) { y11(s14, false); if (s14.o1.q1 === 0) { return i13; } } } s14.insert = 0; if (flush === Z_FINISH) { y11(s14, true); if (s14.o1.q1 === 0) { return k13; } return l13; } if (s14.f3) { y11(s14, false); if (s14.o1.q1 === 0) { return i13; } } return j13; } function i12(q14, flush) { var r14; for (;;) { if (q14.t2 === 0) { d12(q14); if (q14.t2 === 0) { if (flush === Z_NO_FLUSH) { return i13; } break; } } q14.d3 = 0; r14 = l12._tr_tally(q14, 0, q14.window[q14.h2]); q14.t2--; q14.h2++; if (r14) { y11(q14, false); if (q14.o1.q1 === 0) { return i13; } } } q14.insert = 0; if (flush === Z_FINISH) { y11(q14, true); if (q14.o1.q1 === 0) { return k13; } return l13; } if (q14.f3) { y11(q14, false); if (q14.o1.q1 === 0) { return i13; } } return j13; } function Config(m14, n14, o14, p14, func) { this.i3 = m14; this.j3 = n14; this.l3 = o14; this.m3 = p14; this.func = func; } var o13; o13 = [ new Config(0, 0, 0, 0, e12), new Config(4, 4, 8, 4, f12), new Config(4, 5, 16, 8, f12), new Config(4, 6, 32, 32, f12), new Config(4, 4, 16, 16, g12), new Config(8, 16, 32, 32, g12), new Config(8, 16, 128, 128, g12), new Config(8, 32, 128, 256, g12), new Config(32, 128, 258, 1024, g12), new Config(32, 258, 258, 4096, g12) ]; function j12(l14) { l14.v2 = 2 * l14.n2; w11(l14.head); l14.e3 = o13[l14.level].j3; l14.s2 = o13[l14.level].i3; l14.m2 = o13[l14.level].l3; l14.j2 = o13[l14.level].m3; l14.h2 = 0; l14.g2 = 0; l14.t2 = 0; l14.insert = 0; l14.d3 = l14.l2 = x12 - 1; l14.h3 = 0; l14.z2 = 0; } function k12() { this.o1 = null; this.status = 0; this.d2 = null; this.c3 = 0; this.e2 = 0; this.pending = 0; this.wrap = 0; this.n3 = null; this.o3 = 0; this.method = Z_DEFLATED; this.q3 = -1; this.n2 = 0; this.r3 = 0; this.o2 = 0; this.window = null; this.v2 = 0; this.q2 = null; this.head = null; this.z2 = 0; this.w2 = 0; this.s3 = 0; this.b3 = 0; this.a3 = 0; this.g2 = 0; this.d3 = 0; this.g3 = 0; this.h3 = 0; this.h2 = 0; this.u2 = 0; this.t2 = 0; this.l2 = 0; this.j2 = 0; this.e3 = 0; this.level = 0; this.strategy = 0; this.s2 = 0; this.m2 = 0; this.t3 = new utils.Buf16(v12 * 2); this.u3 = new utils.Buf16((2 * t12 + 1) * 2); this.v3 = new utils.Buf16((2 * u12 + 1) * 2); w11(this.t3); w11(this.u3); w11(this.v3); this.w3 = null; this.x3 = null; this.y3 = null; this.z3 = new utils.Buf16(w12 + 1); this.a4 = new utils.Buf16(2 * s12 + 1); w11(this.a4); this.b4 = 0; this.c4 = 0; this.depth = new utils.Buf16(2 * s12 + 1); w11(this.depth); this.d4 = 0; this.e4 = 0; this.f3 = 0; this.f4 = 0; this.g4 = 0; this.h4 = 0; this.matches = 0; this.insert = 0; this.i4 = 0; this.j4 = 0; } function deflateResetKeep(j14) { var k14; if (!j14 || !j14.state) { return err(j14, Z_STREAM_ERROR); } j14.i2 = j14.f2 = 0; j14.l4 = Z_UNKNOWN; k14 = j14.state; k14.pending = 0; k14.e2 = 0; if (k14.wrap < 0) { k14.wrap = -k14.wrap; } k14.status = (k14.wrap ? b13 : g13); j14.adler = (k14.wrap === 2) ? 0 : 1; k14.q3 = Z_NO_FLUSH; l12._tr_init(k14); return Z_OK; } function deflateReset(h14) { var i14 = deflateResetKeep(h14); if (i14 === Z_OK) { j12(h14.state); } return i14; } function deflateSetHeader(g14, head) { if (!g14 || !g14.state) { return Z_STREAM_ERROR; } if (g14.state.wrap !== 2) { return Z_STREAM_ERROR; } g14.state.n3 = head; return Z_OK; } function deflateInit2(d14, level, method, e14, memLevel, strategy) { if (!d14) { return Z_STREAM_ERROR; } var wrap = 1; if (level === Z_DEFAULT_COMPRESSION) { level = 6; } if (e14 < 0) { wrap = 0; e14 = -e14; } else if (e14 > 15) { wrap = 2; e14 -= 16; } if (memLevel < 1 || memLevel > n12 || method !== Z_DEFLATED || e14 < 8 || e14 > 15 || level < 0 || level > 9 || strategy < 0 || strategy > Z_FIXED) { return err(d14, Z_STREAM_ERROR); } if (e14 === 8) { e14 = 9; } var f14 = new k12(); d14.state = f14; f14.o1 = d14; f14.wrap = wrap; f14.n3 = null; f14.r3 = e14; f14.n2 = 1 << f14.r3; f14.o2 = f14.n2 - 1; f14.s3 = memLevel + 7; f14.w2 = 1 << f14.s3; f14.b3 = f14.w2 - 1; f14.a3 = ~~((f14.s3 + x12 - 1) / x12); f14.window = new utils.Buf8(f14.n2 * 2); f14.head = new utils.Buf16(f14.w2); f14.q2 = new utils.Buf16(f14.n2); f14.e4 = 1 << (memLevel + 6); f14.c3 = f14.e4 * 4; f14.d2 = new utils.Buf8(f14.c3); f14.f4 = 1 * f14.e4; f14.d4 = (1 + 2) * f14.e4; f14.level = level; f14.strategy = strategy; f14.method = method; return deflateReset(d14); } function deflateInit(c14, level) { return deflateInit2(c14, level, Z_DEFLATED, o12, p12, Z_DEFAULT_STRATEGY); } function deflate(w13, flush) { var x13, y13; var z13, val; if (!w13 || !w13.state || flush > Z_BLOCK || flush < 0) { return w13 ? err(w13, Z_STREAM_ERROR) : Z_STREAM_ERROR; } y13 = w13.state; if (!w13.w1 || (!w13.input && w13.v1 !== 0) || (y13.status === h13 && flush !== Z_FINISH)) { return err(w13, (w13.q1 === 0) ? Z_BUF_ERROR : Z_STREAM_ERROR); } y13.o1 = w13; x13 = y13.q3; y13.q3 = flush; if (y13.status === b13) { if (y13.wrap === 2) { w13.adler = 0; z11(y13, 31); z11(y13, 139); z11(y13, 8); if (!y13.n3) { z11(y13, 0); z11(y13, 0); z11(y13, 0); z11(y13, 0); z11(y13, 0); z11(y13, y13.level === 9 ? 2 : (y13.strategy >= Z_HUFFMAN_ONLY || y13.level < 2 ? 4 : 0)); z11(y13, n13); y13.status = g13; } else { z11(y13, (y13.n3.text ? 1 : 0) + (y13.n3.m4 ? 2 : 0) + (!y13.n3.extra ? 0 : 4) + (!y13.n3.name ? 0 : 8) + (!y13.n3.comment ? 0 : 16)); z11(y13, y13.n3.time & 0xff); z11(y13, (y13.n3.time >> 8) & 0xff); z11(y13, (y13.n3.time >> 16) & 0xff); z11(y13, (y13.n3.time >> 24) & 0xff); z11(y13, y13.level === 9 ? 2 : (y13.strategy >= Z_HUFFMAN_ONLY || y13.level < 2 ? 4 : 0)); z11(y13, y13.n3.os & 0xff); if (y13.n3.extra && y13.n3.extra.length) { z11(y13, y13.n3.extra.length & 0xff); z11(y13, (y13.n3.extra.length >> 8) & 0xff); } if (y13.n3.m4) { w13.adler = crc32(w13.adler, y13.d2, y13.pending, 0); } y13.o3 = 0; y13.status = c13; } } else { var header = (Z_DEFLATED + ((y13.r3 - 8) << 4)) << 8; var a14 = -1; if (y13.strategy >= Z_HUFFMAN_ONLY || y13.level < 2) { a14 = 0; } else if (y13.level < 6) { a14 = 1; } else if (y13.level === 6) { a14 = 2; } else { a14 = 3; } header |= (a14 << 6); if (y13.h2 !== 0) { header |= a13; } header += 31 - (header % 31); y13.status = g13; a12(y13, header); if (y13.h2 !== 0) { a12(y13, w13.adler >>> 16); a12(y13, w13.adler & 0xffff); } w13.adler = 1; } } if (y13.status === c13) { if (y13.n3.extra) { z13 = y13.pending; while (y13.o3 < (y13.n3.extra.length & 0xffff)) { if (y13.pending === y13.c3) { if (y13.n3.m4 && y13.pending > z13) { w13.adler = crc32(w13.adler, y13.d2, y13.pending - z13, z13); } x11(w13); z13 = y13.pending; if (y13.pending === y13.c3) { break; } } z11(y13, y13.n3.extra[y13.o3] & 0xff); y13.o3++; } if (y13.n3.m4 && y13.pending > z13) { w13.adler = crc32(w13.adler, y13.d2, y13.pending - z13, z13); } if (y13.o3 === y13.n3.extra.length) { y13.o3 = 0; y13.status = d13; } } else { y13.status = d13; } } if (y13.status === d13) { if (y13.n3.name) { z13 = y13.pending; do { if (y13.pending === y13.c3) { if (y13.n3.m4 && y13.pending > z13) { w13.adler = crc32(w13.adler, y13.d2, y13.pending - z13, z13); } x11(w13); z13 = y13.pending; if (y13.pending === y13.c3) { val = 1; break; } } if (y13.o3 < y13.n3.name.length) { val = y13.n3.name.charCodeAt(y13.o3++) & 0xff; } else { val = 0; } z11(y13, val); } while (val !== 0); if (y13.n3.m4 && y13.pending > z13) { w13.adler = crc32(w13.adler, y13.d2, y13.pending - z13, z13); } if (val === 0) { y13.o3 = 0; y13.status = e13; } } else { y13.status = e13; } } if (y13.status === e13) { if (y13.n3.comment) { z13 = y13.pending; do { if (y13.pending === y13.c3) { if (y13.n3.m4 && y13.pending > z13) { w13.adler = crc32(w13.adler, y13.d2, y13.pending - z13, z13); } x11(w13); z13 = y13.pending; if (y13.pending === y13.c3) { val = 1; break; } } if (y13.o3 < y13.n3.comment.length) { val = y13.n3.comment.charCodeAt(y13.o3++) & 0xff; } else { val = 0; } z11(y13, val); } while (val !== 0); if (y13.n3.m4 && y13.pending > z13) { w13.adler = crc32(w13.adler, y13.d2, y13.pending - z13, z13); } if (val === 0) { y13.status = f13; } } else { y13.status = f13; } } if (y13.status === f13) { if (y13.n3.m4) { if (y13.pending + 2 > y13.c3) { x11(w13); } if (y13.pending + 2 <= y13.c3) { z11(y13, w13.adler & 0xff); z11(y13, (w13.adler >> 8) & 0xff); w13.adler = 0; y13.status = g13; } } else { y13.status = g13; } } if (y13.pending !== 0) { x11(w13); if (w13.q1 === 0) { y13.q3 = -1; return Z_OK; } } else if (w13.v1 === 0 && v11(flush) <= v11(x13) && flush !== Z_FINISH) { return err(w13, Z_BUF_ERROR); } if (y13.status === h13 && w13.v1 !== 0) { return err(w13, Z_BUF_ERROR); } if (w13.v1 !== 0 || y13.t2 !== 0 || (flush !== Z_NO_FLUSH && y13.status !== h13)) { var b14 = (y13.strategy === Z_HUFFMAN_ONLY) ? i12(y13, flush) : (y13.strategy === Z_RLE ? h12(y13, flush) : o13[y13.level].func(y13, flush)); if (b14 === k13 || b14 === l13) { y13.status = h13; } if (b14 === i13 || b14 === k13) { if (w13.q1 === 0) { y13.q3 = -1; } return Z_OK; } if (b14 === j13) { if (flush === Z_PARTIAL_FLUSH) { l12._tr_align(y13); } else if (flush !== Z_BLOCK) { l12._tr_stored_block(y13, 0, 0, false); if (flush === Z_FULL_FLUSH) { w11(y13.head); if (y13.t2 === 0) { y13.h2 = 0; y13.g2 = 0; y13.insert = 0; } } } x11(w13); if (w13.q1 === 0) { y13.q3 = -1; return Z_OK; } } } if (flush !== Z_FINISH) { return Z_OK; } if (y13.wrap <= 0) { return Z_STREAM_END; } if (y13.wrap === 2) { z11(y13, w13.adler & 0xff); z11(y13, (w13.adler >> 8) & 0xff); z11(y13, (w13.adler >> 16) & 0xff); z11(y13, (w13.adler >> 24) & 0xff); z11(y13, w13.i2 & 0xff); z11(y13, (w13.i2 >> 8) & 0xff); z11(y13, (w13.i2 >> 16) & 0xff); z11(y13, (w13.i2 >> 24) & 0xff); } else { a12(y13, w13.adler >>> 16); a12(y13, w13.adler & 0xffff); } x11(w13); if (y13.wrap > 0) { y13.wrap = -y13.wrap; } return y13.pending !== 0 ? Z_OK : Z_STREAM_END; } function deflateEnd(v13) { var status; if (!v13 || !v13.state) { return Z_STREAM_ERROR; } status = v13.state.status; if (status !== b13 && status !== c13 && status !== d13 && status !== e13 && status !== f13 && status !== g13 && status !== h13) { return err(v13, Z_STREAM_ERROR); } v13.state = null; return status === g13 ? err(v13, Z_DATA_ERROR) : Z_OK; } function deflateSetDictionary(p13, q13) { var r13 = q13.length; var s13; var str, n; var wrap; var t13; var next; var input; var u13; if (!p13 || !p13.state) { return Z_STREAM_ERROR; } s13 = p13.state; wrap = s13.wrap; if (wrap === 2 || (wrap === 1 && s13.status !== b13) || s13.t2) { return Z_STREAM_ERROR; } if (wrap === 1) { p13.adler = adler32(p13.adler, q13, r13, 0); } s13.wrap = 0; if (r13 >= s13.n2) { if (wrap === 0) { w11(s13.head); s13.h2 = 0; s13.g2 = 0; s13.insert = 0; } u13 = new utils.Buf8(s13.n2); utils.c2(u13, q13, r13 - s13.n2, s13.n2, 0); q13 = u13; r13 = s13.n2; } t13 = p13.v1; next = p13.u1; input = p13.input; p13.v1 = r13; p13.u1 = 0; p13.input = q13; d12(s13); while (s13.t2 >= x12) { str = s13.h2; n = s13.t2 - (x12 - 1); do { s13.z2 = ((s13.z2 << s13.a3) ^ s13.window[str + x12 - 1]) & s13.b3; s13.q2[str & s13.o2] = s13.head[s13.z2]; s13.head[s13.z2] = str; str++; } while (--n); s13.h2 = str; s13.t2 = x12 - 1; d12(s13); } s13.h2 += s13.t2; s13.g2 = s13.h2; s13.insert = s13.t2; s13.t2 = 0; s13.d3 = s13.l2 = x12 - 1; s13.h3 = 0; p13.u1 = next; p13.input = input; p13.v1 = t13; s13.wrap = wrap; return Z_OK; } exports.deflateInit = deflateInit; exports.deflateInit2 = deflateInit2; exports.deflateReset = deflateReset; exports.deflateResetKeep = deflateResetKeep; exports.deflateSetHeader = deflateSetHeader; exports.deflate = deflate; exports.deflateEnd = deflateEnd; exports.deflateSetDictionary = deflateSetDictionary; exports.deflateInfo = 'pako deflate (from Nodeca project)'; 