'use strict';  var utils = require('./common'); var adler32 = require('./adler32'); var crc32 = require('./crc32'); var f17 = require('./inffast'); var g17 = require('./inftrees'); var h17 = 0; var LENS = 1; var i17 = 2; var Z_FINISH = 4; var Z_BLOCK = 5; var Z_TREES = 6; var Z_OK = 0; var Z_STREAM_END = 1; var Z_NEED_DICT = 2; var Z_STREAM_ERROR = -2; var Z_DATA_ERROR = -3; var j17 = -4; var Z_BUF_ERROR = -5; var Z_DEFLATED = 8; var HEAD = 1; var k17 = 2; var l17 = 3; var OS = 4; var m17 = 5; var EXTRA = 6; var NAME = 7; var COMMENT = 8; var n17 = 9; var o17 = 10; var p17 = 11; var TYPE = 12; var q17 = 13; var r17 = 14; var s17 = 15; var COPY = 16; var t17 = 17; var u17 = 18; var v17 = 19; var w17 = 20; var x17 = 21; var y17 = 22; var z17 = 23; var a18 = 24; var b18 = 25; var c18 = 26; var d18 = 27; var e18 = 28; var DONE = 29; var d16 = 30; var f18 = 31; var SYNC = 32; var g18 = 852; var h18 = 592; var o12 = 15; var i18 = o12; function b17(q) { return (((q >>> 24) & 0xff) + ((q >>> 8) & 0xff00) + ((q & 0xff00) << 8) + ((q & 0xff) << 24)); } function c17() { this.mode = 0; this.last = false; this.wrap = 0; this.a5 = false; this.flags = 0; this.q4 = 0; this.check = 0; this.total = 0; this.head = null; this.b5 = 0; this.r4 = 0; this.s4 = 0; this.t4 = 0; this.window = null; this.hold = 0; this.u4 = 0; this.length = 0; this.offset = 0; this.extra = 0; this.v4 = null; this.w4 = null; this.x4 = 0; this.y4 = 0; this.c5 = 0; this.d5 = 0; this.e5 = 0; this.f5 = 0; this.next = null; this.g5 = new utils.Buf16(320); this.work = new utils.Buf16(288); this.h5 = null; this.i5 = null; this.z4 = 0; this.back = 0; this.j5 = 0; } function inflateResetKeep(v19) { var state; if (!v19 || !v19.state) { return Z_STREAM_ERROR; } state = v19.state; v19.i2 = v19.f2 = state.total = 0; v19.msg = ''; if (state.wrap) { v19.adler = state.wrap & 1; } state.mode = HEAD; state.last = 0; state.a5 = 0; state.q4 = 32768; state.head = null; state.hold = 0; state.u4 = 0; state.v4 = state.h5 = new utils.Buf32(g18); state.w4 = state.i5 = new utils.Buf32(h18); state.z4 = 1; state.back = -1; return Z_OK; } function inflateReset(u19) { var state; if (!u19 || !u19.state) { return Z_STREAM_ERROR; } state = u19.state; state.r4 = 0; state.s4 = 0; state.t4 = 0; return inflateResetKeep(u19); } function inflateReset2(s19, t19) { var wrap; var state; if (!s19 || !s19.state) { return Z_STREAM_ERROR; } state = s19.state; if (t19 < 0) { wrap = 0; t19 = -t19; } else { wrap = (t19 >> 4) + 1; if (t19 < 48) { t19 &= 15; } } if (t19 && (t19 < 8 || t19 > 15)) { return Z_STREAM_ERROR; } if (state.window !== null && state.b5 !== t19) { state.window = null; } state.wrap = wrap; state.b5 = t19; return inflateReset(s19); } function inflateInit2(p19, q19) { var r19; var state; if (!p19) { return Z_STREAM_ERROR; } state = new c17(); p19.state = state; state.window = null; r19 = inflateReset2(p19, q19); if (r19 !== Z_OK) { p19.state = null; } return r19; } function inflateInit(o19) { return inflateInit2(o19, i18); } var j18 = true; var k18, l18; function d17(state) { if (j18) { var n19; k18 = new utils.Buf32(512); l18 = new utils.Buf32(32); n19 = 0; while (n19 < 144) { state.g5[n19++] = 8; } while (n19 < 256) { state.g5[n19++] = 9; } while (n19 < 280) { state.g5[n19++] = 7; } while (n19 < 288) { state.g5[n19++] = 8; } g17(LENS, state.g5, 0, 288, k18, 0, state.work, { u4: 9 }); n19 = 0; while (n19 < 32) { state.g5[n19++] = 5; } g17(i17, state.g5, 0, 32, l18, 0, state.work, { u4: 5 }); j18 = false; } state.v4 = k18; state.x4 = 9; state.w4 = l18; state.y4 = 5; } function e17(l19, src, end, copy) { var m19; var state = l19.state; if (state.window === null) { state.r4 = 1 << state.b5; state.t4 = 0; state.s4 = 0; state.window = new utils.Buf8(state.r4); } if (copy >= state.r4) { utils.c2(state.window, src, end - state.r4, state.r4, 0); state.t4 = 0; state.s4 = state.r4; } else { m19 = state.r4 - state.t4; if (m19 > copy) { m19 = copy; } utils.c2(state.window, src, end - copy, m19, state.t4); copy -= m19; if (copy) { utils.c2(state.window, src, end - copy, copy, 0); state.t4 = copy; state.s4 = state.r4; } else { state.t4 += m19; if (state.t4 === state.r4) { state.t4 = 0; } if (state.s4 < state.r4) { state.s4 += m19; } } } return 0; } function inflate(u18, flush) { var state; var input, v18; var next; var put; var w18, left; var hold; var x18; var y18, z18; var copy; var from; var a19; var b19 = 0; var c19, d19, e19; var f19, g19, h19; var len; var i19; var j19 = new utils.Buf8(4); var k19; var n; var order = [16, 17, 18, 0, 8, 7, 9, 6, 10, 5, 11, 4, 12, 3, 13, 2, 14, 1, 15]; if (!u18 || !u18.state || !u18.w1 || (!u18.input && u18.v1 !== 0)) { return Z_STREAM_ERROR; } state = u18.state; if (state.mode === TYPE) { state.mode = q17; } put = u18.z1; v18 = u18.w1; left = u18.q1; next = u18.u1; input = u18.input; w18 = u18.v1; hold = state.hold; x18 = state.u4; y18 = w18; z18 = left; i19 = Z_OK; inf_leave: for (;;) { switch (state.mode) { case HEAD: if (state.wrap === 0) { state.mode = q17; break; } while (x18 < 16) { if (w18 === 0) { break inf_leave; } w18--; hold += input[next++] << x18; x18 += 8; } if ((state.wrap & 2) && hold === 0x8b1f) { state.check = 0; j19[0] = hold & 0xff; j19[1] = (hold >>> 8) & 0xff; state.check = crc32(state.check, j19, 2, 0); hold = 0; x18 = 0; state.mode = k17; break; } state.flags = 0; if (state.head) { state.head.done = false; } if (!(state.wrap & 1) || (((hold & 0xff) << 8) + (hold >> 8)) % 31) { u18.msg = 'incorrect header check'; state.mode = d16; break; } if ((hold & 0x0f) !== Z_DEFLATED) { u18.msg = 'unknown compression method'; state.mode = d16; break; } hold >>>= 4; x18 -= 4; len = (hold & 0x0f) + 8; if (state.b5 === 0) { state.b5 = len; } else if (len > state.b5) { u18.msg = 'invalid window size'; state.mode = d16; break; } state.q4 = 1 << len; u18.adler = state.check = 1; state.mode = hold & 0x200 ? o17 : TYPE; hold = 0; x18 = 0; break; case k17: while (x18 < 16) { if (w18 === 0) { break inf_leave; } w18--; hold += input[next++] << x18; x18 += 8; } state.flags = hold; if ((state.flags & 0xff) !== Z_DEFLATED) { u18.msg = 'unknown compression method'; state.mode = d16; break; } if (state.flags & 0xe000) { u18.msg = 'unknown header flags set'; state.mode = d16; break; } if (state.head) { state.head.text = ((hold >> 8) & 1); } if (state.flags & 0x0200) { j19[0] = hold & 0xff; j19[1] = (hold >>> 8) & 0xff; state.check = crc32(state.check, j19, 2, 0); } hold = 0; x18 = 0; state.mode = l17; case l17: while (x18 < 32) { if (w18 === 0) { break inf_leave; } w18--; hold += input[next++] << x18; x18 += 8; } if (state.head) { state.head.time = hold; } if (state.flags & 0x0200) { j19[0] = hold & 0xff; j19[1] = (hold >>> 8) & 0xff; j19[2] = (hold >>> 16) & 0xff; j19[3] = (hold >>> 24) & 0xff; state.check = crc32(state.check, j19, 4, 0); } hold = 0; x18 = 0; state.mode = OS; case OS: while (x18 < 16) { if (w18 === 0) { break inf_leave; } w18--; hold += input[next++] << x18; x18 += 8; } if (state.head) { state.head.n4 = (hold & 0xff); state.head.os = (hold >> 8); } if (state.flags & 0x0200) { j19[0] = hold & 0xff; j19[1] = (hold >>> 8) & 0xff; state.check = crc32(state.check, j19, 2, 0); } hold = 0; x18 = 0; state.mode = m17; case m17: if (state.flags & 0x0400) { while (x18 < 16) { if (w18 === 0) { break inf_leave; } w18--; hold += input[next++] << x18; x18 += 8; } state.length = hold; if (state.head) { state.head.o4 = hold; } if (state.flags & 0x0200) { j19[0] = hold & 0xff; j19[1] = (hold >>> 8) & 0xff; state.check = crc32(state.check, j19, 2, 0); } hold = 0; x18 = 0; } else if (state.head) { state.head.extra = null; } state.mode = EXTRA; case EXTRA: if (state.flags & 0x0400) { copy = state.length; if (copy > w18) { copy = w18; } if (copy) { if (state.head) { len = state.head.o4 - state.length; if (!state.head.extra) { state.head.extra = new Array(state.head.o4); } utils.c2(state.head.extra, input, next, copy, len); } if (state.flags & 0x0200) { state.check = crc32(state.check, input, copy, next); } w18 -= copy; next += copy; state.length -= copy; } if (state.length) { break inf_leave; } } state.length = 0; state.mode = NAME; case NAME: if (state.flags & 0x0800) { if (w18 === 0) { break inf_leave; } copy = 0; do { len = input[next + copy++]; if (state.head && len && (state.length < 65536)) { state.head.name += String.fromCharCode(len); } } while (len && copy < w18); if (state.flags & 0x0200) { state.check = crc32(state.check, input, copy, next); } w18 -= copy; next += copy; if (len) { break inf_leave; } } else if (state.head) { state.head.name = null; } state.length = 0; state.mode = COMMENT; case COMMENT: if (state.flags & 0x1000) { if (w18 === 0) { break inf_leave; } copy = 0; do { len = input[next + copy++]; if (state.head && len && (state.length < 65536)) { state.head.comment += String.fromCharCode(len); } } while (len && copy < w18); if (state.flags & 0x0200) { state.check = crc32(state.check, input, copy, next); } w18 -= copy; next += copy; if (len) { break inf_leave; } } else if (state.head) { state.head.comment = null; } state.mode = n17; case n17: if (state.flags & 0x0200) { while (x18 < 16) { if (w18 === 0) { break inf_leave; } w18--; hold += input[next++] << x18; x18 += 8; } if (hold !== (state.check & 0xffff)) { u18.msg = 'header crc mismatch'; state.mode = d16; break; } hold = 0; x18 = 0; } if (state.head) { state.head.m4 = ((state.flags >> 9) & 1); state.head.done = true; } u18.adler = state.check = 0; state.mode = TYPE; break; case o17: while (x18 < 32) { if (w18 === 0) { break inf_leave; } w18--; hold += input[next++] << x18; x18 += 8; } u18.adler = state.check = b17(hold); hold = 0; x18 = 0; state.mode = p17; case p17: if (state.a5 === 0) { u18.z1 = put; u18.q1 = left; u18.u1 = next; u18.v1 = w18; state.hold = hold; state.u4 = x18; return Z_NEED_DICT; } u18.adler = state.check = 1; state.mode = TYPE; case TYPE: if (flush === Z_BLOCK || flush === Z_TREES) { break inf_leave; } case q17: if (state.last) { hold >>>= x18 & 7; x18 -= x18 & 7; state.mode = d18; break; } while (x18 < 3) { if (w18 === 0) { break inf_leave; } w18--; hold += input[next++] << x18; x18 += 8; } state.last = (hold & 0x01); hold >>>= 1; x18 -= 1; switch ((hold & 0x03)) { case 0: state.mode = r17; break; case 1: d17(state); state.mode = w17; if (flush === Z_TREES) { hold >>>= 2; x18 -= 2; break inf_leave; } break; case 2: state.mode = t17; break; case 3: u18.msg = 'invalid block type'; state.mode = d16; } hold >>>= 2; x18 -= 2; break; case r17: hold >>>= x18 & 7; x18 -= x18 & 7; while (x18 < 32) { if (w18 === 0) { break inf_leave; } w18--; hold += input[next++] << x18; x18 += 8; } if ((hold & 0xffff) !== ((hold >>> 16) ^ 0xffff)) { u18.msg = 'invalid stored block lengths'; state.mode = d16; break; } state.length = hold & 0xffff; hold = 0; x18 = 0; state.mode = s17; if (flush === Z_TREES) { break inf_leave; } case s17: state.mode = COPY; case COPY: copy = state.length; if (copy) { if (copy > w18) { copy = w18; } if (copy > left) { copy = left; } if (copy === 0) { break inf_leave; } utils.c2(v18, input, next, copy, put); w18 -= copy; next += copy; left -= copy; put += copy; state.length -= copy; break; } state.mode = TYPE; break; case t17: while (x18 < 14) { if (w18 === 0) { break inf_leave; } w18--; hold += input[next++] << x18; x18 += 8; } state.d5 = (hold & 0x1f) + 257; hold >>>= 5; x18 -= 5; state.e5 = (hold & 0x1f) + 1; hold >>>= 5; x18 -= 5; state.c5 = (hold & 0x0f) + 4; hold >>>= 4; x18 -= 4; if (state.d5 > 286 || state.e5 > 30) { u18.msg = 'too many length or distance symbols'; state.mode = d16; break; } state.f5 = 0; state.mode = u17; case u17: while (state.f5 < state.c5) { while (x18 < 3) { if (w18 === 0) { break inf_leave; } w18--; hold += input[next++] << x18; x18 += 8; } state.g5[order[state.f5++]] = (hold & 0x07); hold >>>= 3; x18 -= 3; } while (state.f5 < 19) { state.g5[order[state.f5++]] = 0; } state.v4 = state.h5; state.x4 = 7; k19 = { u4: state.x4 }; i19 = g17(h17, state.g5, 0, 19, state.v4, 0, state.work, k19); state.x4 = k19.u4; if (i19) { u18.msg = 'invalid code lengths set'; state.mode = d16; break; } state.f5 = 0; state.mode = v17; case v17: while (state.f5 < state.d5 + state.e5) { for (;;) { b19 = state.v4[hold & ((1 << state.x4) - 1)]; c19 = b19 >>> 24; d19 = (b19 >>> 16) & 0xff; e19 = b19 & 0xffff; if ((c19) <= x18) { break; } if (w18 === 0) { break inf_leave; } w18--; hold += input[next++] << x18; x18 += 8; } if (e19 < 16) { hold >>>= c19; x18 -= c19; state.g5[state.f5++] = e19; } else { if (e19 === 16) { n = c19 + 2; while (x18 < n) { if (w18 === 0) { break inf_leave; } w18--; hold += input[next++] << x18; x18 += 8; } hold >>>= c19; x18 -= c19; if (state.f5 === 0) { u18.msg = 'invalid bit length repeat'; state.mode = d16; break; } len = state.g5[state.f5 - 1]; copy = 3 + (hold & 0x03); hold >>>= 2; x18 -= 2; } else if (e19 === 17) { n = c19 + 3; while (x18 < n) { if (w18 === 0) { break inf_leave; } w18--; hold += input[next++] << x18; x18 += 8; } hold >>>= c19; x18 -= c19; len = 0; copy = 3 + (hold & 0x07); hold >>>= 3; x18 -= 3; } else { n = c19 + 7; while (x18 < n) { if (w18 === 0) { break inf_leave; } w18--; hold += input[next++] << x18; x18 += 8; } hold >>>= c19; x18 -= c19; len = 0; copy = 11 + (hold & 0x7f); hold >>>= 7; x18 -= 7; } if (state.f5 + copy > state.d5 + state.e5) { u18.msg = 'invalid bit length repeat'; state.mode = d16; break; } while (copy--) { state.g5[state.f5++] = len; } } } if (state.mode === d16) { break; } if (state.g5[256] === 0) { u18.msg = 'invalid code -- missing end-of-block'; state.mode = d16; break; } state.x4 = 9; k19 = { u4: state.x4 }; i19 = g17(LENS, state.g5, 0, state.d5, state.v4, 0, state.work, k19); state.x4 = k19.u4; if (i19) { u18.msg = 'invalid literal/lengths set'; state.mode = d16; break; } state.y4 = 6; state.w4 = state.i5; k19 = { u4: state.y4 }; i19 = g17(i17, state.g5, state.d5, state.e5, state.w4, 0, state.work, k19); state.y4 = k19.u4; if (i19) { u18.msg = 'invalid distances set'; state.mode = d16; break; } state.mode = w17; if (flush === Z_TREES) { break inf_leave; } case w17: state.mode = x17; case x17: if (w18 >= 6 && left >= 258) { u18.z1 = put; u18.q1 = left; u18.u1 = next; u18.v1 = w18; state.hold = hold; state.u4 = x18; f17(u18, z18); put = u18.z1; v18 = u18.w1; left = u18.q1; next = u18.u1; input = u18.input; w18 = u18.v1; hold = state.hold; x18 = state.u4; if (state.mode === TYPE) { state.back = -1; } break; } state.back = 0; for (;;) { b19 = state.v4[hold & ((1 << state.x4) - 1)]; c19 = b19 >>> 24; d19 = (b19 >>> 16) & 0xff; e19 = b19 & 0xffff; if (c19 <= x18) { break; } if (w18 === 0) { break inf_leave; } w18--; hold += input[next++] << x18; x18 += 8; } if (d19 && (d19 & 0xf0) === 0) { f19 = c19; g19 = d19; h19 = e19; for (;;) { b19 = state.v4[h19 + ((hold & ((1 << (f19 + g19)) - 1)) >> f19)]; c19 = b19 >>> 24; d19 = (b19 >>> 16) & 0xff; e19 = b19 & 0xffff; if ((f19 + c19) <= x18) { break; } if (w18 === 0) { break inf_leave; } w18--; hold += input[next++] << x18; x18 += 8; } hold >>>= f19; x18 -= f19; state.back += f19; } hold >>>= c19; x18 -= c19; state.back += c19; state.length = e19; if (d19 === 0) { state.mode = c18; break; } if (d19 & 32) { state.back = -1; state.mode = TYPE; break; } if (d19 & 64) { u18.msg = 'invalid literal/length code'; state.mode = d16; break; } state.extra = d19 & 15; state.mode = y17; case y17: if (state.extra) { n = state.extra; while (x18 < n) { if (w18 === 0) { break inf_leave; } w18--; hold += input[next++] << x18; x18 += 8; } state.length += hold & ((1 << state.extra) - 1); hold >>>= state.extra; x18 -= state.extra; state.back += state.extra; } state.j5 = state.length; state.mode = z17; case z17: for (;;) { b19 = state.w4[hold & ((1 << state.y4) - 1)]; c19 = b19 >>> 24; d19 = (b19 >>> 16) & 0xff; e19 = b19 & 0xffff; if ((c19) <= x18) { break; } if (w18 === 0) { break inf_leave; } w18--; hold += input[next++] << x18; x18 += 8; } if ((d19 & 0xf0) === 0) { f19 = c19; g19 = d19; h19 = e19; for (;;) { b19 = state.w4[h19 + ((hold & ((1 << (f19 + g19)) - 1)) >> f19)]; c19 = b19 >>> 24; d19 = (b19 >>> 16) & 0xff; e19 = b19 & 0xffff; if ((f19 + c19) <= x18) { break; } if (w18 === 0) { break inf_leave; } w18--; hold += input[next++] << x18; x18 += 8; } hold >>>= f19; x18 -= f19; state.back += f19; } hold >>>= c19; x18 -= c19; state.back += c19; if (d19 & 64) { u18.msg = 'invalid distance code'; state.mode = d16; break; } state.offset = e19; state.extra = (d19) & 15; state.mode = a18; case a18: if (state.extra) { n = state.extra; while (x18 < n) { if (w18 === 0) { break inf_leave; } w18--; hold += input[next++] << x18; x18 += 8; } state.offset += hold & ((1 << state.extra) - 1); hold >>>= state.extra; x18 -= state.extra; state.back += state.extra; } if (state.offset > state.q4) { u18.msg = 'invalid distance too far back'; state.mode = d16; break; } state.mode = b18; case b18: if (left === 0) { break inf_leave; } copy = z18 - left; if (state.offset > copy) { copy = state.offset - copy; if (copy > state.s4) { if (state.z4) { u18.msg = 'invalid distance too far back'; state.mode = d16; break; } } if (copy > state.t4) { copy -= state.t4; from = state.r4 - copy; } else { from = state.t4 - copy; } if (copy > state.length) { copy = state.length; } a19 = state.window; } else { a19 = v18; from = put - state.offset; copy = state.length; } if (copy > left) { copy = left; } left -= copy; state.length -= copy; do { v18[put++] = a19[from++]; } while (--copy); if (state.length === 0) { state.mode = x17; } break; case c18: if (left === 0) { break inf_leave; } v18[put++] = state.length; left--; state.mode = x17; break; case d18: if (state.wrap) { while (x18 < 32) { if (w18 === 0) { break inf_leave; } w18--; hold |= input[next++] << x18; x18 += 8; } z18 -= left; u18.f2 += z18; state.total += z18; if (z18) { u18.adler = state.check = (state.flags ? crc32(state.check, v18, z18, put - z18) : adler32(state.check, v18, z18, put - z18)); } z18 = left; if ((state.flags ? hold : b17(hold)) !== state.check) { u18.msg = 'incorrect data check'; state.mode = d16; break; } hold = 0; x18 = 0; } state.mode = e18; case e18: if (state.wrap && state.flags) { while (x18 < 32) { if (w18 === 0) { break inf_leave; } w18--; hold += input[next++] << x18; x18 += 8; } if (hold !== (state.total & 0xffffffff)) { u18.msg = 'incorrect length check'; state.mode = d16; break; } hold = 0; x18 = 0; } state.mode = DONE; case DONE: i19 = Z_STREAM_END; break inf_leave; case d16: i19 = Z_DATA_ERROR; break inf_leave; case f18: return j17; case SYNC: default: return Z_STREAM_ERROR; } } u18.z1 = put; u18.q1 = left; u18.u1 = next; u18.v1 = w18; state.hold = hold; state.u4 = x18; if (state.r4 || (z18 !== u18.q1 && state.mode < d16 && (state.mode < d18 || flush !== Z_FINISH))) { if (e17(u18, u18.w1, u18.z1, z18 - u18.q1)) { state.mode = f18; return j17; } } y18 -= u18.v1; z18 -= u18.q1; u18.i2 += y18; u18.f2 += z18; state.total += z18; if (state.wrap && z18) { u18.adler = state.check = (state.flags ? crc32(state.check, v18, z18, u18.z1 - z18) : adler32(state.check, v18, z18, u18.z1 - z18)); } u18.l4 = state.u4 + (state.last ? 64 : 0) + (state.mode === TYPE ? 128 : 0) + (state.mode === w17 || state.mode === s17 ? 256 : 0); if (((y18 === 0 && z18 === 0) || flush === Z_FINISH) && i19 === Z_OK) { i19 = Z_BUF_ERROR; } return i19; } function inflateEnd(s18) { if (!s18 || !s18.state) { return Z_STREAM_ERROR; } var state = s18.state; if (state.window) { state.window = null; } s18.state = null; return Z_OK; } function inflateGetHeader(r18, head) { var state; if (!r18 || !r18.state) { return Z_STREAM_ERROR; } state = r18.state; if ((state.wrap & 2) === 0) { return Z_STREAM_ERROR; } state.head = head; head.done = false; return Z_OK; } function inflateSetDictionary(m18, n18) { var o18 = n18.length; var state; var p18; var q18; if (!m18 || !m18.state) { return Z_STREAM_ERROR; } state = m18.state; if (state.wrap !== 0 && state.mode !== p17) { return Z_STREAM_ERROR; } if (state.mode === p17) { p18 = 1; p18 = adler32(p18, n18, o18, 0); if (p18 !== state.check) { return Z_DATA_ERROR; } } q18 = e17(m18, n18, o18, o18); if (q18) { state.mode = f18; return j17; } state.a5 = 1; return Z_OK; } exports.inflateReset = inflateReset; exports.inflateReset2 = inflateReset2; exports.inflateResetKeep = inflateResetKeep; exports.inflateInit = inflateInit; exports.inflateInit2 = inflateInit2; exports.inflate = inflate; exports.inflateEnd = inflateEnd; exports.inflateGetHeader = inflateGetHeader; exports.inflateSetDictionary = inflateSetDictionary; exports.inflateInfo = 'pako inflate (from Nodeca project)'; 