import { Logger } from "./w"; import DataUtil from "../utils/e1"; import process from '@ohos.process'; import StringBuilder from "../utils/f1"; import e8 from '@ohos.file.fs'; import CryptTools from "../o/k1"; import buffer from '@ohos.buffer'; import GtcProvider from "../c1"; export class FileLogAdapter { constructor() { this.enableProperty = 'sdk.debug'; this.fileNameSuffix = ""; this.fileLogEnable = true; this.logMissedTip = false; } setEnableProperty(property) { if (property) { this.enableProperty = property; } } setFileLogEnable(enable) { this.fileLogEnable = enable; } setFileNameSuffix(suffix) { this.fileNameSuffix = suffix; } log(priority, tag, message) { if (!this.filePath) { const context = GtcProvider.context(); if (context) { const suffix = this.fileNameSuffix; this.packageName = context.applicationInfo.name; const fileName = this.packageName + (suffix ? "-" + suffix + "-" : "-") + DataUtil.formatToDay() + ".log"; this.filePath = context.filesDir + "/" + fileName; } else { this.logMissedTip = true; return; } } if (this.logMissedTip) { this.logMissedTip = false; message = '========missing some logs because call GtcProvider.setContext() too later!========\n' + message; } const builder = new StringBuilder(); builder.append(DataUtil.formatToSecond()) .append(' ') .append(process.pid) .append("/") .append(this.packageName) .append(' '); switch (priority) { case Logger.DEBUG: builder.append("D"); break; case Logger.INFO: builder.append("I"); break; case Logger.WARN: builder.append("W"); break; case Logger.ERROR: builder.append("E"); break; case Logger.FATAL: builder.append("F"); break; default: break; } builder.append("/") .append(tag) .append(": ") .append(message) .append('\n'); const u8 = FileLogAdapter.logFiles; let v8 = u8[this.filePath]; if (!v8) { v8 = new f8(this.filePath); u8[this.filePath] = v8; } v8.o(builder.toString()); } isLoggable(priority, tag) { return this.fileLogEnable; } } FileLogAdapter.logFiles = {}; class f8 { constructor(filePath) { this.t = Array(); this.timeoutID = -1; this.filePath = filePath; } o(message) { this.t.push(message); if (this.timeoutID < 0) { this.timeoutID = setTimeout(() => { this.writeSync(); }, 1000); } } async writeSync() { let file; try { if (!this.u) { this.u = await CryptTools.generateSymKey(CryptTools.AES_128); this.iv = this.secureRandom(0, 255); } const r8 = e8.accessSync(this.filePath); file = e8.openSync(this.filePath, e8.OpenMode.WRITE_ONLY | e8.OpenMode.APPEND | e8.OpenMode.CREATE); if (!r8) { await this.a1(file); } const s8 = await this.b1(file); } catch (err) { } finally { this.timeoutID = -1; if (file) { e8.closeSync(file); } } } async a1(file) { const n8 = "MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCzbMQ22qV6umuPXYWXEOGdlpJR\n" + "BWMP68/ArS7XG8+7GmRbWMW1HOMLOOdwuIfPFp9QiwOshG0mYXlm1ecQ/fCXhRMW\n" + "fh+OMCoBdl7vnCpoDYPmjYQBkm9fRW6oej33UhZtlnTZjECAsyC2Eybha7jg3Lft\n" + "gYVnwaPShTmv5+Z9SQIDAQAB"; const publicKey = await CryptTools.parsePublicKey(CryptTools.RSA512_2, n8); const o8 = await CryptTools.encrypt('RSA512|ECB|PKCS1_OAEP|SHA1|MGF1_SHA1', publicKey, null, this.u.getEncoded().data); let p8 = buffer.allocUninitializedFromPool(4); p8.writeUInt32BE(o8.length); const q8 = buffer.concat([ buffer.from([0X00]), buffer.from(this.iv), p8, buffer.from(o8.buffer) ]); return e8.writeSync(file.fd, q8.buffer); } async b1(file) { let h8 = new StringBuilder(); this.t.forEach((value) => { h8.append(value); }); this.t.length = 0; const sign = await CryptTools.digest("SHA1", this.u.getEncoded().data); let i8 = { iv: { data: this.iv }, algName: "IvParamsSpec" }; const j8 = new Uint8Array(buffer.from(h8.toString()).buffer); const data = await CryptTools.encrypt('AES|CBC|PKCS5', this.u, i8, j8); let k8 = buffer.allocUninitializedFromPool(4); k8.writeUInt32BE(data.length); const l8 = buffer.concat([ buffer.from([0X70]), buffer.from(sign), k8, buffer.from(data.buffer) ]); return e8.writeSync(file.fd, l8.buffer); } secureRandom(min, max) { const array = new Array(16); for (let index = 0; index < 16; index++) { const g8 = Math.floor(Math.random() * (max - min + 1)) + min; array[index] = g8; } return Uint8Array.from(array); } } const FileLogAdapter_C = FileLogAdapter; export { FileLogAdapter_C }; 