"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(e,t,a,s){void 0===s&&(s=a);var r=Object.getOwnPropertyDescriptor(t,a);r&&!("get"in r?!t.__esModule:r.writable||r.configurable)||(r={enumerable:!0,get:function(){return t[a]}}),Object.defineProperty(e,s,r)}:function(e,t,a,s){void 0===s&&(s=a),e[s]=t[a]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(e,t){Object.defineProperty(e,"default",{enumerable:!0,value:t})}:function(e,t){e.default=t}),__importStar=this&&this.__importStar||function(e){if(e&&e.__esModule)return e;var t={};if(null!=e)for(var a in e)"default"!==a&&Object.prototype.hasOwnProperty.call(e,a)&&__createBinding(t,e,a);return __setModuleDefault(t,e),t},__importDefault=this&&this.__importDefault||function(e){return e&&e.__esModule?e:{default:e}};Object.defineProperty(exports,"__esModule",{value:!0}),exports.build=exports.writeWatchCache=void 0;const fs_1=__importDefault(require("fs")),fse=__importStar(require("fs-extra")),os_1=__importDefault(require("os")),path=__importStar(require("path")),rollup_1=require("rollup"),arkts_base_log_js_1=require("./log/arkts-base-log.js"),build_event_js_1=require("./util/build-event.js"),constants_js_1=require("./util/constants.js"),pack_js_1=require("./util/msgpack/pack.js"),struct_js_1=require("./util/msgpack/struct.js");(0,struct_js_1.updateReadStruct)();const logger=arkts_base_log_js_1.ArktsBaseLogger.getLogger("build"),extensionSet=new Set([".ets",".ts","js",".mjs",".cjs"]);let triggerTsWatch,watchParentPort,watchCache,watchEnableFileSystemCache,watchCacheDirectory,lastWatchRes,tsWatchEnd=!1,rollupWatchEnd=!1,isWatchFirst=!0;const lastReUsedFiles=new Set;function readWatchLogs(e){let t=[];const a=path.resolve(e??"",constants_js_1.DEFAULT_WATCH_LOGS_FILE);if(fs_1.default.existsSync(a))try{t=JSON.parse(fs_1.default.readFileSync(a).toString())}catch(e){logger.debug(`read watch logs failed ${e.message}`)}return t}function writeWatchLogs(){const e=path.resolve(watchCacheDirectory??"",constants_js_1.DEFAULT_WATCH_LOGS_FILE);try{fse.ensureFileSync(e),fs_1.default.writeFileSync(e,JSON.stringify(arkts_base_log_js_1.ArktsBaseLogger.getLastLogEvents()))}catch(e){logger.debug(`write watch logs failed ${e.message}`)}}function removeWatchLogs(){const e=path.resolve(watchCacheDirectory??"",constants_js_1.DEFAULT_WATCH_LOGS_FILE);fs_1.default.rmSync(e,{force:!0})}function writeWatchCache(){lastWatchRes?(writeCache(watchEnableFileSystemCache,watchCache,watchCacheDirectory),writeWatchLogs()):(removeCache(watchCacheDirectory),removeWatchLogs()),watchCache=void 0,watchEnableFileSystemCache=void 0,watchCacheDirectory=void 0}async function build(e,t,a,s,r,c,n){const o=e.startEvent("read build package cache");readCache(e,n);const i=e.compileEnv;e.endEvent(o);const l=!!e.disableGenerateBundle,h=void 0===e.writeBundle||e.writeBundle,_=e.enableFileSystemCache,g=e.cacheDirectory,d=e.watchMode??"false",u=e.unsupportedChangedFiles??[],p=e.isPreview;if(deleteOptions(e),"true"===d){const n=e.startEvent(constants_js_1.ROLLUP_EVENT_NAME),o=await startWatch(e,p??!1,t,a,s,r,_,g,u,c);return e.endEvent(n),o}const f=e.startEvent(constants_js_1.ROLLUP_EVENT_NAME),E=await(0,rollup_1.rollup)(e);if(e.endEvent(f),!l)for(const t of e.output)h?await E.write(t):await E.generate(t);const w=e.startEvent("wait for plug-in registration asynchronous task to complete");return await E.close(),await E.triggerBundleEnd(),e.endEvent(w),arkts_base_log_js_1.ArktsBaseLogger.reset(),{timing:E.getTimings&&E.getTimings(),callback:()=>{const t=e.startEvent("write build package cache");writeCache(_,E.cache,g,i,n),e.endEvent(t)}}}function deleteOptions(e){delete e.disableGenerateBundle,delete e.writeBundle,delete e.enableFileSystemCache,delete e.cacheDirectory,delete e.watchMode,delete e.unsupportedChangedFiles,delete e.isPreview,delete e.compileEnv}function clearWatchData(){triggerTsWatch=!1,tsWatchEnd=!1,rollupWatchEnd=!1,arkts_base_log_js_1.ArktsBaseLogger.clearLogEvents(),lastReUsedFiles.clear()}function sendWatchResult(){isWatchFirst=!1,arkts_base_log_js_1.ArktsBaseLogger.sendLastLogEvents(lastReUsedFiles),lastWatchRes=!arkts_base_log_js_1.ArktsBaseLogger.checkLoggerHaveErrorInfo(),watchParentPort?.postMessage({type:build_event_js_1.WatchEvent.WATCH_RESULT,content:lastWatchRes}),clearWatchData()}function processTsWatchEnd(){tsWatchEnd=!0,rollupWatchEnd&&sendWatchResult()}function processRollupWatchEnd(){rollupWatchEnd=!0,!tsWatchEnd&&triggerTsWatch||sendWatchResult()}function updateLastReUsedFiles(e){e.forEach((e=>lastReUsedFiles.add("Windows_NT"===os_1.default.type()?path.posix.join(...e.split(path.sep)):e)))}async function startWatch(e,t,a,s,r,c,n,o,i,l){arkts_base_log_js_1.ArktsBaseLogger.addLastLogEvents(readWatchLogs(o)),arkts_base_log_js_1.ArktsBaseLogger.setLogCallback(a,processTsWatchEnd),watchParentPort=s;const h=new Set;return new Promise(((a,s)=>{const _=(0,rollup_1.watch)(e);c(_),_.on("event",(e=>{switch(e.code){case"BUNDLE_START":watchParentPort?.postMessage({type:build_event_js_1.WatchEvent.WATCH_START}),validateUnsupportedChangedFiles(e.lastChangedFiles,i),updateTriggerTsWatchWithLastChangedFiles(e.lastChangedFiles);break;case"BUNDLE_END":if(isWatchFirst&&arkts_base_log_js_1.ArktsBaseLogger.checkLoggerHaveErrorInfo()){const e=arkts_base_log_js_1.ArktsBaseLogger.getLogEvents().filter((e=>"error"===e.level)).map((e=>e.msg)).join("");s(e)}r(),updateCache(n,e.result.cache,o),hotReload(t,e.result.watchFiles,h),e.result.getTimings?a(e.result.getTimings()):a({}),updateLastReUsedFiles(e.lastReUsedFiles),processRollupWatchEnd();break;case"ERROR":s(),arkts_base_log_js_1.ArktsBaseLogger.addLogEvent({time:new Date,category:"watch",level:"error",msg:e.error.message,type:constants_js_1.PLUGIN_LOG_TYPE}),l&&l(e.error),processRollupWatchEnd()}}))}))}function hotReload(e,t,a){e||(isWatchFirst?(t.forEach((e=>a.add(e))),sendHotReloadWatchFileList(t)):validateWatchScope(t,a))}function validateUnsupportedChangedFiles(e,t){for(const a of t)if(e.has(a))throw arkts_base_log_js_1.ArktsBaseLogger.addLogEvent({time:new Date,category:"watch",level:"error",msg:`${a} has been changed, which is not supported in watch mode. Please rebuild this module manually.`,type:constants_js_1.PLUGIN_LOG_TYPE}),new Error}function validateWatchScope(e,t){const a=(e="new files")=>{arkts_base_log_js_1.ArktsBaseLogger.addLogEvent({time:new Date,category:"watch",level:"error",msg:`Importing ${e} is not supported in hot reload mode. Please rebuild this module manually.`,type:constants_js_1.PLUGIN_LOG_TYPE})};if(e.length>t.size)a();else for(const s of e)if(!t.has(s))return void a(s)}function updateTriggerTsWatchWithLastChangedFiles(e){for(const t of e.keys())if(willTriggerTsWatch(t)){triggerTsWatch=!0;break}triggerTsWatch=void 0===triggerTsWatch||triggerTsWatch,process.env.triggerTsWatch=String(triggerTsWatch)}let lastCompileEnv;function readCache(e,t){if(lastCompileEnv!==e.compileEnv&&(t?.clear(),lastCompileEnv=e.compileEnv),!e.enableFileSystemCache)return;const a=getCacheFile(e.cacheDirectory);if(fs_1.default.existsSync(a)){if(t&&e.cacheDirectory){const s=t.mount(e.compileEnv).getCache(a);if(s)return void(e.cache=s)}try{e.cache=(new pack_js_1.Packr).unpack(fs_1.default.readFileSync(a))}catch(e){logger.debug(`read cache file failed ${e.message}`)}(0,pack_js_1.resetPack)()}else t?.mount(e.compileEnv).delete(a)}function updateCache(e,t,a){watchEnableFileSystemCache=e,watchCache=t,watchCacheDirectory=a}function writeCache(e,t,a,s,r){if(e&&t){const e=getCacheFile(a);try{fse.ensureDirSync(path.resolve(e,"..")),fs_1.default.writeFileSync(e,(new pack_js_1.Packr).pack(t)),r&&s&&a&&r.mount(s).setCache(e,t,!0)}catch(e){logger.debug(`write cache file failed ${e.message}`)}(0,pack_js_1.resetPack)()}}function removeCache(e){const t=getCacheFile(e);fs_1.default.rmSync(t,{force:!0})}function getCacheFile(e){return e?path.join(e,constants_js_1.MSGPACK_COMPILE_CACHE_FILE_NAME):constants_js_1.MSGPACK_COMPILE_CACHE_FILE_NAME}function willTriggerTsWatch(e){return extensionSet.has(path.extname(e))}function sendHotReloadWatchFileList(e){e&&watchParentPort?.postMessage({type:build_event_js_1.WatchEvent.WATCH_RESULT,content:JSON.stringify({isSuccess:!arkts_base_log_js_1.ArktsBaseLogger.checkLoggerHaveErrorInfo(),watchFiles:e})})}exports.writeWatchCache=writeWatchCache,exports.build=build;