"use strict";var __importDefault=this&&this.__importDefault||function(e){return e&&e.__esModule?e:{default:e}};Object.defineProperty(exports,"__esModule",{value:!0}),exports.DependencyManager=void 0;const hvigor_1=require("@ohos/hvigor"),fs_extra_1=__importDefault(require("fs-extra")),path_1=__importDefault(require("path")),common_const_js_1=require("../../const/common-const.js"),module_type_enum_js_1=require("../../enum/module-type-enum.js"),legacy_module_model_impl_js_1=require("../../model/module/legacy-module-model-impl.js"),core_project_model_impl_js_1=require("../../model/project/core-project-model-impl.js"),har_extend_info_js_1=require("../../tasks/har/har-extend-info.js"),error_url_js_1=require("../../utils/error-url.js"),ohos_logger_js_1=require("../../utils/log/ohos-logger.js"),npm_package_resolver_js_1=require("../../utils/resolver/npm-package-resolver.js"),ohpm_package_resolver_js_1=require("../../utils/resolver/ohpm-package-resolver.js"),dependency_interface_js_1=require("./core/dependency-interface.js"),module_dependency_info_js_1=require("./module-dependency-info.js"),dependency_builder_js_1=require("./core/dependency-builder.js"),log=ohos_logger_js_1.OhosLogger.getLogger("ohos-dependency-manager"),solution=`The OpenHarmony npm package or module is not compatible with the current model. Use a compatible OpenHarmony npm package or module. For details about the stage and FA models, see ${error_url_js_1.ErrorUrl.ERROR_URL.modelDiff}.`,json5Map=new Map;function getJson5Obj(e){var o;const n=fs_extra_1.default.statSync(e).mtime.getTime();return(null===(o=json5Map.get(e))||void 0===o?void 0:o.timeStamp)!==n&&json5Map.set(e,{timeStamp:n,fileContent:hvigor_1.Json5Reader.getJson5Obj(e)}),json5Map.get(e).fileContent}class DependencyManager{constructor(e,o,n){this._allDependency=new Set,this._model=o,this._projectModel=n,this._moduleName=o.getName(),this._isFaMode=e,this._isOhpmDependency=this.isOhpmDependency()}isOhpmDependency(){return this._projectModel?this._projectModel.isOhpmProject():this._model.isOhpmProject()}createModelDependencyInfo(){this._allDependency.clear();const e=[],o=new Map,n=this._isOhpmDependency?this._model.getOhPackageJson5Path():this._model.getPackageJsonPath(),t={moduleName:this._moduleName,modulePkgJsonPath:n};return this.collectHarDependency(t,o,e),this.collectProjectHarDependencyForHap(o,e),log.debug(`Module ${this._moduleName} Collected Dependency: ${e.map((e=>e.getDependencyRootPath()))}`),log.debug(`Module ${this._moduleName}'s total dependency: ${e.length}`),new module_dependency_info_js_1.ModuleDependencyInfo(o,e)}collectAllHspDependencies(){const e=[],o=new Map,n=this._isOhpmDependency?this._model.getOhPackageJson5Path():this._model.getPackageJsonPath(),t={moduleName:this._moduleName,modulePkgJsonPath:n};return this.collectHarDependency(t,o,e,!0,!0),this.collectProjectHarDependencyForHap(o,e,!0),[...o.entries()].filter((([,e])=>e.getDependencyType()===dependency_interface_js_1.DependencyType.DEPENDENCY_TYPE_HSP))}collectProjectHarDependencyForHap(e,o,n=!1){if(this._projectModel){const t=this._isOhpmDependency?this._projectModel.getOhPackageJson5Path():this._projectModel.getPackageJsonPath(),s={moduleName:this._moduleName,modulePkgJsonPath:t};this.collectHarDependency(s,e,o,this._model.isHapModule(),n)}}collectHarDependency(e,o,n,t=!0,s=!1){const d=[e];for(;d.length>0;){const e=d.shift();if(void 0===e||!fs_extra_1.default.existsSync(e.modulePkgJsonPath))continue;const r=getJson5Obj(e.modulePkgJsonPath);if(null!==r&&void 0!==r.name){this._allDependency.add(e.modulePkgJsonPath);for(const l in null==r?void 0:r.dependencies)Object.prototype.hasOwnProperty.call(null==r?void 0:r.dependencies,l)&&this.collectDependency(l,e,o,n,d,dependency_interface_js_1.DependencyEnum.DEPENDENCIES,t,s);for(const l in null==r?void 0:r.dynamicDependencies)Object.prototype.hasOwnProperty.call(null==r?void 0:r.dynamicDependencies,l)&&this.collectDependency(l,e,o,n,d,dependency_interface_js_1.DependencyEnum.DYNAMIC_DEPENDENCIES,t,s)}}}collectDependency(e,o,n,t,s,d,r,l){var a;const i=(this._isOhpmDependency?new ohpm_package_resolver_js_1.OhpmPackageResolver:new npm_package_resolver_js_1.NpmPackageResolver).resolvePackagePath(e,path_1.default.dirname(o.modulePkgJsonPath),log),c=path_1.default.resolve(this._model.getProjectDir(),common_const_js_1.CommonConst.OH_MODULES);if(void 0===i||!fs_extra_1.default.existsSync(i))return void(fs_extra_1.default.pathExistsSync(c)&&log.warn(`The current module '${this._moduleName}' has dependency which is not installed at its ${this._isOhpmDependency?common_const_js_1.CommonConst.OH_PACKAGE_JSON5:common_const_js_1.CommonConst.PACKAGE_JSON}.`));const _=getJson5Obj(i),p=this.getHarmonyDependencyType(i,_,o.modulePkgJsonPath);if(void 0===p)return;const m=path_1.default.dirname(i);this.checkHarStatusIsCompatibleForHap(m,_),this._allDependency.add(i);const u=null===(a=hvigor_1.hvigorCore.getProject())||void 0===a?void 0:a.getAllSubModules();if(!u)return;let h=i;const y={moduleName:"",modulePkgJsonPath:i};let g=!1;for(const t of u){const s=path_1.default.join(t.getNodeDir(),this._isOhpmDependency?common_const_js_1.CommonConst.OH_PACKAGE_JSON5:common_const_js_1.CommonConst.PACKAGE_JSON);if(t.getNodeDir()!==m)continue;if(!r)return void log.warn(`module '${this._moduleName}' depends on another module '${t.getName()}'. This dependency will not be collected because of the potential issue of circular dependencies between hsp/har modules.`);h=s;const l=(new dependency_builder_js_1.DependencyBuilder).setModule(t).setDependencyName(e).setLastDependencyName(o.moduleName).setDependencyRootPath(t.getNodeDir()).setPkgJsonPath(h).setPkgJsonObj(_).setDependencyType(p).setDependencyEnum(d).setIsLocal(!0).buildDefaultModuleDependency();n.set(t.getName(),l),g=!0,y.moduleName=t.getName();break}const f=(new dependency_builder_js_1.DependencyBuilder).setDependencyName(e).setDependencyRootPath(path_1.default.dirname(h)).setPkgJsonPath(h).setPkgJsonObj(_).setDependencyType(p).setDependencyEnum(d).setIsLocal(g).buildDefaultNpmDependency();t.push(f),(p===dependency_interface_js_1.DependencyType.DEPENDENCY_TYPE_HAR||l)&&s.push(y)}getDependencyTypeByProfile(e){const o=path_1.default.resolve(e,"src","main",common_const_js_1.CommonConst.MODULE_JSON5),n=path_1.default.resolve(e,"src","main",common_const_js_1.CommonConst.MODULE_JSON),t=path_1.default.resolve(e,"src","main",common_const_js_1.CommonConst.CONFIG_JSON);return this.checkHarOrHspStatus(o,!1)||this.checkHarOrHspStatus(n,!1)||this.checkHarOrHspStatus(t,!0)}checkHarOrHspStatus(e,o){var n,t,s,d;if(!fs_extra_1.default.existsSync(e))return;const r=getJson5Obj(e),l=(null===(n=r.module)||void 0===n?void 0:n.type)===module_type_enum_js_1.ModuleType.Shared,a=(null===(t=r.module)||void 0===t?void 0:t.type)===module_type_enum_js_1.ModuleType.Har||(null===(d=null===(s=r.module)||void 0===s?void 0:s.distro)||void 0===d?void 0:d.moduleType)===module_type_enum_js_1.ModuleType.Har,i=this._isFaMode?"FA model":"Stage model",c=this._isFaMode?"Stage model":"FA model";return(a||l)&&this._isFaMode!==o&&log._buildError(`${i} module ${this._moduleName} does not allow Harmony library packages or modules in ${c}. Build tasks will not be executed, and resources will not be packed.`)._detail(solution)._file(e)._printErrorAndExit(this._moduleName),l?dependency_interface_js_1.DependencyType.DEPENDENCY_TYPE_HSP:a?dependency_interface_js_1.DependencyType.DEPENDENCY_TYPE_HAR:void 0}getHarmonyDependencyType(e,o,n){if(!e||null===o)return;const t=path_1.default.dirname(e),s=this.isHarForDiffPackManagement(t,o),d=this.getDependencyTypeByProfile(t);return s&&this._allDependency.has(e)&&e===n&&d===dependency_interface_js_1.DependencyType.DEPENDENCY_TYPE_HSP&&log._buildError("Shared Library cannot depend on shared module self.")._detail("Remove the dependency on the shared module.")._file(t)._printErrorAndExit(this._moduleName),s&&o.name&&!this._allDependency.has(e)?d:void 0}isHarForDiffPackManagement(e,o){return this._isOhpmDependency?fs_extra_1.default.existsSync(e):fs_extra_1.default.existsSync(e)&&void 0!==o.ohos}checkHarStatusIsCompatibleForHap(e,o){var n;if(this._model instanceof core_project_model_impl_js_1.CoreProjectModelImpl)return;const t=this._model;if(t.isHarModule())return;const s=this._isOhpmDependency?o.artifactType:null===(n=o.ohos)||void 0===n?void 0:n.artifactType;void 0!==s&&s!==har_extend_info_js_1.ArtifactType.ORIGINAL&&t instanceof legacy_module_model_impl_js_1.LegacyModuleModelImpl&&log._buildError(`Fa module ${this._moduleName} does not allow OpenHarmony npm packages,\n      which artifactType is not original.`)._solution(solution)._file(e)._printErrorAndExit(this._moduleName)}static isLocalDependencyForSo(e){return!e.includes("oh_modules")}static isLocalDependency(e,o){return o.has(e.getDependencyRootPath())}static getModuleNameFromOhPkgJson(e){var o;const n=path_1.default.resolve(e,common_const_js_1.CommonConst.OH_PACKAGE_JSON5);if(!fs_extra_1.default.existsSync(n))return"";const t=getJson5Obj(n);return null!==(o=null==t?void 0:t.name)&&void 0!==o?o:""}}exports.DependencyManager=DependencyManager;