"use strict";var __importDefault=this&&this.__importDefault||function(t){return t&&t.__esModule?t:{default:t}};Object.defineProperty(exports,"__esModule",{value:!0}),exports.BuildNativeWithCmake=void 0;const wdk_1=require("@baize/wdk"),hvigor_1=require("@ohos/hvigor"),fs_extra_1=__importDefault(require("fs-extra")),os_1=__importDefault(require("os")),path_1=__importDefault(require("path")),native_command_builder_js_1=require("../builder/native-command-builder.js"),common_const_js_1=require("../const/common-const.js"),hvigor_native_build_js_1=require("../model/cxx/hvigor-native-build.js"),cmake_invalidation_state_js_1=require("../utils/cmake-invalidation-state.js"),cmake_util_js_1=require("../utils/cmake-util.js"),file_util_js_1=require("../utils/file-util.js"),ohos_logger_js_1=require("../utils/log/ohos-logger.js"),task_names_js_1=require("./common/task-names.js"),legacy_pre_build_js_1=require("./legacy-tasks/legacy-pre-build.js"),abstract_build_native_js_1=require("./abstract-build-native.js"),pre_build_js_1=require("./pre-build.js");var Task=task_names_js_1.TaskNames.Task;class BuildNativeWithCmake extends abstract_build_native_js_1.AbstractBuildNative{constructor(t){super(t,Task.BUILD_NATIVE_WITH_CMAKE),this._log=ohos_logger_js_1.OhosLogger.getLogger(BuildNativeWithCmake.name),this._moduleDir=this.moduleModel.getProjectDir()}initTaskDepends(){this.declareDepends(this.isFaMode?legacy_pre_build_js_1.LegacyPreBuild.name:pre_build_js_1.PreBuild.name)}taskShouldDo(){return cmake_util_js_1.CmakeUtil.nativeTaskCondition(this.moduleModel,this.targetData,this._nativeOption)}async doTaskAction(){var t;if(file_util_js_1.FileUtil.checkDirWithoutDelete(this.pathInfo.getModuleBuildPath()),file_util_js_1.FileUtil.checkDirWithoutDelete(this.pathInfo.getCppOutputDir()),void 0!==this._nativeOption){let t=this._nativeOption.path;void 0===t&&(t="./src/main/cpp/CMakeLists.txt",this._log.warn(`The path of the cmake script in externalNativeOptions is empty. Use the default path ${t}.`))}const e=cmake_util_js_1.CmakeUtil.checkAbiFilters(null===(t=this._nativeOption)||void 0===t?void 0:t.abiFilters,this.targetData.isHarmonyOS(),this.moduleModel.getProfilePath());for(const t of e){const e=`generate CMake command with ABI of ${t}`,i=this.durationEvent.createSubEvent(e,"");i.start();const a=path_1.default.resolve(this.pathInfo.getNinjaWorkDir(),t),s=this.buildCommand(t);if(hvigor_1.hvigorCore.getParameter().getProperty(common_const_js_1.CommonConst.SKIP_NATIVE_INCREMENTAL)){this._log.debug("Skip cmake incremental."),i.stop(),i.setLog(e,hvigor_1.MetricLogType.INFO);const o=`submit CMake task to work pool with ABI of ${t}`,l=this.durationEvent.createSubEvent(o,"");return l.start(),cmake_util_js_1.CmakeUtil.mkCodeModelRequest(a),await this.executeCommand(s,wdk_1.noop,[],l,t),l.stop(),void l.setLog(o,hvigor_1.MetricLogType.INFO)}const o=path_1.default.resolve(a,"metadata_generation_command.txt"),l=s.join(os_1.default.EOL);if(fs_extra_1.default.existsSync(o)){await fs_extra_1.default.readFile(o,{encoding:"utf-8"})!==l&&await fs_extra_1.default.writeFile(o,l)}else await fs_extra_1.default.mkdir(path_1.default.dirname(o),{recursive:!0}),await fs_extra_1.default.writeFile(o,l);i.stop(),i.setLog(e,hvigor_1.MetricLogType.INFO);const r=`submit CMake task to work pool with ABI of ${t}`,_=this.durationEvent.createSubEvent(r,"");_.start();const n=path_1.default.resolve(a,"configure_fingerprint.json"),d=await(0,cmake_invalidation_state_js_1.createInvalidationState)(cmake_invalidation_state_js_1.FileId.getInstance(n),await this.getInputFiles(a,t),this.getRequiredOutputFiles(a),this.getOptionalOutputFiles(a),this.getHardOutputFiles(a));if(d.shouldConfigure()){d.softConfigureOkay()||(this._log.debug("Clean CMakeCache.txt due to outdated CMake configuration."),await fs_extra_1.default.rm(path_1.default.resolve(a,"CMakeCache.txt"),{recursive:!0,force:!0}));const e=async()=>{var e,i;const s=(0,cmake_invalidation_state_js_1.readCMakeFileApiReply)(a,this.targetName,t,this.sdkInfo.getCmakeTool()),o=null!==(i=null===(e=s.extra)||void 0===e?void 0:e.join(os_1.default.EOL))&&void 0!==i?i:"";await fs_extra_1.default.writeFile(path_1.default.resolve(a,"additional_project_files.txt"),o),await fs_extra_1.default.writeFile(path_1.default.resolve(a,"native_work_dir.txt"),a),await fs_extra_1.default.writeFile(path_1.default.resolve(a,"build_file_index.txt"),s.buildFiles.join(os_1.default.EOL)),delete s.extra,await fs_extra_1.default.writeJSON(path_1.default.resolve(a,hvigor_native_build_js_1.HvigorNativeConfigFile),s),d.addInputFiles(await this.getInputFiles(a,t)),await d.updateFingerPrint(),_.stop(),_.setLog(r,hvigor_1.MetricLogType.INFO)};d.shouldConfigureMessages().forEach((t=>this._log.debug(t))),cmake_util_js_1.CmakeUtil.mkCodeModelRequest(a),await this.executeCommand(s,e,[],_,t)}else this._log.debug("CMake configuration was up-to-date"),await d.updateFingerPrint(),_.stop(),_.setLog(r,hvigor_1.MetricLogType.INFO)}}async getInputFiles(t,e){const i=new Set;i.add(path_1.default.resolve(cmake_util_js_1.CmakeUtil.getCmakeListDir(this._moduleDir,this._nativeOption),"CMakeLists.txt")),file_util_js_1.FileUtil.getAllFilesFromFolder(path_1.default.resolve(this.pathInfo.getNinjaWorkDir(),"hvigor",e)).forEach((t=>i.add(t)));const a=path_1.default.resolve(t,hvigor_native_build_js_1.HvigorNativeConfigFile);if(!fs_extra_1.default.existsSync(a))return[...i].map((t=>cmake_invalidation_state_js_1.FileId.getInstance(t)));const s=await(0,hvigor_native_build_js_1.readHvigorNativeConfigFile)(a);return null==s||s.buildFiles.forEach((t=>i.add(t))),[...i].map((t=>cmake_invalidation_state_js_1.FileId.getInstance(t)))}getOptionalOutputFiles(t){return[path_1.default.resolve(t,"build.ninja"),path_1.default.resolve(t,"compile_commands.json"),path_1.default.resolve(t,"native_work_dir.txt"),path_1.default.resolve(t,"build_file_index.txt"),path_1.default.resolve(t,"additional_project_files.txt")].map((t=>cmake_invalidation_state_js_1.FileId.getInstance(t)))}getRequiredOutputFiles(t){return[path_1.default.resolve(t,hvigor_native_build_js_1.HvigorNativeConfigFile),path_1.default.resolve(t,"CMakeCache.txt")].map((t=>cmake_invalidation_state_js_1.FileId.getInstance(t)))}getHardOutputFiles(t){return[path_1.default.resolve(t,"metadata_generation_command.txt")].map((t=>cmake_invalidation_state_js_1.FileId.getInstance(t)))}buildCommand(t){var e,i,a,s;const o=new native_command_builder_js_1.NativeCommandBuilder(this.sdkInfo.getCmakeTool()),l=path_1.default.resolve(this.pathInfo.getIntermediatesCppOutPut(),t),r=path_1.default.resolve(this.pathInfo.getNinjaWorkDir(),t),_=path_1.default.resolve(this.pathInfo.getNinjaWorkDir(),"hvigor",t),n=this.targetService.getBuildMode(),d=this.targetData.isHarmonyOS()&&this.compileApiVersion>9;let u=d?this.sdkInfo.getHmsToolchainFile():this.sdkInfo.getNativeToolchain();fs_extra_1.default.existsSync(u)||(u=this.sdkInfo.getNativeToolchain()),o.addCmakeList(cmake_util_js_1.CmakeUtil.getCmakeListDir(this._moduleDir,this._nativeOption)).addTempFilePath(r).addOhosArch(t).addOutputDir(l).addBuildType(n).addNativeSdk(this.sdkInfo.getSdkNativeDir()).addSystemName("OHOS").addOhosArchAbi(t).exportCompileCommands("ON").addToolChain(u).addGenerator("Ninja").addMakeProgramPath(this.sdkInfo.getNativeNinjaTool()).addCMakeFindPath(_).addPackageFindScript(path_1.default.resolve(_,common_const_js_1.NativeConst.PACKAGE_SUMMARY_FILE)).muteUnusedCliWarn();const h=null===(e=this._nativeOption)||void 0===e?void 0:e.cFlags,m=null===(i=this._nativeOption)||void 0===i?void 0:i.cppFlags;h&&""!==h.trim()&&o.addCFlags(h),m&&""!==m.trim()&&o.addCxxFlags(m),d&&o.addHMosNativeSdk(this.sdkInfo.getHmsNativeDir());let g=o.build(),v=(null===(a=this._nativeOption)||void 0===a?void 0:a.arguments)?null===(s=this._nativeOption)||void 0===s?void 0:s.arguments:"";return"true"===hvigor_1.hvigorCore.getExtraConfig().get("ohos-debug-asan")&&(v+=" -DOHOS_ENABLE_ASAN=ON "),g=cmake_util_js_1.CmakeUtil.mergeCommandLine(g,v),this._log._printDebugCommand("Cmake",g),g}}exports.BuildNativeWithCmake=BuildNativeWithCmake;