"use strict";var __importDefault=this&&this.__importDefault||function(e){return e&&e.__esModule?e:{default:e}};Object.defineProperty(exports,"__esModule",{value:!0}),exports.ProcessRouterMap=void 0;const fs_extra_1=__importDefault(require("fs-extra")),path_1=__importDefault(require("path")),common_util_js_1=require("../common/common-util.js"),build_directory_const_js_1=require("../const/build-directory-const.js"),common_const_js_1=require("../const/common-const.js"),module_type_enum_js_1=require("../enum/module-type-enum.js"),file_util_js_1=require("../utils/file-util.js"),json_util_js_1=require("../utils/json-util.js"),ohos_logger_js_1=require("../utils/log/ohos-logger.js"),task_names_js_1=require("./common/task-names.js"),ohos_hap_task_js_1=require("./task/ohos-hap-task.js");class ProcessRouterMap extends ohos_hap_task_js_1.OhosHapTask{constructor(e){super(e,task_names_js_1.TaskNames.Task.PROCESS_ROUTER_MAP),this._log=ohos_logger_js_1.OhosLogger.getLogger(ProcessRouterMap.name);const t=e.getTargetData().getModuleSourceSetModel().getModuleTargetRes();this.targetJsonPath=t.getJsonPath(),this.resourcePath=t.getResourcePath(),this.compileEntry=[],this.intermediatesRouterMapObjs=[],this.stageModuleModel=this.moduleModel}declareInputFiles(){const e=super.declareInputFiles(),t=this.projectModel.isOhpmProject();e.addEntry(t?this.moduleModel.getOhPackageJson5Path():this.moduleModel.getPackageJsonPath()).addEntry(t?this.projectModel.getOhPackageJson5Path():this.projectModel.getPackageJsonPath()).addEntry(this.moduleModel.getJsonPathByTargetName(this.targetName));const o=this.getRouterMapJsonPath(this.moduleModel);return o&&fs_extra_1.default.existsSync(o)&&e.addEntry(o),e}declareOutputFiles(){const e=super.declareOutputFiles(),t=this.getRouterMapJsonFileName(this.moduleModel);if(t){const o=path_1.default.resolve(this.targetData.getPathInfo().getIntermediatesResProfilePath(),`${t}.json`);e.addEntry(o)}const o=path_1.default.resolve(this.targetData.getPathInfo().getIntermediatesLoaderPath(),"loader.json");return e.addEntry(o),e}declareInputs(){return super.declareInputs().set("obfuscated",this.targetService.isOpenSource())}doTaskAction(){const e=this.getTargetRouterMapObjList(this.moduleModel,this.targetService);this.checkRouterMapObjName(e),this.checkModuleRouterMapObj(e);this.service.getModuleModel().getModuleType()===module_type_enum_js_1.ModuleType.Har?this.processHarRouterMap(e):this.processHapOrHspRouterMap(e)}processHarRouterMap(e){e&&(e.forEach((e=>{if(!this.targetService.isOpenSource()){const t=e.pageSourceFile,o=file_util_js_1.FileUtil.getFileSuffix(t);common_const_js_1.ValidateRegExp.DYNAMIC_IMPORT_FILE_SUFFIX_REG_EXP.test(o)&&Object.assign(e,{pageSourceFile:`${t.substring(0,t.lastIndexOf("."))}.js`})}const t={name:e.name,pageSourceFile:path_1.default.resolve(this.moduleModel.getModule().getNodeDir(),e.pageSourceFile),buildFunction:e.buildFunction};this.intermediatesRouterMapObjs.push(t)})),this.stageModuleModel.setAllRouterMapObjList(e),this.stageModuleModel.setIntermediatesRouterMapObjs(this.intermediatesRouterMapObjs))}processHapOrHspRouterMap(e){const t=[];this.processModuleSelfRouterMap(t,e),this.processModuleDependencyRouterMap(t),this.checkRouterMapObjName(t),this.stageModuleModel.setAllRouterMapObjList(t),this.stageModuleModel.setRouterMapCompileEntry(this.compileEntry),this.stageModuleModel.setIntermediatesRouterMapObjs(this.intermediatesRouterMapObjs)}processModuleSelfRouterMap(e,t){t&&(t.forEach((e=>{const t=path_1.default.resolve(this.moduleModel.getModule().getNodeDir(),e.pageSourceFile);this.compileEntry.push(t),Object.assign(e,{ohmurl:this.generateModuleOhmurl(this.moduleName,e.pageSourceFile),bundleName:this.getBundleName(),moduleName:this.moduleName});const o={name:e.name,pageSourceFile:t,buildFunction:e.buildFunction};this.intermediatesRouterMapObjs.push(o)})),e.push(...t))}processModuleDependencyRouterMap(e){this.service.getHarDependencies().forEach((t=>{t.isLocal()?this.processLocalDependencyRouterMap(t,e):this.processRemoteDependencyRouterMap(t,e)}))}processLocalDependencyRouterMap(e,t){const o=this.getModuleModelByDependency(e);if(!o)return;const s=this.getRouterMapObjList(o);s&&(s.forEach((t=>{const s=path_1.default.resolve(e.getDependencyRootPath(),t.pageSourceFile),r=o.getModuleType();this.pushCompileEntry(r,s);let n="";r===module_type_enum_js_1.ModuleType.Shared&&(n=this.generateModuleOhmurl(o.getName(),t.pageSourceFile)),r===module_type_enum_js_1.ModuleType.Har&&(n=this.generateHarOhmurl(this.moduleName,o.getName(),t.pageSourceFile,!0)),Object.assign(t,{ohmurl:n,bundleName:this.getBundleName(),moduleName:this.moduleName});const u={name:t.name,pageSourceFile:s,buildFunction:t.buildFunction};this.intermediatesRouterMapObjs.push(u)})),this.checkDependencyRouterMap(e,s),t.push(...s))}processRemoteDependencyRouterMap(e,t){const o=e.getDependencyRootPath(),s=this.getRemoteRouterMapObjList(e);s&&(s.forEach((t=>{const s=t.pageSourceFile,r=path_1.default.resolve(o,s),n=path_1.default.resolve(o,build_directory_const_js_1.BuildDirConst.SRC,build_directory_const_js_1.BuildDirConst.MAIN,common_const_js_1.CommonConst.MODULE_JSON),u=(0,json_util_js_1.getJson5Obj)(n),i=u.module.type;this.pushCompileEntry(i,r);const a=u.module.name;let l;i===module_type_enum_js_1.ModuleType.Shared&&(l=this.generateModuleOhmurl(a,t.pageSourceFile)),i===module_type_enum_js_1.ModuleType.Har&&(l=this.generateHarOhmurl(this.moduleName,a,r,!1,e.getDependencyName())),Object.assign(t,{ohmurl:l,bundleName:this.getBundleName(),moduleName:this.moduleName});const d={name:t.name,pageSourceFile:r,buildFunction:t.buildFunction};this.intermediatesRouterMapObjs.push(d)})),this.checkDependencyRouterMap(e,s),t.push(...s))}getRouterMapObjList(e){var t;const o=this.getRouterMapJsonPath(e);if(!o||!fs_extra_1.default.existsSync(o))return;return null!==(t=(0,json_util_js_1.getJson5Obj)(o).routerMap)&&void 0!==t?t:void 0}getTargetRouterMapObjList(e,t){var o;const s=t.getResourceDirs().find((e=>{const t=path_1.default.resolve(e,common_const_js_1.CommonConst.BASE_PROFILE);return t&&fs_extra_1.default.existsSync(t)}));if(!s)return;const r=this.getRouterMapJsonFileName(e);if(!r)return;const n=path_1.default.resolve(s,common_const_js_1.CommonConst.BASE_PROFILE,`${r}.json`);return null!==(o=(0,json_util_js_1.getJson5Obj)(n).routerMap)&&void 0!==o?o:void 0}getRemoteRouterMapObjList(e){var t,o;const s=path_1.default.resolve(e.getDependencyRootPath(),build_directory_const_js_1.BuildDirConst.SRC,build_directory_const_js_1.BuildDirConst.MAIN),r=path_1.default.resolve(s,common_const_js_1.CommonConst.MODULE_JSON),n=path_1.default.resolve(s,common_const_js_1.CommonConst.MODULE_JSON5),u=fs_extra_1.default.existsSync(r)?r:fs_extra_1.default.existsSync(n)?n:"",i=(0,json_util_js_1.getJson5Obj)(u),a=null!==(t=(0,common_util_js_1.parsingProfileName)(null==i?void 0:i.module.routerMap))&&void 0!==t?t:void 0;if(!a)return;const l=path_1.default.resolve(s,build_directory_const_js_1.BuildDirConst.RESOURCES_BASE_PROFILE_DIR,`${a}.json`);return null!==(o=(0,json_util_js_1.getJson5Obj)(l).routerMap)&&void 0!==o?o:void 0}getRouterMapJsonPath(e){var t;if(!e)return;const o=this.getRouterMapJsonFileName(e);return o&&null!==(t=path_1.default.resolve(e.getModule().getNodeDir(),build_directory_const_js_1.BuildDirConst.SRC,build_directory_const_js_1.BuildDirConst.MAIN,build_directory_const_js_1.BuildDirConst.RESOURCES_BASE_PROFILE_DIR,`${o}.json`))&&void 0!==t?t:void 0}getRouterMapJsonFileName(e){var t;if(!e)return;const o=path_1.default.resolve(e.getModule().getNodeDir(),build_directory_const_js_1.BuildDirConst.SRC,build_directory_const_js_1.BuildDirConst.MAIN,common_const_js_1.CommonConst.MODULE_JSON5),s=(0,json_util_js_1.getJson5Obj)(o).module.routerMap;return null!==(t=(0,common_util_js_1.parsingProfileName)(s))&&void 0!==t?t:void 0}checkModuleRouterMapObj(e){e&&e.forEach((e=>{const t=this.getRouterMapJsonPath(this.moduleModel),o=this.getModulePageSourceFile(this.moduleModel,e);""!==e.pageSourceFile&&""!==o&&o&&fs_extra_1.default.existsSync(o)||this._log._buildError(`Unable to find the page source file '${null!=o?o:""}' in module '${this.moduleName}' routerMap configuration.`)._detail(`Check the routerMap configuration of the module '${this.moduleName}'.`)._file(null!=t?t:"")._printErrorAndExit()}))}getModulePageSourceFile(e,t){const o=t.pageSourceFile;if(""!==o)return path_1.default.resolve(e.getModule().getNodeDir(),o)}checkDependencyRouterMap(e,t){t&&t.forEach((t=>{const o=this.getModuleModelByDependency(e);if(!o)return;const s=null==o?void 0:o.getName(),r=this.getRouterMapJsonPath(o),n=t.pageSourceFile,u=path_1.default.resolve(e.getDependencyRootPath(),n);""!==n&&""!==u&&u&&fs_extra_1.default.existsSync(u)||this._log._buildError(`Unable to find the page source file '${""===n?"":u}' in module '${s}' routerMap configuration.`)._detail(`Check the routerMap configuration of the module '${s}'.`)._file(null!=r?r:"")._printErrorAndExit()}))}getModuleModelByDependency(e){const t=this.projectModel.getAllModules().find((t=>(this.projectModel.isOhpmProject()?t.getOhPackageJson5Path():t.getPackageJsonPath())===e.getPackageFilePath()));return null!=t?t:void 0}checkRouterMapObjName(e){var t;if(!e||e.length<=1)return;const o=e.map((e=>e.name));new Set(o).size!==e.length&&this._log._buildError("The object name of routerMap in the routerMap configuration file must be unique.")._detail(`Check the routerMap configuration of the module '${this.moduleName}' or its dependencies.`)._file(null!==(t=this.getRouterMapJsonPath(this.moduleModel))&&void 0!==t?t:"")._printErrorAndExit()}getBundleName(){var e;return null!==(e=this.targetData.getProduct().bundleName)&&void 0!==e?e:this.projectModel.getDefaultBundleName()}generateModuleOhmurl(e,t){const o=t.substring(0,t.indexOf(".")),s=o.includes("src/main/ets/")?o.replace("src/main/",""):o;return`@bundle:${this.getBundleName()}/${e}/${s}`}generateHarOhmurl(e,t,o,s,r){let n;if(s){const s=o.substring(0,o.indexOf(".")),r=s.includes("src/main/ets/")?s.replace("src/main/",""):s;n=`@bundle:${this.getBundleName()}/${e}@${t}/${r}`}else{const e=path_1.default.parse(o).name,t=o.substring(0,o.indexOf(e)+e.length),s=t.substring(t.indexOf(common_const_js_1.CommonConst.OH_MODULES)).replace(common_const_js_1.CommonConst.OH_MODULES,common_const_js_1.CommonConst.PKG_MODULES).split(path_1.default.sep);let u;for(let e=0;e<s.length;e++)if(s[e]===r){u=e-1;break}if(!u)return"";s[u]=common_const_js_1.CommonConst.PKG_MODULES,n=`@package:${s.join("/")}`}return n}pushCompileEntry(e,t){e!==module_type_enum_js_1.ModuleType.Shared&&this.compileEntry.push(t)}initTaskDepends(){}}exports.ProcessRouterMap=ProcessRouterMap;