"use strict";var __importDefault=this&&this.__importDefault||function(e){return e&&e.__esModule?e:{default:e}};Object.defineProperty(exports,"__esModule",{value:!0}),exports.mergeSigningConfig=exports.getSigningConfig=exports.isSigned=exports.SignUtil=void 0;const wdk_1=require("@baize/wdk"),fs_extra_1=__importDefault(require("fs-extra")),common_const_js_1=require("../../const/common-const.js"),sign_type_enum_js_1=require("../../enum/sign-type-enum.js"),error_code_map_js_1=require("../../error/error-code-map.js"),array_util_1=require("../../utils/array-util"),keystore_utils_js_1=require("../../utils/keystore-utils.js"),ohos_logger_js_1=require("../../utils/log/ohos-logger.js"),process_utils_1=require("../../utils/process-utils"),validate_util_js_1=require("../../utils/validate/validate-util.js"),module_task_service_1=require("../service/module-task-service"),sign_command_factory_1=require("./command-builder-impl/sign-command-factory"),hvigor_1=require("@ohos/hvigor"),find_target_product_js_1=require("../../common/find-target-product.js"),project_ohos_config_manager_js_1=require("../../common/global/project-ohos-config-manager.js"),file_util_js_1=require("../../utils/file-util.js");class SignUtil{constructor(e,i,t,n,o){this._log=ohos_logger_js_1.OhosLogger.getLogger(SignUtil.name);const s=e.getProjectModel().getCompileApiMetaByProduct(n.name).version;this._taskService=e,this._signType=i,this._targetProduct=n,this._signCommandFactory=new sign_command_factory_1.SignCommandFactory(s),this._pathInfo=t,this._signingConfig=this.getSigningConfig(),this.sdkInfo=o}async sign(e,i){await this.executeSign(e,i),fs_extra_1.default.existsSync(e.getOutPutFilePath())||e.getSignType()!==sign_type_enum_js_1.SignTypeEnum.SHELL||fs_extra_1.default.copyFileSync(e.getInputFilePath(),e.getOutPutFilePath())}getSignCommand(e){if(!this._signingConfig)return;const i=this._signCommandFactory.createCommandBuilder(this._taskService.getProjectModel(),this._signingConfig,this.sdkInfo,e),t=i.getSignCommand();return this.getSigningDebugDetails(i.getSignTool(),t),t}getBundleNameFromHap(e){return validate_util_js_1.ValidateUtil.getBundleNameFromHap(this._targetProduct,e)}getVerifySignCommands(e){return validate_util_js_1.ValidateUtil.getVerifySignCommands(this.sdkInfo,this._signingConfig,e)}async validateBundleName(e,i,t){const n=this._taskService.getProjectModel(),o=this._taskService.isFaMode()?common_const_js_1.CommonConst.CONFIG_JSON:common_const_js_1.CommonConst.APP_CONFIG;if((null==e?void 0:e.getSignType())===sign_type_enum_js_1.SignTypeEnum.HAP||(null==e?void 0:e.getSignType())===sign_type_enum_js_1.SignTypeEnum.HOS_HAP){const e=await validate_util_js_1.ValidateUtil.getBundleNameFromP7b(this.sdkInfo,this._signingConfig,i,t),s=validate_util_js_1.ValidateUtil.getBundleNameFromHap(this._targetProduct,n);if(s!==e){const i="BundleName in the project configuration does not match that in the SigningConfigs.",t=`Open the project-level build-profile.json5 file. Change the bundleName value\n        to that in the SigningConfigs. Otherwise, go to the ${o} file and change the bundleName value there.\n        BundleName in Project: ${s}, BundleName in SigningConfigs: ${e}.`;this._log._buildError(i)._solution(t)._file(this._taskService.getProjectModel().getProfilePath())._errorCode(error_code_map_js_1.ECM.DECE.SERVICE_LOGIC)._printErrorAndExit()}}}async executeSign(e,i){if(!this._signingConfig)return;const t=`generate ${e.getSignType()} signing command`,n=i.createSubEvent(t,"");n.start();const o=this._signCommandFactory.createCommandBuilder(this._taskService.getProjectModel(),this._signingConfig,this.sdkInfo,e),s=o.getSignCommand(),r=`execute ${e.getSignType()} signing command`;if(this.getSigningDebugDetails(o.getSignTool(),s),(0,wdk_1.isEqual)(this._signingConfig,SignUtil.getDefaultSign())){n.stop(),n.setLog(t,hvigor_1.MetricLogType.INFO);const o=i.createSubEvent(r,"");return o.start(),await new process_utils_1.ProcessUtils(this._taskService.getNode().getName(),`Sign${e.getSignType()}`).execute(s),o.stop(),void o.setLog(r,hvigor_1.MetricLogType.INFO)}await this.validateBundleName(e,this._pathInfo,n),n.stop(),n.setLog(t,hvigor_1.MetricLogType.INFO);const g=i.createSubEvent(r,"");g.start(),this._taskService instanceof module_task_service_1.ModuleTaskService?await new process_utils_1.ProcessUtils(this._taskService.getModuleModel().getName(),`Sign${e.getSignType()}`).execute(s):await new process_utils_1.ProcessUtils(this._taskService.getProjectModel().getName(),`Sign${e.getSignType()}`).execute(s),g.stop(),g.setLog(r,hvigor_1.MetricLogType.INFO)}isSigned(e,i){const t=e.getProfileOpt().app,n=i.getTargetData().getProduct().signingConfig;if(void 0===n)return!1;const o=(0,array_util_1.getElementFromArr)(null==t?void 0:t.signingConfigs,n.substring(n.lastIndexOf(".")+1));return!!hvigor_1.hvigorCore.getParameter().getProperty(common_const_js_1.CommonConst.ENABLE_SIGN_TASK)&&void 0!==o}getSigningConfig(){var e;const i=this._taskService.getProjectModel().getProfileOpt().app,t=this._targetProduct.signingConfig,n=(0,wdk_1.cloneDeep)(null===(e=project_ohos_config_manager_js_1.projectOhosConfigManager.getOverrides())||void 0===e?void 0:e.signingConfig);if(void 0===t)return n||void(this._signingConfigCheckLogStr=`No signingConfig found for product ${this._targetProduct.name}`);const o=(0,array_util_1.getElementFromArr)(null==i?void 0:i.signingConfigs,t.substring(t.lastIndexOf(".")+1));return void 0===o?n||void(this._signingConfigCheckLogStr=`Will skip sign '${this._signType}'. No signingConfigs profile is configured in current project.\n             If needed, configure the signingConfigs in ${this._taskService.getProjectModel().getProfilePath()} .`):mergeSigningConfig(o,n)}static getDefaultSign(){return{material:{storeFile:keystore_utils_js_1.KeyStoreHelper.getDefaultDebugKeyStoreLocation(),storePassword:keystore_utils_js_1.KeyStoreHelper.DEFAULT_STORE_PASS,keyAlias:keystore_utils_js_1.KeyStoreHelper.DEFAULT_ALIAS,keyPassword:keystore_utils_js_1.KeyStoreHelper.DEFAULT_STORE_PASS,signAlg:"",profile:"",certpath:""},name:""}}static isUseDefaultShellSign(e){const i=SignUtil.getDefaultSign().material;return e.storePassword===i.storePassword&&e.keyPassword===i.keyPassword&&e.storeFile===i.storeFile&&e.keyAlias===i.keyAlias}static getSigningConfigInputs(e,i){var t,n,o,s,r,g;const a=new Map;if(a.set(common_const_js_1.CommonConst.ENABLE_SIGN_TASK,hvigor_1.hvigorCore.getParameter().getProperty(common_const_js_1.CommonConst.ENABLE_SIGN_TASK)),a.set("sdkToolchainsComponentVersion",e.getToolchainsComponentVersion()),!i)return a.set("existSigningConfig",!1),a;a.set("existSigningConfig",!0).set("signingConfig_name",null!==(t=i.name)&&void 0!==t?t:"").set("signingConfig_type",null!==(n=i.type)&&void 0!==n?n:"");const l=i.material;return l?(a.set("existMaterial",!0).set("signingConfig_signAlg",null!==(o=l.signAlg)&&void 0!==o?o:"").set("signingConfig_keyAlias",null!==(s=l.keyAlias)&&void 0!==s?s:"").set("signingConfig_keyPassword",null!==(r=l.keyPassword)&&void 0!==r?r:"").set("signingConfig_storePassword",null!==(g=l.storePassword)&&void 0!==g?g:""),a):(a.set("existMaterial",!1),a)}getSigningConfigInputFiles(){var e;const i=new hvigor_1.FileSet,t=null===(e=this._signingConfig)||void 0===e?void 0:e.material;return(null==t?void 0:t.certpath)&&i.addEntry(file_util_js_1.FileUtil.convertToAbsolutePath(t.certpath,this._taskService.getProjectModel().getProjectDir()),{isDirectory:!1}),(null==t?void 0:t.profile)&&i.addEntry(file_util_js_1.FileUtil.convertToAbsolutePath(t.profile,this._taskService.getProjectModel().getProjectDir()),{isDirectory:!1}),(null==t?void 0:t.storeFile)&&i.addEntry(file_util_js_1.FileUtil.convertToAbsolutePath(t.storeFile,this._taskService.getProjectModel().getProjectDir()),{isDirectory:!1}),i}getSigningDebugDetails(e,i){const t=[...i],n="******";t.splice(t.indexOf("-keyPwd")+1,1,n),t.splice(t.indexOf("-keystorePwd")+1,1,n),this._log._printDebugCommand(e,t)}}exports.SignUtil=SignUtil;const isSigned=e=>{const i=getSigningConfig(e);return!!hvigor_1.hvigorCore.getParameter().getProperty(common_const_js_1.CommonConst.ENABLE_SIGN_TASK)&&void 0!==i};function getSigningConfig(e){var i;const t=(0,find_target_product_js_1.findTargetProduct)(e),n=e.getProfileOpt().app,o=t.signingConfig,s=(0,wdk_1.cloneDeep)(null===(i=project_ohos_config_manager_js_1.projectOhosConfigManager.getOverrides())||void 0===i?void 0:i.signingConfig);if(void 0===o)return s;const r=(0,array_util_1.getElementFromArr)(null==n?void 0:n.signingConfigs,o.substring(o.lastIndexOf(".")+1));return void 0===r?s:mergeSigningConfig(r,s)}function mergeSigningConfig(e,i){var t,n,o;return{material:{...e.material,...null!==(t=null==i?void 0:i.material)&&void 0!==t?t:{}},name:null!==(n=e.name)&&void 0!==n?n:null==i?void 0:i.name,type:null!==(o=e.type)&&void 0!==o?o:null==i?void 0:i.type}}exports.isSigned=isSigned,exports.getSigningConfig=getSigningConfig,exports.mergeSigningConfig=mergeSigningConfig;