"use strict";var __importDefault=this&&this.__importDefault||function(e){return e&&e.__esModule?e:{default:e}};Object.defineProperty(exports,"__esModule",{value:!0}),exports.generateRemoteHspMetadata=exports.initSignRemoteHspMap=exports.getSignRemoteHspMetadata=exports.semverMaxSatisfying=exports.compareIfSetRemoteHsp=exports.getHspBaseData=exports.getRemoteHspObj=exports.getRemoteHspMap=exports.getRemoteHspObjList=void 0;const fs_extra_1=__importDefault(require("fs-extra")),semver_1=require("semver"),path_1=__importDefault(require("path")),build_directory_const_js_1=require("../const/build-directory-const.js"),common_const_js_1=require("../const/common-const.js"),ohos_logger_js_1=require("./log/ohos-logger.js"),map_util_js_1=require("./map-util.js"),sign_util_js_1=require("../tasks/sign/sign-util.js"),_log=ohos_logger_js_1.OhosLogger.getLogger("remote-hsp-info"),getRemoteHspObjList=e=>{const t=e.getProject(),s=path_1.default.resolve(e.getNodeDir(),common_const_js_1.CommonConst.OH_MODULES,build_directory_const_js_1.BuildArtifactExtension.DOT_HSP),o=path_1.default.resolve(t.getNodeDir(),common_const_js_1.CommonConst.OH_MODULES,build_directory_const_js_1.BuildArtifactExtension.DOT_HSP),r=(0,exports.getRemoteHspMap)(s),a=(0,exports.getRemoteHspMap)(o,r);return a?[...a.values()]:[]};exports.getRemoteHspObjList=getRemoteHspObjList;const getRemoteHspMap=(e,t)=>{if(!fs_extra_1.default.existsSync(e))return _log.debug("allRemoteHspMap does not exist."),t;t&&_log.debug(`allRemoteHspMap: ${JSON.stringify((0,map_util_js_1.strMapToObj)(t))}`);const s=null!=t?t:new Map,o=fs_extra_1.default.readdirSync(e);for(const r of o){const o=path_1.default.resolve(e,r),a=(0,exports.getRemoteHspObj)(o,r,_log);a&&checkIfNeedSet(a,_log,t)&&s.set(a.hspFileName,{...a})}return s};exports.getRemoteHspMap=getRemoteHspMap;const checkIfNeedSet=(e,t,s)=>{if(!s)return t.debug(`allRemoteHspMap does not exist, ${e.hspFileName} ${e.hspVersion} should be stored in the allRequiredSignRemoteHspMap`),!0;return s.get(e.hspFileName)?(0,exports.compareIfSetRemoteHsp)(e,s)?(t.debug(`allRemoteHspMap exists, ${e.hspFileName} is in allRemoteHspMap, but ${e.hspFileName} ${e.hspVersion} is higher, ${e.hspFileName} ${e.hspVersion} should be stored in the allRequiredSignRemoteHspMap`),!0):(t.debug(`${e.hspFileName} ${e.hspVersion} should not be stored in the allRequiredSignRemoteHspMap`),!1):(t.debug(`allRemoteHspMap exists, but ${e.hspFileName} is not in allRemoteHspMap, ${e.hspFileName} ${e.hspVersion} should be stored in the allRequiredSignRemoteHspMap`),!0)},getRemoteHspObj=(e,t,s)=>{if(!fs_extra_1.default.existsSync(e))return;const o=fs_extra_1.default.readdirSync(e);let r,a;for(const t of o)if(t.endsWith(build_directory_const_js_1.BuildArtifactExtension.DOT_HSP)&&(r&&s._buildError(`remote tgz is error, only one hsp, please check ${e}`)._printErrorAndExit(),r=t),t.includes(common_const_js_1.CommonConst.OH_PACKAGE_JSON5)){const t=path_1.default.resolve(e,common_const_js_1.CommonConst.OH_PACKAGE_JSON5);a=(0,exports.getHspBaseData)(t,s)}return a&&r?(a.hspFileName=r,a.hspPath=path_1.default.resolve(e,r),a.hspDirName=t,a):void s._buildError(`remote tgz is error, no hsp or no oh-package.json, please check ${e}`)._printErrorAndExit()};exports.getRemoteHspObj=getRemoteHspObj;const getHspBaseData=(e,t)=>{if(!fs_extra_1.default.existsSync(e))return;const s=fs_extra_1.default.readJsonSync(e);return(0,semver_1.valid)(s.version)||t._buildError(`${e} file version format is not compliant, please check`)._printErrorAndExit(),{hspName:s.name,hspVersion:s.version,hspPath:"",hspDirName:"",hspFileName:""}};exports.getHspBaseData=getHspBaseData;const compareIfSetRemoteHsp=(e,t)=>{if(!t.has(e.hspFileName))return!0;const s=t.get(e.hspFileName);if(s){return semverMaxSatisfying([e.hspVersion,s.hspVersion])===e.hspVersion}return!0};function semverMaxSatisfying(e){return(0,semver_1.maxSatisfying)(e,"*")||(0,semver_1.maxSatisfying)(e,"*",{includePrerelease:!0,loose:!0})}function getSignRemoteHspMetadata(e){const t=e.getModuleService(),s=t.getProjectModel();if(!(0,sign_util_js_1.isSigned)(s))return;const o=new Map,r=[],a=t.getModuleModel().getRemoteHspPath(),i=s.getRemoteHspPath(),n=t.getProjectModel().getCacheRemoteHspPath(e.getTargetData().getProduct().name);return initSignRemoteHspMap(a,o),initSignRemoteHspMap(i,o),o.size>0?generateRemoteHspMetadata(o,r,n):void 0}function initSignRemoteHspMap(e,t){if(!fs_extra_1.default.existsSync(e))return;const s=fs_extra_1.default.readdirSync(e);for(const o of s){const s=path_1.default.resolve(e,o),r=(0,exports.getRemoteHspObj)(s,o,_log);r&&(0,exports.compareIfSetRemoteHsp)(r,t)&&t.set(r.hspFileName,{...r})}}function generateRemoteHspMetadata(e,t,s){const o=[];return e.forEach((e=>{const r=e.hspFileName,a=e.hspDirName,i=e.hspVersion,n=r.replace(build_directory_const_js_1.BuildArtifactExtension.DOT_HSP,`-signed${build_directory_const_js_1.BuildArtifactExtension.DOT_HSP}`),p={hspName:n,hspVersion:i,hspPath:path_1.default.resolve(s,a,n)};t.push(e.hspPath),o.push(p)})),o}exports.compareIfSetRemoteHsp=compareIfSetRemoteHsp,exports.semverMaxSatisfying=semverMaxSatisfying,exports.getSignRemoteHspMetadata=getSignRemoteHspMetadata,exports.initSignRemoteHspMap=initSignRemoteHspMap,exports.generateRemoteHspMetadata=generateRemoteHspMetadata;